2012-11-15 16:31  Sandro Santilli <strk@keybit.net>

	* [r3722] NEWS, configure.in, swig/python/geos.py,
	  swig/python/geos_wrap.cxx: Set version to 3.3.6

2012-11-15 15:59  Sandro Santilli <strk@keybit.net>

	* [r3721] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/ticket/bug599.xml: Add automated test for
	  #599 (succeeds)

2012-09-10 09:17  Sandro Santilli <strk@keybit.net>

	* [r3714] tests/xmltester/tests/ticket/bug586.xml: Tweak the test
	  for bug 586 to succeed while still being small

2012-09-10 08:05  Sandro Santilli <strk@keybit.net>

	* [r3713] NEWS, include/geos/geom/BinaryOp.h,
	  tests/xmltester/Makefile.am,
	  tests/xmltester/tests/ticket/bug586.xml: Do not try to fix valid
	  geometries (#586)
	  
	  Fixes a stack overflow in BinaryOp, includes testcase

2012-09-07 11:26  Sandro Santilli <strk@keybit.net>

	* [r3709] swig/python/geos.py, swig/python/geos_wrap.cxx:
	  Regenerate swig files with swig 2.0.4

2012-09-06 18:15  Sandro Santilli <strk@keybit.net>

	* [r3707] php/test/test.php: Use version_compare to compare
	  versions...

2012-09-06 18:05  Sandro Santilli <strk@keybit.net>

	* [r3706] NEWS, php/README, php/test/test.php: Add support for
	  phpunit 3.6 (not loosing support for 3.4)
	  
	  I don't have phpunit-3.4 anymore so if anyone does please see
	  if "make check" still works (with php enabled)
	  
	  NOTE: Ubuntu 10.04 ships phpunit 3.4

2012-06-26 20:42  Mateusz Loskot <mateusz@loskot.net>

	* [r3698] CMakeLists.txt, cmake/cmake_uninstall.cmake.in,
	  include/CMakeLists.txt, src/CMakeLists.txt: [CMake] Merged recent
	  fixes from trunk. Updated version numbers according to
	  configure.in

2012-06-25 15:15  Sandro Santilli <strk@keybit.net>

	* [r3690] HOWTO_RELEASE: Add tarball verification step

2012-06-25 11:59  Sandro Santilli <strk@keybit.net>

	* [r3689] NEWS, capi/geos_c.h.in, configure.in,
	  include/geos/version.h.vc: Set 3.3 branch ready for work on 3.3.6
	  release.

2012-06-25 10:50  Sandro Santilli <strk@keybit.net>

	* [r3687] ChangeLog: Update ChangeLog for release 3.3.5

2012-06-25 10:49  Sandro Santilli <strk@keybit.net>

	* [r3686] NEWS, configure.in: Set version to 3.3.5 final, and
	  release date

2012-06-25 10:20  Sandro Santilli <strk@keybit.net>

	* [r3685] NEWS, capi/geos_ts_c.cpp, tests/unit/Makefile.am,
	  tests/unit/capi/GEOSPointOnSurfaceTest.cpp: Always return POINT
	  from GEOSPointOnSurface, even for EMPTY (#561)

2012-06-24 15:16  Sandro Santilli <strk@keybit.net>

	* [r3682] configure.in: 3.3.5 isn't final yet

2012-06-22 15:46  Sandro Santilli <strk@keybit.net>

	* [r3681] include/geos/algorithm/CentroidArea.h: Add note about
	  handling of degenerate polygons

2012-06-22 15:31  Sandro Santilli <strk@keybit.net>

	* [r3678] NEWS, capi/geos_ts_c.cpp,
	  tests/unit/capi/GEOSGetCentroidTest.cpp: Always return POINT from
	  GEOSGetCentroid, even for EMPTY (#560)

2012-06-22 15:02  Sandro Santilli <strk@keybit.net>

	* [r3676] NEWS, include/geos/algorithm/CentroidArea.h,
	  src/algorithm/CentroidArea.cpp, tests/unit/Makefile.am,
	  tests/unit/capi/GEOSGetCentroidTest.cpp: Port robustness fix to
	  CentroidArea (#559)

2012-06-22 11:47  Sandro Santilli <strk@keybit.net>

	* [r3675] capi/geos_c.h.in: Update version also for MSVC... (#558)

2012-06-22 11:07  Sandro Santilli <strk@keybit.net>

	* [r3674] NEWS, configure.in: Set CAPI interface revision to 5
	  (#558)
	  
	  This is to resolve a problem with versioning of the CAPI library
	  shipped with 3.3.3 (1.7.4) and 3.3.4 (1.7.3). So 3.3.5 will ship
	  with 1.7.5 (ASAP).

2012-06-06 07:04  Sandro Santilli <strk@keybit.net>

	* [r3664] README, src/Makefile.am: Clarify problems with linking
	  against C++ api (#553)
	  
	  Path by Greg Troxel.

2012-05-31 19:16  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r3662] capi/geos_c.h.in, configure.in,
	  include/geos/version.h.vc: Bump versions to 3.3.5

2012-05-31 18:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r3661] ChangeLog: Update for 3.3.4

2012-05-30 07:04  Sandro Santilli <strk@keybit.net>

	* [r3659] ChangeLog: ChangeLog updated for 3.3.4

2012-05-30 06:42  Sandro Santilli <strk@keybit.net>

	* [r3658] NEWS, capi/geos_c.h.in, configure.in,
	  include/geos/version.h.vc, swig/python/geos.py,
	  swig/python/geos_wrap.cxx: Fix release date and version for 3.3.4

2012-05-21 14:12  Sandro Santilli <strk@keybit.net>

	* [r3634] include/geos/geom/Geometry.h, src/geom/Geometry.cpp:
	  Don't call GeometryFactory::getDefaultInstance() at startup
	  (#540)

2012-05-14 19:00  Sandro Santilli <strk@keybit.net>

	* [r3628] NEWS, src/operation/polygonize/EdgeRing.cpp: Reduce calls
	  to ptNotInList, greatly speeding up Polygonizer (#545)

2012-05-09 18:02  Sandro Santilli <strk@keybit.net>

	* [r3626] NEWS, include/geos/simplify/TaggedLineStringSimplifier.h,
	  include/geos/simplify/TopologyPreservingSimplifier.h,
	  src/simplify/TaggedLineStringSimplifier.cpp,
	  src/simplify/TopologyPreservingSimplifier.cpp,
	  tests/unit/simplify/TopologyPreservingSimplifierTest.cpp: Fix
	  TopologyPreservingSimplifier invalid output on closed line (#508)

2012-05-09 16:28  Sandro Santilli <strk@keybit.net>

	* [r3624] NEWS, php/geos.c: Add support for PHP 5.4 (#513) --
	  thanks voxik

2012-05-08 18:23  Sandro Santilli <strk@keybit.net>

	* [r3622] NEWS, src/geom/Geometry.cpp: Envelope-based short-circuit
	  for Geometry->symDifference (#543)

2012-05-08 17:35  Sandro Santilli <strk@keybit.net>

	* [r3620] NEWS, capi/geos_ts_c.cpp, tests/xmltester/XMLTester.cpp:
	  Geometry methods do use BinaryOp internally + shortcuts (#542)
	  
	  This commit changes both XMLTester and C-API to not use BinaryOp
	  directly but rather rely on geometry methods to do that.

2012-05-04 08:13  Sandro Santilli <strk@keybit.net>

	* [r3617] NEWS, acsite.m4: Update PGAC_TYPE_64BIT_INT for better
	  cross-compiler support (#534)

2012-04-12 09:05  Sandro Santilli <strk@keybit.net>

	* [r3613] NEWS, src/geomgraph/Node.cpp,
	  tests/unit/capi/GEOSUnaryUnionTest.cpp: Throw an exception rather
	  than aborting on NaN overlay input (#530)

2012-04-10 15:32  Sandro Santilli <strk@keybit.net>

	* [r3610] tests/xmltester/Makefile.am,
	  tests/xmltester/tests/ticket/bug527.xml: Add test for bug #527

2012-04-10 15:16  Sandro Santilli <strk@keybit.net>

	* [r3608] include/geos/operation/union/UnaryUnionOp.h: Have
	  UnaryUnion use BinaryOp for the simple case
	  
	  See ticket #527 -- there's no infinite loop triggered by our
	  testsuite...

2012-04-10 15:02  Sandro Santilli <strk@keybit.net>

	* [r3606] NEWS, include/geos/geom/BinaryOp.h: Reduce
	  CommonBitsRemover harmful effects during overlay op (#527)

2012-04-05 16:49  Sandro Santilli <strk@keybit.net>

	* [r3600] swig/python/geos.py, swig/python/geos_wrap.cxx:
	  Regenerate swig wrappers with SWIG 1.3.40

2012-04-01 20:50  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r3584] HOWTO_RELEASE: Update howto release

2012-04-01 20:42  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r3581] capi/geos_c.h.in, configure.in: Update version numbers
	  after tag

2012-04-01 20:33  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r3577] ChangeLog, NEWS: Update for 3.3.3 release

2012-03-22 08:34  Sandro Santilli <strk@keybit.net>

	* [r3574] NEWS, src/simplify/TaggedLineString.cpp,
	  src/simplify/TaggedLineStringSimplifier.cpp,
	  tests/unit/simplify/TopologyPreservingSimplifierTest.cpp: Fix
	  simplification of collections with empty items (#519)

2012-02-16 18:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r3572] src/algorithm/RobustDeterminant.cpp: Update provenance
	  for Olivier Devillers.

2012-01-08 13:46  Sandro Santilli <strk@keybit.net>

	* [r3564] CMakeLists.txt, NEWS,
	  tests/unit/capi/GEOSisValidDetailTest.cpp: Backports
	  
	  Missing <cctype> header for toupper. Fixed Visual C++ warning.
	  Fixed (hopefully) CMake issues with std:: namespace detection
	  (Ticket #493)

2012-01-06 21:50  Sandro Santilli <strk@keybit.net>

	* [r3560] NEWS, configure.in: Prepare for 3.3.3

2012-01-06 21:34  Howard Butler <hobu.inc@gmail.com>

	* [r3559] src/operation/buffer/BufferOp.cpp: Fix MSVC compilation
	  of ambiguous log() call #506

2012-01-05 17:00  Sandro Santilli <strk@keybit.net>

	* [r3557] ChangeLog: Update ChangeLog for the 3.3.2 release

2012-01-05 16:56  Sandro Santilli <strk@keybit.net>

	* [r3556] NEWS, configure.in: Prepare for 3.3.2 release

2011-12-16 14:12  Sandro Santilli <strk@keybit.net>

	* [r3554] src/operation/overlay/snap/LineStringSnapper.cpp: Make
	  debugging output of LineStringSnapper more readable

2011-12-15 14:18  Sandro Santilli <strk@keybit.net>

	* [r3552] NEWS, include/geos/geom/BinaryOp.h,
	  tests/xmltester/Makefile.am,
	  tests/xmltester/tests/ticket/bug488.xml: Check validity after
	  snapping in BinaryOp. Fixes bug #488
	  
	  Adds regression test. This is a GEOS-only approach.

2011-12-15 11:35  Sandro Santilli <strk@keybit.net>

	* [r3551] include/geos/operation/overlay/OverlayOp.h: indent

2011-12-15 10:58  Sandro Santilli <strk@keybit.net>

	* [r3549] include/geos/geom/BinaryOp.h: Fix build with
	  CBR_BEFORE_SNAPPING undefined

2011-12-12 15:11  Howard Butler <hobu.inc@gmail.com>

	* [r3547] NEWS: a note about #500 fix

2011-12-12 15:04  Howard Butler <hobu.inc@gmail.com>

	* [r3545] src/operation/overlay/OverlayNodeFactory.cpp: apply patch
	  for #500 to fix clang's complaint about a missing default
	  initialization

2011-12-12 10:09  Sandro Santilli <strk@keybit.net>

	* [r3543] NEWS, src/algorithm/CGAlgorithms.cpp: Apply Shoelace
	  formula for area calculation (#485)

2011-12-12 09:57  Sandro Santilli <strk@keybit.net>

	* [r3541] NEWS, macros/geos.m4, tools/geos-config.in: Add --clibs
	  to geos-config and GEOS_C_LIBS to geos.m4 (#497)

2011-12-09 10:46  Sandro Santilli <strk@keybit.net>

	* [r3539] NEWS: typo

2011-12-09 10:44  Sandro Santilli <strk@keybit.net>

	* [r3538] NEWS, include/geos/geom/Geometry.h,
	  include/geos/operation/overlay/snap/GeometrySnapper.h,
	  include/geos/operation/overlay/snap/SnapOverlayOp.h,
	  src/operation/overlay/snap/GeometrySnapper.cpp,
	  src/operation/overlay/snap/SnapOverlayOp.cpp: Fix C++11 build by
	  avoiding std::pair<auto_ptr> (#491)

2011-12-09 10:12  Sandro Santilli <strk@keybit.net>

	* [r3537] NEWS, src/operation/buffer/BufferOp.cpp,
	  tests/unit/operation/buffer/BufferOpTest.cpp,
	  tests/xmltester/Makefile.am,
	  tests/xmltester/tests/safe/TestBufferJagged.xml,
	  tests/xmltester/tests/safe/buffer-1.01.xml: Improve buffer
	  robustness by reverting to non snaprounding noder
	  
	  This commit fixes all cases reported in
	  http://trac.osgeo.org/geos/wiki/BufferRobustness
	  They include #495 and #494

2011-12-09 08:47  Sandro Santilli <strk@keybit.net>

	* [r3533] tests/xmltester/tests/general/TestUnaryUnionFloating.xml:
	  Oops, forgot this one in previous commit

2011-12-09 08:46  Sandro Santilli <strk@keybit.net>

	* [r3532] NEWS,
	  include/geos/operation/union/CascadedPolygonUnion.h,
	  src/operation/union/CascadedPolygonUnion.cpp,
	  tests/xmltester/Makefile.am,
	  tests/xmltester/tests/general/TestUnaryUnion.xml: Fix
	  CascadedPolygonUnion to discard non-polygonal components created
	  during unioning
	  
	  This is to avoid failures and provide more desirable behaviour.
	  Includes automated testing. Closes ticket #499.

2011-12-09 08:46  Sandro Santilli <strk@keybit.net>

	* [r3531] tests/xmltester/XMLTester.cpp: Allow XML tests not to
	  specify a precision model, defaulting to floating
	  
	  This allows running some JTS tests w/out touching them

2011-12-06 17:26  Sandro Santilli <strk@keybit.net>

	* [r3527] NEWS, include/geos/noding/snapround/HotPixel.h,
	  src/noding/snapround/HotPixel.cpp, tests/unit/Makefile.am,
	  tests/unit/noding/snapround,
	  tests/unit/noding/snapround/HotPixelTest.cpp: HotPixel: do not
	  invalidate reference to original point. Fixes #498.

2011-12-02 09:44  Sandro Santilli <strk@keybit.net>

	* [r3526] tests/xmltester/tests/safe/buffer-1.01.xml: Add
	  <resultMatcher> tag to make the test runnable with JTS

2011-11-30 09:49  Sandro Santilli <strk@keybit.net>

	* [r3524] NEWS, include/geos/noding/snapround/MCIndexSnapRounder.h,
	  src/noding/snapround/MCIndexSnapRounder.cpp,
	  tests/unit/operation/buffer/BufferOpTest.cpp: Fix
	  MCIndexSnapRounder use of provided precision model.
	  
	  Fixes bug #473 (RightmostEdgeFinder assertion failure).
	  Includes regression test.

2011-11-29 14:01  Sandro Santilli <strk@keybit.net>

	* [r3521] NEWS, src/geom/Coordinate.cpp: Use 18 significant digits
	  for TopologyException point coordinates

2011-11-28 08:40  Sandro Santilli <strk@keybit.net>

	* [r3519] NEWS, src/operation/buffer/BufferBuilder.cpp,
	  tests/xmltester/Makefile.am,
	  tests/xmltester/tests/safe/buffer-1.01.xml: BufferBuilder: fix
	  handling of collapsed edges skipping. Fixes #494.
	  
	  Includes regression test, provided by SAFE.

2011-11-04 20:52  Sandro Santilli <strk@keybit.net>

	* [r3516] tests/unit/capi/GEOSisValidDetailTest.cpp: Allow any case
	  in NaN for testcase purposes (#486)

2011-11-04 17:45  Sandro Santilli <strk@keybit.net>

	* [r3513] NEWS, src/operation/union/UnaryUnionOp.cpp,
	  tests/unit/operation/union/UnaryUnionOpTest.cpp,
	  tests/xmltester/tests/general/TestUnaryUnion.xml: Fix noding of
	  self-intersecting lines through UnaryUnion (#482)
	  
	  Includes updated tests from JTS

2011-11-04 15:00  Sandro Santilli <strk@keybit.net>

	* [r3512] src/index/sweepline/SweepLineIndex.cpp: Fix
	  initialization order

2011-10-26 16:08  Sandro Santilli <strk@keybit.net>

	* [r3507] tests/unit/Makefile.am,
	  tests/unit/operation/buffer/BufferParametersTest.cpp: Add test
	  for BufferParameters class

2011-10-26 14:29  Sandro Santilli <strk@keybit.net>

	* [r3506] NEWS: Add changes introduced by last commit

2011-10-19 00:47  Mateusz Loskot <mateusz@loskot.net>

	* [r3503] CMakeLists.txt: ported from trunk: Fixed CMAKE_CXX_FLAGS
	  overridind -std=gnu++0x (#489)

2011-10-18 22:08  Mateusz Loskot <mateusz@loskot.net>

	* [r3500] CMakeLists.txt: Missing versions update in CMake
	  configuration (#490)

2011-10-04 16:18  Sandro Santilli <strk@keybit.net>

	* [r3496] NEWS: Add missing CAPI additions of 3.3.0 to NEWS file

2011-09-27 16:02  Sandro Santilli <strk@keybit.net>

	* [r3490] NEWS: Prepare slot for 3.3.2 news

2011-09-27 15:41  Sandro Santilli <strk@keybit.net>

	* [r3489] configure.in: Bump versions up for next (3.3.2) release

2011-09-27 15:34  Sandro Santilli <strk@keybit.net>

	* [r3487] ChangeLog, NEWS, configure.in: Set version to 3.3.1
	  final, update ChangeLog and set release date in NEWS

2011-09-27 12:41  Sandro Santilli <strk@keybit.net>

	* [r3486] NEWS: Merge items

2011-09-23 15:59  Sandro Santilli <strk@keybit.net>

	* [r3485] NEWS, capi/CMakeLists.txt, src/CMakeLists.txt: Fix OS X
	  framework cmake build (#385) -- thanks kyngchaos

2011-09-21 08:06  Sandro Santilli <strk@keybit.net>

	* [r3474] NEWS, swig/geos.i.in, swig/python/Makefile.am: Fix
	  out-of-place build for python binding (#332)

2011-09-21 07:37  Sandro Santilli <strk@keybit.net>

	* [r3473] NEWS: Add build fix items

2011-09-20 14:34  Sandro Santilli <strk@keybit.net>

	* [r3471] include/geos/geom/GeometryFactory.h: apply clang fix for
	  #463

2011-09-17 15:42  Sandro Santilli <strk@keybit.net>

	* [r3467] include/geos/platform.h.in: Use the global isnan from
	  math.h for Solaris (#461)

2011-09-12 07:48  Sandro Santilli <strk@keybit.net>

	* [r3466] NEWS: Add item about leak fix

2011-09-12 07:39  Sandro Santilli <strk@keybit.net>

	* [r3464] src/algorithm/InteriorPointArea.cpp,
	  tests/unit/Makefile.am,
	  tests/unit/algorithm/InteriorPointAreaTest.cpp: Fix memory leak
	  on invalid geometry in InteriorPointArea (#475)

2011-08-24 14:54  Sandro Santilli <strk@keybit.net>

	* [r3462] include/geos/operation/buffer/OffsetSegmentGenerator.h,
	  include/geos/operation/relate/RelateComputer.h,
	  src/geom/util/SineStarFactory.cpp,
	  src/operation/relate/RelateComputer.cpp: Fix warnings on MSVC
	  2008 64 Bit (#470)

2011-08-20 20:52  Sandro Santilli <strk@keybit.net>

	* [r3460] NEWS, src/geom/GeometryCollection.cpp,
	  src/geom/LineString.cpp, src/geom/Point.cpp,
	  src/geom/Polygon.cpp, tests/unit/Makefile.am,
	  tests/unit/geom/Geometry/clone.cpp: Fix Geometry::clone() to copy
	  SRID. Closes ticket #464.

2011-08-19 10:47  Sandro Santilli <strk@keybit.net>

	* [r3459] NEWS, tests/perf/capi/Makefile.am: Fix out of source
	  builds (make check, actually)

2011-07-20 11:48  Sandro Santilli <strk@keybit.net>

	* [r3440] NEWS, src/operation/buffer/BufferBuilder.cpp,
	  tests/unit/capi/GEOSOffsetCurveTest.cpp: Fix EMPTY result from
	  GEOSOffsetCurve with distance 0 (#454)

2011-07-07 08:31  Sandro Santilli <strk@keybit.net>

	* [r3431] NEWS: Note the solaris build fix

2011-07-07 08:30  Sandro Santilli <strk@keybit.net>

	* [r3430] src/operation/buffer/BufferParameters.cpp: Include
	  platform.h, fixing SOLARIS build. Patch by Tai Meng
	  <tai.meng@safe.com>.

2011-07-05 11:49  Sandro Santilli <strk@keybit.net>

	* [r3426] src/operation/valid/IndexedNestedRingTester.cpp,
	  src/operation/valid/IndexedNestedRingTester.h: Update port info
	  for IndexedNestedRingTester

2011-07-05 10:31  Sandro Santilli <strk@keybit.net>

	* [r3420] NEWS, src/operation/valid/IndexedNestedRingTester.cpp,
	  tests/xmltester/tests/general/TestValid.xml: Fixed
	  NestedRingTester (used by IsValidOp) to correctly handle the case
	  where a hole touches all the vertices of another hole (#449)

2011-07-05 10:13  Sandro Santilli <strk@keybit.net>

	* [r3419] NEWS: Add notes about the recent changes

2011-07-05 10:13  Sandro Santilli <strk@keybit.net>

	* [r3418] Makefile.am: Tweak 'make cl' rule to make sure an 'svn
	  update' is performed before the svn2cl call (or it may miss
	  changes!)

2011-07-05 09:44  Sandro Santilli <strk@keybit.net>

	* [r3408] src/algorithm/MinimumDiameter.cpp: Initialize
	  MinimumDiamiter::minPtIndex in the constructor, to make static
	  analisys tools happier

2011-07-05 09:44  Sandro Santilli <strk@keybit.net>

	* [r3407] src/index/sweepline/SweepLineIndex.cpp: Initialize
	  SweepLineIndex::indexBuilt in ctor

2011-07-05 09:44  Sandro Santilli <strk@keybit.net>

	* [r3406] include/geos/algorithm/LineIntersector.h: Initialize
	  LineIntersector::isProperVar in constructor (not really needed
	  but makes less noise under static analisys tools)

2011-07-05 09:44  Sandro Santilli <strk@keybit.net>

	* [r3405] include/geos/geom/prep/PreparedPoint.h,
	  src/geom/prep/PreparedPoint.cpp: Fix bogus override of
	  PreparedGeometry::intersect by PreparedPoint

2011-07-05 09:43  Sandro Santilli <strk@keybit.net>

	* [r3404] src/index/quadtree/Node.cpp: Assert that the variable
	  used as array index is not negative before using it (quadtree)

2011-07-05 09:43  Sandro Santilli <strk@keybit.net>

	* [r3403] src/geomgraph/GeometryGraph.cpp: Avoid segfalting when an
	  added node has no label in GeometryGraph::insertBoundaryPoint.
	  See https://sourceforge.net/tracker
	  /?func=detail&aid=3353879&group_id=128875&atid=713120

2011-07-05 09:43  Sandro Santilli <strk@keybit.net>

	* [r3402] src/geomgraph/Node.cpp: Avoid segfaulting when
	  Node.setLabelBoundary is called against a node with null label.
	  See https://sourceforge.net/tracker/
	  ?func=detail&aid=3353871&group_id=128875&atid=713120

2011-07-05 09:43  Sandro Santilli <strk@keybit.net>

	* [r3401] src/index/bintree/Node.cpp: Assert that the variable used
	  as array index is not negative before using it.

2011-07-05 09:43  Sandro Santilli <strk@keybit.net>

	* [r3400] src/util/Profiler.cpp: Do not dereference past-the-end
	  iterator on invalid call

2011-07-01 09:02  Sandro Santilli <strk@keybit.net>

	* [r3399] tests/unit/capi/GEOSBufferTest.cpp: Add test for bug #455
	  to 3.3 branch (passes)

2011-06-27 11:49  Sandro Santilli <strk@keybit.net>

	* [r3395] configure.in: Bump versions up for 3.3.1dev (second part
	  of fix for #453)

2011-06-09 07:59  Sandro Santilli <strk@keybit.net>

	* [r3391] .: Creating 3.3 branch

2011-06-02 20:18  Sandro Santilli <strk@keybit.net>

	* [r3390] Refine test for #448

2011-06-02 20:13  Sandro Santilli <strk@keybit.net>

	* [r3389] Add test for bug #448

2011-05-30 12:50  Sandro Santilli <strk@keybit.net>

	* [r3387] Update for release

2011-05-30 12:48  Sandro Santilli <strk@keybit.net>

	* [r3386] Set version to 3.3.0 (final) - Set release date to
	  2011-05-30

2011-05-30 10:49  Mateusz Loskot <mateusz@loskot.net>

	* [r3385] Applied William\'s patch capi_CMakeLists.txt.patch for
	  OSX framework (Ticket #385)

2011-05-30 10:45  Mateusz Loskot <mateusz@loskot.net>

	* [r3384] Applied William\'s patch * src_CMakeLists.txt.patch
	  Download added OSX framework (Ticket #385)

2011-05-30 10:30  Mateusz Loskot <mateusz@loskot.net>

	* [r3383] Applied William\'s patch with missing library versions
	  for OSX framework (Ticket #385)

2011-05-30 09:41  Mateusz Loskot <mateusz@loskot.net>

	* [r3382] Applied supplementary tests.patch for 85 from William

2011-05-27 14:04  Sandro Santilli <strk@keybit.net>

	* [r3381] The mac framework info.plist.in from r3376 didn't make it
	  into the rc2 tarball.

2011-05-23 10:04  Sandro Santilli <strk@keybit.net>

	* [r3378] updated for 3.3.0rc2 release

2011-05-23 09:58  Sandro Santilli <strk@keybit.net>

	* [r3377] Set version to 3.3.0rc2

2011-05-23 08:52  Mateusz Loskot <mateusz@loskot.net>

	* [r3376] Added src/info.plist.in file for OS X framework build
	  option in CMake configuration (Ticket #385)

2011-05-22 23:34  Mateusz Loskot <mateusz@loskot.net>

	* [r3375] Added OS X framework build option to CMake configuration
	  (Ticket #385)

2011-05-20 08:02  Sandro Santilli <strk@keybit.net>

	* [r3374] add missing return from main

2011-05-19 20:39  Frank Warmerdam <warmerdam@pobox.com>

	* [r3373] shellCount checking should not be DEBUG only now that we
	  throw an exception (#398)

2011-05-19 19:32  Frank Warmerdam <warmerdam@pobox.com>

	* [r3372] Updates for Makefile.vc builds and issues when building
	  NDEBUG and no inlining

2011-05-19 14:58  Sandro Santilli <strk@keybit.net>

	* [r3371] Fix build of prepared geoms memleak tester on system
	  w/out geos installed

2011-05-18 19:59  Sandro Santilli <strk@keybit.net>

	* [r3370] Do not assume isfinite is in std:: namespace to fix #444;
	  Have RobustDeterminant use a broad 'using namespace std' to fix
	  #442 in another way.

2011-05-17 20:44  Sandro Santilli <strk@keybit.net>

	* [r3369] Distribute cmake build scripts. Fixes bug #441.

2011-05-17 17:04  Sandro Santilli <strk@keybit.net>

	* [r3368] Remove inlines machinery from MCIndexSnapRounder.
	  Possibly fixes ticket #222.

2011-05-17 16:50  Sandro Santilli <strk@keybit.net>

	* [r3367] Remove disabled code and old logs. No functional change.

2011-05-16 14:17  Mateusz Loskot <mateusz@loskot.net>

	* [r3366] Fixed buggy self-assignment in
	  SineStarFactory::setNumArms

2011-05-16 11:46  Sandro Santilli <strk@keybit.net>

	* [r3365] Quality ::finite and ::isfinite symbols, when available,
	  into the std:: namespace. Fixes bug #442.

2011-05-13 16:22  Mateusz Loskot <mateusz@loskot.net>

	* [r3364] GEOS DLL exports are pretty much messed up. The same DLL
	  declspec is used by both C++ and C DLLs. So, GEOS C DLL cannot
	  import and link properly against GEOS C++ interface as the
	  declspec(dllexport) is specified for the GEOS C++ DLL where
	  declspec(dllimport) is expected. This commit fixes the issue
	  (temporarily) by linking GEOS C DLL against GEOS C++ static
	  library.

2011-05-13 16:17  Mateusz Loskot <mateusz@loskot.net>

	* [r3363] Added missing DLL decspec for Angle class

2011-05-13 15:53  Mateusz Loskot <mateusz@loskot.net>

	* [r3362] Removed std::isfinite as possibly non-existing on some
	  platforms - rather fix platform.h if needed.

2011-05-12 10:11  Sandro Santilli <strk@keybit.net>

	* [r3361] Add note about #357 fix

2011-05-12 09:56  Sandro Santilli <strk@keybit.net>

	* [r3360] Have RobustDeterminant throw an IllegalArgument if passed
	  any infinite or nan value. Fixes bug #357. Includes regress test.

2011-05-12 07:39  Sandro Santilli <strk@keybit.net>

	* [r3359] Add note about the memory usage reduction in prepared
	  geoms (#342)

2011-05-12 07:21  Sandro Santilli <strk@keybit.net>

	* [r3358] Reserve vector space, use ::size_type for vector indices.

2011-05-12 07:18  Sandro Santilli <strk@keybit.net>

	* [r3357] Don't let MCIndexSegmentSetMutualIntersector grow in
	  memory on every new ::process call. Fixes bug #342.

2011-05-12 07:14  Sandro Santilli <strk@keybit.net>

	* [r3356] Port info for MonotoneChainBuilder

2011-05-12 06:20  Sandro Santilli <strk@keybit.net>

	* [r3355] Fix a memory leak in
	  PreparedLineStringIntersects::isAnyPointInRing

2011-05-12 06:16  Sandro Santilli <strk@keybit.net>

	* [r3354] Drop commented out code

2011-05-12 06:13  Sandro Santilli <strk@keybit.net>

	* [r3353] Port info for PreparedLineStringIntersects, and avoid
	  polluting the global namespace

2011-05-12 06:10  Sandro Santilli <strk@keybit.net>

	* [r3352] Reduce heap allocations in
	  AbstractPreparedPolygonContains

2011-05-11 17:59  Sandro Santilli <strk@keybit.net>

	* [r3351] Port info for FastSegmentSetIntersectionFinder

2011-05-11 17:59  Sandro Santilli <strk@keybit.net>

	* [r3350] Port info for MCIndexSegmentSetMutualIntersector

2011-05-11 17:25  Sandro Santilli <strk@keybit.net>

	* [r3349] Import test for bug #342. It is not automated as it's not
	  general (requires bash)

2011-05-11 10:00  Sandro Santilli <strk@keybit.net>

	* [r3348] Producing a bzip2 tarball is easier than described

2011-05-11 09:54  Sandro Santilli <strk@keybit.net>

	* [r3346] Updated for 3.0.0rc1 release

2011-05-11 09:48  Sandro Santilli <strk@keybit.net>

	* [r3345] Add Geometry.offsetCurve to PHP binding

2011-05-11 09:47  Sandro Santilli <strk@keybit.net>

	* [r3344] Add single-sided buffering support in PHP binding

2011-05-11 09:15  Sandro Santilli <strk@keybit.net>

	* [r3343] Set version to 3.0.0rc1

2011-05-10 18:10  Sandro Santilli <strk@keybit.net>

	* [r3342] Have GEOSOffsetCurve return LINESTRING EMPTY for
	  collapsing lines (right offset on right-turning curve can do
	  that). Regress test one such case, taken from
	  http://trac.osgeo.org/postgis/ticket/413.

2011-05-10 11:11  Sandro Santilli <strk@keybit.net>

	* [r3341] Add test for 357 (doesn't succeed at failing)

2011-05-10 09:51  Sandro Santilli <strk@keybit.net>

	* [r3340] Revert "Use long double to compute edge distance."
	  (r3334). Simple double in HCoordinate made #350 pass anyway.

2011-05-10 09:51  Sandro Santilli <strk@keybit.net>

	* [r3339] Drop STORE_INTERMEDIATE_COMPUTATION_VALUES macro and
	  protected non-unrolled computation, that is all paranoia aimed at
	  making floats stored to match java IEEE. Since we get no failures
	  in testsuite (our and postgis') I think it makes sense to have
	  the code as close as possible to the JTS one.

2011-05-10 09:50  Sandro Santilli <strk@keybit.net>

	* [r3338] Update port info

2011-05-10 09:50  Sandro Santilli <strk@keybit.net>

	* [r3337] Expect the same results given by JTS

2011-05-10 09:50  Sandro Santilli <strk@keybit.net>

	* [r3336] Bring hcoordinate back to double precision (from long
	  double)

2011-05-09 11:57  Sandro Santilli <strk@keybit.net>

	* [r3335] Automate test for bug350, change the expected result to
	  match the one obtained by GEOS. It is not _exactly_ the same
	  output obtained with JTS but close enough. Unfortunately both
	  GEOS and JTS use an exact match for comparison so we won't be
	  able to share this test.

2011-05-09 11:57  Sandro Santilli <strk@keybit.net>

	* [r3334] Use long double to compute edge distance. Makes noding
	  more robust, fixes bug #350.

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3333] Turn EdgeIntersection into a concrete, fully-inlined, C++
	  class.

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3332] Describe MonotoneChain

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3331] Make output operators for Edge, EdgeIntersection and
	  EdgeIntersectionList closer to JTS, for easier comparison

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3330] Output operator for EdgeIntersection and
	  EdgeIntersectionList

2011-05-06 18:51  Sandro Santilli <strk@keybit.net>

	* [r3329] Drop book keeping of segment intersectors, as we're
	  transferring their ownership to caller anyway

2011-05-06 08:57  Sandro Santilli <strk@keybit.net>

	* [r3328] Re-add also the original data in test for bug350, so
	  nothing gets lost.

2011-05-06 08:57  Sandro Santilli <strk@keybit.net>

	* [r3327] Use logical (not bitwise) AND, use dynamic_cast to map
	  JTS's instanceof operator

2011-05-06 08:57  Sandro Santilli <strk@keybit.net>

	* [r3326] Modify test for bug350 so to use pre-snapped geometries.
	  Shows that the problem is not in snapping code, but after that
	  (ie: JTS succeeds at fist shot on this new input)

2011-05-04 17:45  Sandro Santilli <strk@keybit.net>

	* [r3325] Fix regression accidentally introduced by commit r3322
	  (Sean's). Add automated test for it (was found trough PostGIS
	  regression test)

2011-05-04 16:30  Sandro Santilli <strk@keybit.net>

	* [r3324] Drop useless and unavailable include

2011-05-03 02:30  Sean Gillies <sgillies@frii.com>

	* [r3323] Damn these tabs

2011-05-03 02:27  Sean Gillies <sgillies@frii.com>

	* [r3322] Add missing prepared geometry predicates to C API (#436)

2011-04-28 16:39  Sandro Santilli <strk@keybit.net>

	* [r3321] Improve performance of RectangleIntersects (of one order
	  of magnitude).

2011-04-28 16:38  Sandro Santilli <strk@keybit.net>

	* [r3320] More concise output from performance tester

2011-04-28 15:09  Sandro Santilli <strk@keybit.net>

	* [r3319] Hush uncontrolled debugging prints

2011-04-28 15:08  Sandro Santilli <strk@keybit.net>

	* [r3318] Plug leak on exception in RelateComputer (exposed by
	  running doc/example)

2011-04-28 15:08  Sandro Santilli <strk@keybit.net>

	* [r3317] Do not leak on exception during relational geometry
	  predicates

2011-04-28 14:16  Sandro Santilli <strk@keybit.net>

	* [r3316] Port RectangleIntersects performance test from JTS-1.12

2011-04-28 14:16  Sandro Santilli <strk@keybit.net>

	* [r3315] Do not leak memory during rectangle intersects predicate

2011-04-28 14:16  Sandro Santilli <strk@keybit.net>

	* [r3314] Drop unneeded include

2011-04-28 10:04  Sandro Santilli <strk@keybit.net>

	* [r3313] Port geos::geom::util::SineStarFactory from JTS-1.12,
	  useful for profile-test RectangleIntersects.

2011-04-28 10:04  Sandro Santilli <strk@keybit.net>

	* [r3312] Trim old embedded history log (from CVS times)

2011-04-27 16:42  Sandro Santilli <strk@keybit.net>

	* [r3311] Improve speed of Geometry.getArea, unit-test it.

2011-04-27 15:52  Sandro Santilli <strk@keybit.net>

	* [r3310] Match full class names, not partial. Allow specifying a
	  package name.

2011-04-27 15:47  Sandro Santilli <strk@keybit.net>

	* [r3309] Sync linemerge package to JTS-1.12 (nothing changed)

2011-04-27 15:33  Sandro Santilli <strk@keybit.net>

	* [r3308] Utility script to help with editing all files of a class

2011-04-27 15:18  Sandro Santilli <strk@keybit.net>

	* [r3307] Sync Angle class to JTS-1.12, port unit testing for it.

2011-04-27 14:13  Sandro Santilli <strk@keybit.net>

	* [r3306] Add test for singlesided buffer (areal). Fix premature
	  exit from OffsetCurveSetBuilder.

2011-04-27 13:38  Sandro Santilli <strk@keybit.net>

	* [r3305] Drop one argument from GEOSOffsetCurve. Tell right/left
	  from width/distance sign (<0 for right side)

2011-04-27 13:06  Sandro Santilli <strk@keybit.net>

	* [r3304] Put OffsetCurveTest in its own file (old singleside test
	  + a couple more tests)

2011-04-27 13:06  Sandro Santilli <strk@keybit.net>

	* [r3303] Add GEOSBufferParams type and GEOSBufferWithParams
	  function to have an extensible buffer operation. Allows areal
	  single sided buffer.

2011-04-27 11:13  Sandro Santilli <strk@keybit.net>

	* [r3302] Add GEOSOffsetCurve C-API interface deprecating
	  GEOSSingleSidedBuffer

2011-04-27 09:42  Sandro Santilli <strk@keybit.net>

	* [r3301] Refactored offset curve generation (from JTS-1.12)

2011-04-27 09:42  Sandro Santilli <strk@keybit.net>

	* [r3300] Sync BufferParameters class to JTS r378 (isSingleSided
	  property)

2011-04-27 09:42  Sandro Santilli <strk@keybit.net>

	* [r3299] Sync BufferOp class to JTS r378. Do not port the unused
	  isSingleSided property.

2011-04-23 10:30  Sandro Santilli <strk@keybit.net>

	* [r3298] Add note about GEOSCascadedUnion deprecation

2011-04-23 10:28  Sandro Santilli <strk@keybit.net>

	* [r3297] Mark GEOSUnionCascaded as deprecated, GEOSUnaryUnion does
	  the same thing w/out refusin to deal with lines, points,
	  collections

2011-04-23 10:03  Sandro Santilli <strk@keybit.net>

	* [r3296] Generalize CascadedPolygonUnion into a CascadedUnion. Use
	  the generalized class for unary union of lines, fixing bug #392.
	  Automate testing of it, tweak expected results from other tests
	  (output components reordered).

2011-04-22 22:26  Sandro Santilli <strk@keybit.net>

	* [r3295] Use equals() to compare expected/obtained results of
	  "Union" operation. This matches JTS and prevents being too strict
	  about equality.

2011-04-22 18:46  Sandro Santilli <strk@keybit.net>

	* [r3294] Put GeometryListHolder in its own header file.

2011-04-22 13:51  Sandro Santilli <strk@keybit.net>

	* [r3293] Use stringstream to format strings rather than
	  printf-like statements. Simplifies things a lot.

2011-04-22 13:04  Sandro Santilli <strk@keybit.net>

	* [r3292] Sync PrecisionModel to JTS-1.12, add unit testing, fix
	  getMaximumPrecisionDigit to behave as documented (JTS doesn't).

2011-04-20 17:13  Sandro Santilli <strk@keybit.net>

	* [r3291] Sync OffsetCurveSetBuilder::isErodedCompletely
	  implementation to JTS, fixing bug #434

2011-04-20 15:55  Sandro Santilli <strk@keybit.net>

	* [r3290] Move per-ticket testcases under their own directory

2011-04-20 15:42  Sandro Santilli <strk@keybit.net>

	* [r3289] Set JTS port version to 1.12

2011-04-19 07:57  Sandro Santilli <strk@keybit.net>

	* [r3288] Add test for IsCCW against the two almost-collapsed rings
	  resulting by GEOS or JTS during execution of the union described
	  in ticket #398. This is done after confirmation of same results
	  in JTS (1 bit makes the difference between CCW and CW
	  orientation).

2011-04-18 21:45  Sandro Santilli <strk@keybit.net>

	* [r3287] Add the actual ->distance() call to the test for bug #367

2011-04-18 21:28  Sandro Santilli <strk@keybit.net>

	* [r3286] Throw a TopologyException, rather than aborting, when
	  finding more than a shell in MinimalEdgeRing list. Fixes bug
	  #398. Enables automated test for it. Note that JTS fails the test
	  now, triggering the failed assertion.

2011-04-18 21:28  Sandro Santilli <strk@keybit.net>

	* [r3285] Expect a result with/out the collapsed ring in the test
	  for bug 398. Funny enough, this makes JTS react by failing the
	  assertion I was tracking...

2011-04-18 21:01  Sandro Santilli <strk@keybit.net>

	* [r3284] Avoid more heap allocations in PolygonBuilder

2011-04-18 15:08  Sandro Santilli <strk@keybit.net>

	* [r3283] Reduce heap allocations in PolygonBuilder, rewrite some
	  private interfaces to deal with refs rather than pointers

2011-04-18 15:08  Sandro Santilli <strk@keybit.net>

	* [r3282] Use PlanarGraph::linkResultDirectedEdges rather than
	  rewriting it inline

2011-04-18 15:08  Sandro Santilli <strk@keybit.net>

	* [r3281] Turn PlanarGraph::linkResultDirectedEdges into a
	  templated method

2011-04-13 11:52  Sandro Santilli <strk@keybit.net>

	* [r3280] Add test for bug #435

2011-04-13 11:32  Sandro Santilli <strk@keybit.net>

	* [r3279] Fix path to CAPI includes for PHP binding

2011-04-13 10:44  Sandro Santilli <strk@keybit.net>

	* [r3278] Drop coordinate dimension cache after read-write
	  filtering. Fixes ticket #435.

2011-04-13 08:26  Sandro Santilli <strk@keybit.net>

	* [r3277] Drop author.sh, add a rule to create authors.git instead

2011-04-13 07:37  Sandro Santilli <strk@keybit.net>

	* [r3276] Add script to be used with git-svn --authors-prog

2011-03-26 14:02  Sandro Santilli <strk@keybit.net>

	* [r3275] fix missing size_t with gcc 4.6

2011-03-26 14:02  Sandro Santilli <strk@keybit.net>

	* [r3274] fixed missing NULL with gcc 4.6

2011-03-26 14:02  Sandro Santilli <strk@keybit.net>

	* [r3273] fix uninitialized const caused by missing constructor

2011-03-24 17:54  Mateusz Loskot <mateusz@loskot.net>

	* [r3272] Added source_group properties to support source browsers
	  in various IDEs

2011-03-16 22:29  Sandro Santilli <strk@keybit.net>

	* [r3271] Use GEOSVALID flag correctly, thanks Mat for spotting
	  this.

2011-03-11 14:40  Sandro Santilli <strk@keybit.net>

	* [r3270] Add XML test for bug #350

2011-03-11 14:24  Sandro Santilli <strk@keybit.net>

	* [r3269] Add XML test for bug398 (not automatically run, as it
	  fails)

2011-03-11 14:24  Sandro Santilli <strk@keybit.net>

	* [r3268] Tell more about XML loading failures

2011-03-08 09:04  Sandro Santilli <strk@keybit.net>

	* [r3267] Add test for invalid boundary node rule value

2011-03-04 17:05  Sandro Santilli <strk@keybit.net>

	* [r3266] PHP: add relateBoundaryNodeRule method to GEOSGeometry
	  object

2011-03-04 16:38  Sandro Santilli <strk@keybit.net>

	* [r3265] Add note aboute GEOSRelateBoundaryNodeRule

2011-03-04 16:31  Sandro Santilli <strk@keybit.net>

	* [r3264] GEOSRelateBoundaryNodeRule test, ticket #399 [RT-SIGTA]

2011-03-04 16:30  Sandro Santilli <strk@keybit.net>

	* [r3263] GEOSRelateBoundaryNodeRule, ticket #399 [RT-SIGTA]

2011-03-04 16:30  Sandro Santilli <strk@keybit.net>

	* [r3262] Indenting..

2011-03-02 13:45  Sandro Santilli <strk@keybit.net>

	* [r3261] Tweak unit test to expect distance 0 between an empty an
	  anything else. Report the change in NEWS file.

2011-03-02 13:45  Sandro Santilli <strk@keybit.net>

	* [r3260] Add support for "distance" op in XMLTester, and import
	  JTS TestDistance.xml

2011-03-02 13:45  Sandro Santilli <strk@keybit.net>

	* [r3259] Fixed Geometry.distance() and DistanceOp to return 0.0
	  for empty inputs (JTS-1.11)

2011-03-02 13:13  Sandro Santilli <strk@keybit.net>

	* [r3258] Sync IsValidOp and related XML testcase to JTS-1.12

2011-03-02 12:46  Sandro Santilli <strk@keybit.net>

	* [r3257] Added check for illegal state in offsetPoint method

2011-03-02 09:24  Sandro Santilli <strk@keybit.net>

	* [r3256] Fix debug build

2011-03-01 17:56  Mateusz Loskot <mateusz@loskot.net>

	* [r3255] Fix DLL build using Visual C++: *) added missing exports;
	  *) do not use static data members in inline methods - linker
	  fails to find definition ; *) Clean up C4251 warning.

2011-03-01 17:53  Mateusz Loskot <mateusz@loskot.net>

	* [r3254] Check geometry against nullptr

2011-03-01 17:50  Mateusz Loskot <mateusz@loskot.net>

	* [r3253] Redefined ENDIAN_BIG and ENDIAN_LITTLE as enumerators
	  instead of static non-const members - Visual C++ linker has
	  mysterious problems with exporting them from DLL.

2011-02-28 14:36  Sandro Santilli <strk@keybit.net>

	* [r3252] Fix BufferOp::bufferFixedPrecision to use snap-rounding
	  noder. Fixes bug #356.

2011-02-28 12:19  Sandro Santilli <strk@keybit.net>

	* [r3251] Cleanup debugging output. Previous version didn't really
	  print the _noded_ output at all.

2011-02-28 11:43  Sandro Santilli <strk@keybit.net>

	* [r3250] Expose and test covers/coveredBy to PHP binding

2011-02-28 11:32  Sandro Santilli <strk@keybit.net>

	* [r3249] GEOSCovers and GEOSCoveredBy (ticket #396) by Alessandro
	  Furieri

2011-02-25 16:05  Sandro Santilli <strk@keybit.net>

	* [r3248] be explicit about quadrant segments

2011-02-25 10:22  Sandro Santilli <strk@keybit.net>

	* [r3247] Add test for ticket #356 (not run, as it fails)

2011-02-23 17:13  Sandro Santilli <strk@keybit.net>

	* [r3246] JTS-1.12 sync

2011-02-23 16:46  Sandro Santilli <strk@keybit.net>

	* [r3245] Update port info

2011-02-23 16:21  Sandro Santilli <strk@keybit.net>

	* [r3244] Update port info

2011-02-23 16:21  Sandro Santilli <strk@keybit.net>

	* [r3243] Fixed buffer OffsetCurveSetBuilder to handle "flat" rings
	  correctly

2011-02-23 15:45  Sandro Santilli <strk@keybit.net>

	* [r3242] Don't bother adding ring if it is "flat" and will
	  disappear in the output (from TS r261)

2011-02-23 15:45  Sandro Santilli <strk@keybit.net>

	* [r3241] Sync LinearRing to JTS-1.12: empty LinearRing are closed
	  by definition now

2011-02-23 14:37  Sandro Santilli <strk@keybit.net>

	* [r3240] Update port info for MCIndexPointSnapper

2011-02-23 14:37  Sandro Santilli <strk@keybit.net>

	* [r3239] Update port info for SimpleSnapRounder

2011-02-23 14:37  Sandro Santilli <strk@keybit.net>

	* [r3238] Update port info for MCIndexSnapRounder (and remove
	  testing-only check)

2011-02-23 14:37  Sandro Santilli <strk@keybit.net>

	* [r3237] Sync HotPixel to JTS-1.12 (doxygen + privatization of a
	  method..)

2011-02-23 11:05  Sandro Santilli <strk@keybit.net>

	* [r3236] Run test for bug366 (succeeds)

2011-02-23 10:25  Sandro Santilli <strk@keybit.net>

	* [r3235] Port JTS unit tests for SegmentPointComparator

2011-02-23 10:25  Sandro Santilli <strk@keybit.net>

	* [r3234] Take SegmentPointComparator out of implelmentation file,
	  to allow for unit-testing.

2011-02-23 09:37  Sandro Santilli <strk@keybit.net>

	* [r3233] Fix NodedSegmentString to handle zero-length line
	  segments correctly (via safeOctant)

2011-02-22 21:22  Sandro Santilli <strk@keybit.net>

	* [r3232] Export Puntal, Lineal and Polygonal symbols

2011-02-22 17:53  Sandro Santilli <strk@keybit.net>

	* [r3231] Fix linemerge test (wrong initial copy)

2011-02-21 17:30  Sandro Santilli <strk@keybit.net>

	* [r3230] Add LineSequencer unit test, fix memory leaks in the
	  class.

2011-02-21 17:30  Sandro Santilli <strk@keybit.net>

	* [r3229] Add templated geometry adder to LineSequencer class

2011-02-21 16:14  Sandro Santilli <strk@keybit.net>

	* [r3228] Sync linemerge namespace to JTS-1.12 fixing LineMerger to
	  skip lines with only a single unique coordinate; reduce some heap
	  allocations; add unit testing for Linemerger

2011-02-21 16:14  Sandro Santilli <strk@keybit.net>

	* [r3227] Sync linemerge::LineSequencer to JTS-1.12

2011-02-21 14:02  Sandro Santilli <strk@keybit.net>

	* [r3226] Add note about SnapIfNeededOverlayOp change

2011-02-21 14:02  Sandro Santilli <strk@keybit.net>

	* [r3225] Update port info

2011-02-21 12:03  Sandro Santilli <strk@keybit.net>

	* [r3224] Fix SnapIfNeededOverlayOp to throw the originating
	  exception, which contains meaningful coordinates, and update port
	  info.

2011-02-18 18:25  Mateusz Loskot <mateusz@loskot.net>

	* [r3223] Updated CMake configuration to use libgeos.lib for static
	  library and geos.lib for import library. Define GEOS_DLL_EXPORT
	  for GEOS DLL target.

2011-02-15 17:35  Mateusz Loskot <mateusz@loskot.net>

	* [r3222] gstrdup may throw since r3088 thus should no longer be
	  declared as C function

2011-02-15 15:24  Sandro Santilli <strk@keybit.net>

	* [r3221] Allow passing NULL for "reason" and "location" arguments
	  of GEOSisValidDetail [RT-SIGTA]

2011-02-15 15:15  Sandro Santilli <strk@keybit.net>

	* [r3220] Adapt PHP binding to the new GEOSisValidDetail interface

2011-02-15 15:15  Sandro Santilli <strk@keybit.net>

	* [r3219] Add a 'flags' parameter to GEOSisValidDetail.

2011-02-15 15:14  Sandro Santilli <strk@keybit.net>

	* [r3218] Make sure php binding are built _before_ the
	  corresponding test is run

2011-02-13 22:31  Sandro Santilli <strk@keybit.net>

	* [r3217] Guard againts empty vectors before decrementing .end()

2011-02-13 22:30  Sandro Santilli <strk@keybit.net>

	* [r3216] Add an .empty() interface to CoordinateList

2011-02-13 21:29  Mateusz Loskot <mateusz@loskot.net>

	* [r3215] Added new ./configure option: --enable-glibcxx-debug
	  which to enable libstdc++ debug mode (see Ticket #395). Added
	  AC_MSG_CHECKING and AC_MSG_RESULT to existing options.

2011-02-13 20:14  Mateusz Loskot <mateusz@loskot.net>

	* [r3214] CRLF to LF

2011-02-13 20:14  Mateusz Loskot <mateusz@loskot.net>

	* [r3213] Added test case submitted with Ticket #367. No
	  segmentation fault in distance() method observed under Visual C++
	  10.0

2011-02-13 20:03  Sandro Santilli <strk@keybit.net>

	* [r3212] Always use BinaryOp for overlay operations accessible
	  from Geometry

2011-02-13 19:54  Mateusz Loskot <mateusz@loskot.net>

	* [r3211] Explicitly disabled Visual C++ warning C4250 ('class1' :
	  inherits 'class2::member' via dominance) - it is still unclear if
	  caused by Visual C++ bug
	  https://connect.microsoft.com/VisualStudio/feedback/details/101259/
	  - safe to disable anyway.

2011-02-13 19:51  Mateusz Loskot <mateusz@loskot.net>

	* [r3210] Return unset std::auto_otr from GeometryFactory,
	  otherwise error condition causes no return

2011-02-13 19:50  Mateusz Loskot <mateusz@loskot.net>

	* [r3209] Declare PointGeometryUnion type as non-copyable

2011-02-13 19:25  Mateusz Loskot <mateusz@loskot.net>

	* [r3208] Renamed template parameters to more readable CamelCase
	  and self-descriptive form. Declare Extracter type as
	  non-copyable. Do not use names starting with underscore - they
	  are reserved for C++ implementations.

2011-02-13 19:22  Mateusz Loskot <mateusz@loskot.net>

	* [r3207] Fixed missing or ambiguous declarations of
	  TopologyException (Ticket #394)

2011-02-12 08:54  Sandro Santilli <strk@keybit.net>

	* [r3206] Have Geometry::Union use BinaryOp rather than
	  SnapIfNeededOverlayOp. Improves robustness (fixes bug #360, test
	  for which is enabled with this commit)

2011-02-11 15:59  Sandro Santilli <strk@keybit.net>

	* [r3205] Add description

2011-02-11 10:51  Sandro Santilli <strk@keybit.net>

	* [r3204] XML version of test for bug #360

2011-02-11 10:28  Sandro Santilli <strk@keybit.net>

	* [r3203] Optimize container->container copy, on Mat's suggestion

2011-02-11 09:58  Sandro Santilli <strk@keybit.net>

	* [r3202] PHP support or UnaryUnion

2011-02-11 09:58  Sandro Santilli <strk@keybit.net>

	* [r3201] GEOSUnaryUnion C-API interface (and test)

2011-02-10 21:05  Sandro Santilli <strk@keybit.net>

	* [r3200] Add support for UnaryUnion testing in XML format, import
	  the JTS xml test for it

2011-02-10 21:05  Sandro Santilli <strk@keybit.net>

	* [r3199] Add test exposing the std::copy bug of two commits ago

2011-02-10 21:05  Sandro Santilli <strk@keybit.net>

	* [r3198] Expose unary union trought Geometry.Union()

2011-02-10 21:05  Sandro Santilli <strk@keybit.net>

	* [r3197] Can't just std::copy over an empty container. Need a
	  back_inserter !

2011-02-10 15:51  Sandro Santilli <strk@keybit.net>

	* [r3196] Add unit test for UnaryUnionOp (and fix interface bug)

2011-02-10 14:14  Sandro Santilli <strk@keybit.net>

	* [r3195] UnaryUnionOp port from JTS-1.12

2011-02-10 14:10  Sandro Santilli <strk@keybit.net>

	* [r3194] Oops, didn't want to commit this one.

2011-02-10 14:05  Sandro Santilli <strk@keybit.net>

	* [r3193] Fix dynamic cast

2011-02-10 13:48  Sandro Santilli <strk@keybit.net>

	* [r3192] Add a template interface to CascadedPolygonUnion to relax
	  requirements on used container

2011-02-10 11:09  Sandro Santilli <strk@keybit.net>

	* [r3191] Introduce a templated version of
	  GeometryFactory::buildGeometry, and test it.

2011-02-10 11:09  Sandro Santilli <strk@keybit.net>

	* [r3190] Include required GeometryFactory header (it's used)

2011-02-07 17:52  Sandro Santilli <strk@keybit.net>

	* [r3189] Port GeometryExtracter from JTS-1.12

2011-02-07 17:00  Sandro Santilli <strk@keybit.net>

	* [r3188] Fix casts

2011-02-07 15:41  Sandro Santilli <strk@keybit.net>

	* [r3187] PointGeometryUnion port

2011-02-07 15:39  Sandro Santilli <strk@keybit.net>

	* [r3186] Include definition of base class

2011-02-07 15:39  Sandro Santilli <strk@keybit.net>

	* [r3185] Turn Puntal, Lineal and Polygonal into Geometry
	  derivates. This commit introduces virtual inheritance and 3
	  diamonds.

2011-02-04 12:27  Sandro Santilli <strk@keybit.net>

	* [r3184] dynamic_cast Polygon to Geometry before converting to
	  void pointer. This is safer, altought the whole void pointer use
	  should be dropped for real safety.

2011-02-04 12:26  Sandro Santilli <strk@keybit.net>

	* [r3183] Avoid useless reinterpret_cast

2011-02-04 10:12  Sandro Santilli <strk@keybit.net>

	* [r3182] Even more static casts drops

2011-02-04 08:50  Sandro Santilli <strk@keybit.net>

	* [r3181] Drop more static casts

2011-02-03 21:50  Sandro Santilli <strk@keybit.net>

	* [r3180] Don't downcast with static_cast

2011-02-03 19:59  Sandro Santilli <strk@keybit.net>

	* [r3179] reduce static casts

2011-02-03 19:58  Sandro Santilli <strk@keybit.net>

	* [r3178] provide standard strict weak ordering operator for
	  Coordinate

2011-02-03 19:58  Sandro Santilli <strk@keybit.net>

	* [r3177] A step toward better const-correctness in
	  GeometryCombiner interface

2011-02-03 19:58  Sandro Santilli <strk@keybit.net>

	* [r3176] Document ownerhips of GeometryCombiner inputs

2011-02-03 08:15  Sandro Santilli <strk@keybit.net>

	* [r3175] Oops.. fix the newly added interface to create MultiPoint
	  from a vector of coordinates

2011-02-02 19:24  Sandro Santilli <strk@keybit.net>

	* [r3174] Check PointLocator sync with JTS-1.12

2011-02-02 19:23  Sandro Santilli <strk@keybit.net>

	* [r3173] Add interface to create MultiPoint from Coordinate vector

2011-02-02 17:57  Sandro Santilli <strk@keybit.net>

	* [r3172] Check GeometryCombiner against JTS-1.12

2011-02-02 17:41  Sandro Santilli <strk@keybit.net>

	* [r3171] Add Puntal, Lineal and Polygonal "interfaces"

2011-01-27 18:01  Sandro Santilli <strk@keybit.net>

	* [r3170] Add release date of 3.2.0 (more than an year ago..)

2011-01-27 10:16  Sandro Santilli <strk@keybit.net>

	* [r3169] Don't use is_null on unexistant array elements [#393]

2011-01-25 23:20  Mateusz Loskot <mateusz@loskot.net>

	* [r3168] Added tests/bigtest programs to CMake configuration

2011-01-25 23:08  Mateusz Loskot <mateusz@loskot.net>

	* [r3167] Updated CMake configuration to call xmltester from
	  runtime output directory.

2010-12-26 21:20  Sandro Santilli <strk@keybit.net>

	* [r3166] remove warning in testcase

2010-12-26 20:32  Sandro Santilli <strk@keybit.net>

	* [r3165] Declare SharedPathsOp class as noncopyable. Hopefully
	  fixes VC2008 warning. [RT-SIGTA]

2010-12-24 14:27  Sandro Santilli <strk@keybit.net>

	* [r3164] Record port info for InteriorPointLine

2010-12-22 16:28  Sandro Santilli <strk@keybit.net>

	* [r3163] Fix computation of shared path direction when path starts
	  or ends on the first-last point of a closed line. Fixes ticket
	  #391. Includes automated testing.

2010-12-22 09:42  Sandro Santilli <strk@keybit.net>

	* [r3162] Expose GEOSRelateMatch to PHP api.

2010-12-21 08:55  Sandro Santilli <strk@keybit.net>

	* [r3161] Add GEOSRelatePatternMatch C-API interface [RT-SIGTA]

2010-12-20 11:34  Sandro Santilli <strk@keybit.net>

	* [r3160] MinGW32 fixes by Sandro Furieri

2010-12-20 11:16  Mateusz Loskot <mateusz@loskot.net>

	* [r3159] Updated svn:ignore properties.

2010-12-06 15:00  Sandro Santilli <strk@keybit.net>

	* [r3158] typo

2010-12-03 17:26  Sandro Santilli <strk@keybit.net>

	* [r3157] Add test for src-vertex snapping allowance

2010-12-03 14:02  Sandro Santilli <strk@keybit.net>

	* [r3156] Update copyright

2010-12-03 13:57  Sandro Santilli <strk@keybit.net>

	* [r3155] Add method to insert coordinats into a CoordinateList
	  w/out allowing duplicates (fixes issue #387)

2010-12-03 10:58  Sandro Santilli <strk@keybit.net>

	* [r3154] Another test for snapping (empty sequence vs. non-empty
	  snaps)

2010-12-03 10:52  Sandro Santilli <strk@keybit.net>

	* [r3153] update dox

2010-12-03 10:49  Sandro Santilli <strk@keybit.net>

	* [r3152] Take the allowSnappingToSourceVertices support in

2010-12-03 08:36  Sandro Santilli <strk@keybit.net>

	* [r3151] Add test for GEOSSharedPaths C-API interface

2010-12-02 18:06  Sandro Santilli <strk@keybit.net>

	* [r3150] Another test, and a leak plug (in the test)

2010-12-02 16:49  Sandro Santilli <strk@keybit.net>

	* [r3149] Add GEOSSnap item

2010-12-02 16:48  Sandro Santilli <strk@keybit.net>

	* [r3148] Expose GEOSSnap to PHP interface

2010-12-02 16:44  Sandro Santilli <strk@keybit.net>

	* [r3147] Add test for C-API GEOSSnap interface

2010-12-02 15:07  Sandro Santilli <strk@keybit.net>

	* [r3146] OOps.. this one build

2010-12-02 14:52  Sandro Santilli <strk@keybit.net>

	* [r3145] Expose snapping to the C-API

2010-12-02 14:29  Sandro Santilli <strk@keybit.net>

	* [r3144] Allow testing snapping something different from a single
	  polygon..

2010-12-02 14:16  Sandro Santilli <strk@keybit.net>

	* [r3143] tab to 8 spaces

2010-12-02 10:32  Sandro Santilli <strk@keybit.net>

	* [r3142] Bring LineStringSnapper forward to r309 (JTS-1.11+):
	  avoid snapping final point of closed rings.

2010-12-02 09:38  Sandro Santilli <strk@keybit.net>

	* [r3141] update copyright date

2010-12-02 09:36  Sandro Santilli <strk@keybit.net>

	* [r3140] Take GeometrySnapper forward to r309 (JTS-1.11+): add
	  self-snapping

2010-11-30 08:31  Sandro Santilli <strk@keybit.net>

	* [r3139] Hope this is the last one... (RT credit tweaks)

2010-11-29 13:45  Sandro Santilli <strk@keybit.net>

	* [r3138] Full credit line [RT-SIGTA]

2010-11-29 11:08  Sandro Santilli <strk@keybit.net>

	* [r3137] SharedPaths in NEWS [RT-SIGTA]

2010-11-29 10:51  Sandro Santilli <strk@keybit.net>

	* [r3136] Merge branch 'rt'

2010-11-29 09:43  Sandro Santilli <strk@keybit.net>

	* [r3135] Write RT credit and NEWS itam

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3134] drop unused include

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3133] Test equal lines

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3132] Have SharedPathsOp throw an exception on illegal
	  (non-lineal) arg

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3131] Add tests for multiline-multiline both single dir and
	  mixed dirs

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3130] Add two tests of mixed direction shared paths

2010-11-29 09:34  Sandro Santilli <strk@keybit.net>

	* [r3129] Document that the direction of the returned paths is the
	  one these paths have on the first geometry given

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3128] Initial tests for SharedPathsOp

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3127] Paths are always LINESTRING types

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3126] forgot aclocal.m4

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3125] Complete implementation of SharedPathsOp

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3124] more ignores

2010-11-29 09:33  Sandro Santilli <strk@keybit.net>

	* [r3123] Build sharedpaths lib/namespace

2010-11-29 09:32  Sandro Santilli <strk@keybit.net>

	* [r3122] Add support for 'maintainer mode'

2010-11-29 09:32  Sandro Santilli <strk@keybit.net>

	* [r3121] ignores

2010-11-29 09:32  Sandro Santilli <strk@keybit.net>

	* [r3120] Stub SharedPathsOp

2010-11-29 09:32  Sandro Santilli <strk@keybit.net>

	* [r3119] stub tet for SameDirection predicate

2010-11-24 09:00  Sandro Santilli <strk@keybit.net>

	* [r3118] typo

2010-10-25 15:12  Sandro Santilli <strk@keybit.net>

	* [r3117] Don't try to configure missing files (fixes bug #382)

2010-10-15 15:54  Mateusz Loskot <mateusz@loskot.net>

	* [r3116] Unified CMAKE_*_OUTPUT_DIRECTOR locations to simplify
	  tests running and finding all binaries.

2010-10-15 15:20  Mateusz Loskot <mateusz@loskot.net>

	* [r3115] Visual C++ warnings cleanup

2010-10-15 15:19  Mateusz Loskot <mateusz@loskot.net>

	* [r3114] Missing DLL storage-class attributes for
	  GEOSOrientationIndex

2010-10-15 14:55  Mateusz Loskot <mateusz@loskot.net>

	* [r3113] Cast toupper() result to char

2010-10-15 13:42  Mateusz Loskot <mateusz@loskot.net>

	* [r3112] Deprecate Visual Studio projects in trunk/build (#381).
	  Long live the CMake.

2010-10-10 21:36  Mateusz Loskot <mateusz@loskot.net>

	* [r3111] Cleaned compiler warnings

2010-10-10 21:36  Mateusz Loskot <mateusz@loskot.net>

	* [r3110] Cleaned compiler warnings

2010-10-10 21:28  Mateusz Loskot <mateusz@loskot.net>

	* [r3109] Disable inline.obj if GEOS_INLINE defined while building
	  with Visual C++

2010-10-10 21:15  Mateusz Loskot <mateusz@loskot.net>

	* [r3108] Disable argument dependant lookup (Koenig) for min/max
	  functions to make sure GEOS compiles in the presence of the min
	  and max macros.

2010-10-10 21:07  Mateusz Loskot <mateusz@loskot.net>

	* [r3107] Added NOMINMAX define for Visual C++

2010-10-10 20:50  Mateusz Loskot <mateusz@loskot.net>

	* [r3106] Do not set CMAKE_BUILD_TYPE for Visual Studio IDE
	  generators - CMAKE_BUILD_TYPE is dedicated to
	  single-configuration generators like Make or NMAKE.

2010-10-10 11:32  Mateusz Loskot <mateusz@loskot.net>

	* [r3105] Updated GEOS_HEADERS location. Thanks to Andrea Peri for
	  reporting.

2010-08-27 18:23  Sandro Santilli <strk@keybit.net>

	* [r3104] Add test for 358 in the loop (now fixed).

2010-08-27 15:58  Sandro Santilli <strk@keybit.net>

	* [r3103] Drop duplicated testcase

2010-08-27 15:55  Sandro Santilli <strk@keybit.net>

	* [r3102] Check validity of CommonBitsOp return, as JTS does. Check
	  output validity for all tests, do not run the now-throwing tests
	  also known to be bogus in JTS.

2010-08-27 15:43  Sandro Santilli <strk@keybit.net>

	* [r3101] Found bug375.xml (==robustness-invalid-output.xml) to be
	  the same of JTS's failure/TestOverlay.xml, so dropped the
	  previous 2 and copied over the latter. Won't run that test for
	  now, so to get in sync with JTS as next step.

2010-08-27 15:27  Sandro Santilli <strk@keybit.net>

	* [r3100] Add proper arg1 and arg2 attributes (for JTS support)

2010-08-27 14:13  Sandro Santilli <strk@keybit.net>

	* [r3099] Add code to check validity of CommonBits removal policy
	  op (known as EnhancedPreicionOp in JTS). The check can be turned
	  on at compile time. Currently defaults to off to avoid breaking a
	  previously-almost-working test (robustness-invalid-output.xml).
	  It'll need some discussion before going on with this as to
	  whether we can accept to return invalid geometries or not..

2010-08-27 13:53  Sandro Santilli <strk@keybit.net>

	* [r3098] Split tests that trigger invalid outputs from the rest.
	  Test the sane ones with --test-invalid-output and the other ones
	  with
	  less strictness. Add (but dont run) tests for bugs 375 and 358
	  (to
	  review for correct expected otuput)

2010-08-27 13:00  Sandro Santilli <strk@keybit.net>

	* [r3097] Have --test-valid-output influence test results

2010-08-27 10:22  Sandro Santilli <strk@keybit.net>

	* [r3096] Add note about configuring for php support

2010-08-27 09:04  Sandro Santilli <strk@keybit.net>

	* [r3095] const-correctness

2010-08-27 06:17  Sandro Santilli <strk@keybit.net>

	* [r3094] Have --test-valid-output test actual result, not the
	  expected one (more useful)

2010-08-26 23:11  Sandro Santilli <strk@keybit.net>

	* [r3093] Fix name of the test to match ticket number

2010-08-23 16:37  Stephen Wong <swongu@gmail.com>

	* [r3092] Fixed a filtering distance problem in
	  bufferLineSingleSided. (#372)

2010-08-23 15:10  Sandro Santilli <strk@keybit.net>

	* [r3091] Add more debugging calls (for bug #358)

2010-08-23 13:38  Sandro Santilli <strk@keybit.net>

	* [r3090] Snapping heuristic was never really dropping common bits.
	  Now it does.
	  This is just to have code match documentation, and still passes
	  'make
	  check' for GEOS. Wasn't tried against postgis, would be useful to
	  do.

2010-08-17 18:57  Sean Gillies <sgillies@frii.com>

	* [r3089] Use fully qualified std::runtime_error (#371) and fix
	  indentation

2010-08-17 18:33  Sean Gillies <sgillies@frii.com>

	* [r3088] Throw runtime_error if allocation fails in gstrdup_s

2010-07-26 22:21  Stephen Wong <swongu@gmail.com>

	* [r3087] Fixed a bufferLineSingleSided crash and fixed OGC
	  validation on rare cases. (#364)

2010-07-15 15:54  Sandro Santilli <strk@keybit.net>

	* [r3086] Updated

2010-07-15 09:15  Sandro Santilli <strk@keybit.net>

	* [r3085] Add item about the new PHP5 binding

2010-07-15 09:13  Sandro Santilli <strk@keybit.net>

	* [r3084] PHP: Drop debug lines from serialization code, add test
	  for
	  serialization

2010-07-15 09:07  Sandro Santilli <strk@keybit.net>

	* [r3083] Fix logic bug in phpunit check

2010-07-14 08:38  Sandro Santilli <strk@keybit.net>

	* [r3082] Serialization/deserialization support for GEOSGeometry
	  type

2010-07-13 11:03  Sandro Santilli <strk@keybit.net>

	* [r3081] Cleanup PHP-specific dependency handling and reporting

2010-07-08 20:54  Sandro Santilli <strk@keybit.net>

	* [r3080] Object passed for ownership transfer in the constructor
	  shouldn't be deleted when construction fails. Fixes bug #361

2010-07-01 21:49  Sandro Santilli <strk@keybit.net>

	* [r3079] Note the bugfix in news file

2010-07-01 21:44  Sandro Santilli <strk@keybit.net>

	* [r3078] Fix PolygonizeGraph::deleteDangles so it doesn't return
	  duplicated LineStrings, as per JTS design. Fixes the Polygonizer
	  Bug reported in list. This commit also takes the chance to reduce
	  some heap allocations.

2010-07-01 20:49  Sandro Santilli <strk@keybit.net>

	* [r3077] Minor optimizations / strictnesses

2010-07-01 20:03  Sandro Santilli <strk@keybit.net>

	* [r3076] Drop useless heap-allocation in Polygonize op

2010-06-24 14:40  Frank Warmerdam <warmerdam@pobox.com>

	* [r3075] fix memory leaks

2010-06-24 14:10  Sandro Santilli <strk@keybit.net>

	* [r3074] PHP: GEOSWKTWriter::getOutputDimension and test

2010-06-24 13:58  Frank Warmerdam <warmerdam@pobox.com>

	* [r3073] added GEOSWKTWriter_getOutputDimension and test (#354)

2010-06-24 09:42  Sandro Santilli <strk@keybit.net>

	* [r3072] Update

2010-06-24 09:41  Sandro Santilli <strk@keybit.net>

	* [r3071] WKBReader: construct and readHEX; improve WKTReader test
	  to include 'Z' label

2010-06-24 09:20  Sandro Santilli <strk@keybit.net>

	* [r3070] WKBWriter::{set,get}IncludeSRID (and test)

2010-06-24 09:07  Sandro Santilli <strk@keybit.net>

	* [r3069] WKBWriter::{get,set}ByteOrder, improve tests for writeHEX

2010-06-24 09:01  Sandro Santilli <strk@keybit.net>

	* [r3068] Make WKBWriter::setByteOrder check for argument and throw
	  IllegalArgumentException when appropriate. Make sure C-API
	  wrapper catches those.

2010-06-24 08:28  Sandro Santilli <strk@keybit.net>

	* [r3067] PHP: WKBWriter: ctor, getOutputDimension,
	  setOutputDimension, writeHEX and tests

2010-06-24 08:27  Sandro Santilli <strk@keybit.net>

	* [r3066] Properly catch exceptions from
	  WKTWriter::setOutputDimension and WKBWriter::setOutputDimension

2010-06-24 08:27  Sandro Santilli <strk@keybit.net>

	* [r3065] Make WKTWriter::setOutputDimensions check parameter
	  validity (must be 2 or 3) to be consistent with WKBWriter already
	  doing so in constructor; make WKBWriter::setOutputDimensions
	  perform the check as well (like the constructor); Drop virtual
	  methods from WKTWriter class, which wasn't meant to be a virtual
	  class (no virtual dtor anyway)

2010-06-23 09:48  Sandro Santilli <strk@keybit.net>

	* [r3064] Log ABI change

2010-06-23 09:47  Sandro Santilli <strk@keybit.net>

	* [r3063] Const-correct Geometry::isWithinDistance. Thanks to Yabo,
	  see ticket #349

2010-06-23 09:31  Sandro Santilli <strk@keybit.net>

	* [r3062] There's no point for GEOSisValidDetail to take output
	  parameter as const pointer

2010-06-23 09:23  Sandro Santilli <strk@keybit.net>

	* [r3061] Fix for 4.4.3 builds, patch by Yabo (see ticket #351)

2010-06-21 14:31  Sandro Santilli <strk@keybit.net>

	* [r3060] Switch back to unchecked getGeometryN, getPointN and
	  getInteriorRingN, check them at the PHP level, for performance
	  sake in C-land.

2010-06-21 10:30  Sandro Santilli <strk@keybit.net>

	* [r3059] Rename getGeometryN to geometryN, for interface
	  consistency

2010-06-21 10:21  Sandro Santilli <strk@keybit.net>

	* [r3058] area, length, distance, hausdorffDistance; fix leaks in
	  pointN, startPoint and endPoint

2010-06-21 02:02  Sandro Santilli <strk@keybit.net>

	* [r3057] startPoint, endPoint

2010-06-21 01:58  Sandro Santilli <strk@keybit.net>

	* [r3056] pointN

2010-06-21 01:57  Sandro Santilli <strk@keybit.net>

	* [r3055] LineString::getPointN is part of the API, check before
	  segfaulting..

2010-06-21 01:49  Sandro Santilli <strk@keybit.net>

	* [r3054] coordinateDimension()

2010-06-21 01:46  Sandro Santilli <strk@keybit.net>

	* [r3053] dimension() [ spatial ]

2010-06-21 01:43  Sandro Santilli <strk@keybit.net>

	* [r3052] numCoordinates

2010-06-21 01:39  Sandro Santilli <strk@keybit.net>

	* [r3051] exteriorRing

2010-06-21 01:36  Sandro Santilli <strk@keybit.net>

	* [r3050] numPoints, getX, getY, interiorRingN

2010-06-21 01:34  Sandro Santilli <strk@keybit.net>

	* [r3049] Make getInteriorRingN checked (API)

2010-06-21 01:05  Sandro Santilli <strk@keybit.net>

	* [r3048] numInteriorRings

2010-06-21 00:56  Sandro Santilli <strk@keybit.net>

	* [r3047] Test null-return from unexistent offset

2010-06-21 00:53  Sandro Santilli <strk@keybit.net>

	* [r3046] Geometry::getGeometryN is an API function, so make it
	  safe/checked

2010-06-21 00:44  Sandro Santilli <strk@keybit.net>

	* [r3045] getGeometryN

2010-06-21 00:06  Sandro Santilli <strk@keybit.net>

	* [r3044] Test numGeometries

2010-06-21 00:01  Sandro Santilli <strk@keybit.net>

	* [r3043] getSRID, setSRID

2010-06-20 23:53  Sandro Santilli <strk@keybit.net>

	* [r3042] typeName, typeId

2010-06-20 23:40  Sandro Santilli <strk@keybit.net>

	* [r3041] Geometry type constants

2010-06-20 23:35  Sandro Santilli <strk@keybit.net>

	* [r3040] isSimple, isRing, hasZ, isClosed

2010-06-20 22:59  Sandro Santilli <strk@keybit.net>

	* [r3039] checkValidity (isValid in disguise)

2010-06-20 21:10  Sandro Santilli <strk@keybit.net>

	* [r3038] isEmpty

2010-06-20 21:00  Sandro Santilli <strk@keybit.net>

	* [r3037] Relational operators + equalsExact

2010-06-20 19:05  Sandro Santilli <strk@keybit.net>

	* [r3036] Simplify (also topology-preserving), ExtractUniquePoints

2010-06-20 17:00  Sandro Santilli <strk@keybit.net>

	* [r3035] GEOSLineMerge

2010-06-20 09:13  Sandro Santilli <strk@keybit.net>

	* [r3034] Make GEOSPolygonize a free function rather than a method
	  on GEOSGeometry. This is to allow extending it to accept
	  differnet kind of args, like arrays of GEOSGeometry for example..

2010-06-20 09:02  Sandro Santilli <strk@keybit.net>

	* [r3033] Add serialize/unserialize TODO item

2010-06-20 08:50  Sandro Santilli <strk@keybit.net>

	* [r3032] Geometry.__toString for easier debuggin

2010-06-20 08:32  Sandro Santilli <strk@keybit.net>

	* [r3031] Polygonize (testing need further review for a possible
	  bug in core lib)

2010-06-19 21:38  Sandro Santilli <strk@keybit.net>

	* [r3030] Use the "T" char for IM9 pattern sometime (for fun and
	  proof)

2010-06-19 21:36  Sandro Santilli <strk@keybit.net>

	* [r3029] relate, relatePattern

2010-06-19 18:27  Sandro Santilli <strk@keybit.net>

	* [r3028] Geometry->{pointOnSurface,centroid}

2010-06-19 18:13  Sandro Santilli <strk@keybit.net>

	* [r3027] More Geometry methods: envelope, intersection,
	  convexHull, difference, symDifference, boundary, union (including
	  cascaded)

2010-06-19 17:14  Sandro Santilli <strk@keybit.net>

	* [r3026] Export buffer costants and method

2010-06-19 13:27  Sandro Santilli <strk@keybit.net>

	* [r3025] Test typed empty geoms too for IO

2010-06-19 13:17  Sandro Santilli <strk@keybit.net>

	* [r3024] Add second optional argument to Geometry->project and
	  Geometry->interpolate to request normalization

2010-06-19 13:08  Sandro Santilli <strk@keybit.net>

	* [r3023] Document GEOSInterpolate

2010-06-19 13:06  Sandro Santilli <strk@keybit.net>

	* [r3022] Add GEOSGeometry->interpolate()

2010-06-19 12:42  Sandro Santilli <strk@keybit.net>

	* [r3021] Handle exceptions in GEOSInterpolate

2010-06-19 12:30  Sandro Santilli <strk@keybit.net>

	* [r3020] Better automake integration of unit test

2010-06-19 12:28  Sandro Santilli <strk@keybit.net>

	* [r3019] Handle illegal argument to LinearLocation::getCoordinate

2010-06-19 12:20  Sandro Santilli <strk@keybit.net>

	* [r3018] document GEOSProject

2010-06-19 11:34  Sandro Santilli <strk@keybit.net>

	* [r3017] Complete implementation of WKTWriter interfaces, add
	  phpunit-based testing, add .project interface to Geometry

2010-06-19 11:32  Sandro Santilli <strk@keybit.net>

	* [r3016] Check for PHP and PHPUNIT (for testing php bindings)

2010-06-19 11:25  Sandro Santilli <strk@keybit.net>

	* [r3015] Handle exceptions from LenghtIndexedLine::project

2010-06-19 11:23  Sandro Santilli <strk@keybit.net>

	* [r3014] The thrown error shall make sense...

2010-06-19 11:16  Sandro Santilli <strk@keybit.net>

	* [r3013] Throw an exception on first non-linestring component,
	  rather than segfaulting la
	  ter... (might be better to refuse non-lineal even earlier, but
	  this way we *migh
	  * be supporting collections with only linestrings)

2010-06-19 11:14  Sandro Santilli <strk@keybit.net>

	* [r3012] Dox cleanup

2010-06-18 16:15  Sandro Santilli <strk@keybit.net>

	* [r3011] WKTWriter::setTrim

2010-06-18 16:12  Sandro Santilli <strk@keybit.net>

	* [r3010] Ubuntu 8.10 version of gcc needs -std=gnu99 to digest
	  Zend headers :(

2010-06-18 15:09  Sandro Santilli <strk@keybit.net>

	* [r3009] Add 'doxygen' rule (and 'apidoc' alias) to top-level
	  Makefile.am

2010-06-18 14:43  Sandro Santilli <strk@keybit.net>

	* [r3008] tip for test

2010-06-18 14:20  Sandro Santilli <strk@keybit.net>

	* [r3007] Initial go at PHP5 bindings. Can only read and write WKT
	  so far.

2010-06-18 10:29  Sandro Santilli <strk@keybit.net>

	* [r3006] Do not set user FLAGS, se project flags instead.
	  For the whole story, see:
	  http://www.gnu.org/software/hello/manual/automake/Flag-Variables-Ordering.html

2010-06-18 09:57  Sandro Santilli <strk@keybit.net>

	* [r3005] Fix automake override

2010-06-18 09:52  Sandro Santilli <strk@keybit.net>

	* [r3004] Add -Woverride option to automake invocation, to catch
	  Makefile.am errors (there's one)

2010-06-16 10:39  Sandro Santilli <strk@keybit.net>

	* [r3003] Drop carriage returns

2010-06-16 09:45  Sandro Santilli <strk@keybit.net>

	* [r3002] OOps, tabs instead of spaces confuse automake

2010-06-16 09:31  Sandro Santilli <strk@keybit.net>

	* [r3001] Always distribute swig bindings, closes bug #352

2010-06-16 09:25  Sandro Santilli <strk@keybit.net>

	* [r3000] Fix swig macro so it doesn't think version 2.0.0 is <
	  1.3.37

2010-06-01 15:15  Frank Warmerdam <warmerdam@pobox.com>

	* [r2999] make WKTReader keywords case insensitive

2010-05-31 16:25  Frank Warmerdam <warmerdam@pobox.com>

	* [r2998] Attempt to make geometry dimension perform more smoothly.
	  Modified CoordinateArraySequence to default to unknown dimension
	  (0), which
	  is determined at the point getDimension() is called by
	  examination of the
	  first coordinate Z (ISNAN test). The WKTWriter has also been
	  altered to
	  write 0.0 instead of nan, and to avoid writing "Z" for EMPTY
	  geometries.(#348)

2010-05-31 02:57  Frank Warmerdam <warmerdam@pobox.com>

	* [r2997] Addition of getCoordinateDimension() on GEOSGeom (#311)
	  Addition of setOutputDimension, setOld3D on WKTWriter (#292)

2010-05-28 20:44  Frank Warmerdam <warmerdam@pobox.com>

	* [r2996] added missing test that should have been in r2995

2010-05-28 20:38  Frank Warmerdam <warmerdam@pobox.com>

	* [r2995] Implement getCoordinateDimension() for geometries (#331)
	  WKTWriter now has setOutputDimension() method, and writes 3D
	  geometries (#292)
	  WKBWriter has fixes for writing 2D geometries from 3D geometry
	  (#346)
	  Minimal unit tests for the above.

2010-05-28 20:32  Frank Warmerdam <warmerdam@pobox.com>

	* [r2994] add support for reading SF1.2 Z/M/ZM geometries (#347)

2010-05-19 05:22  Frank Warmerdam <warmerdam@pobox.com>

	* [r2993] added setPrecision, setTrim support on WKTWriter and
	  provided tests (#341)

2010-05-18 20:28  Frank Warmerdam <warmerdam@pobox.com>

	* [r2992] expose several new accessor functions on geometries
	  (#345)

2010-05-18 20:07  Frank Warmerdam <warmerdam@pobox.com>

	* [r2991] disamiguate create args (#345)

2010-05-18 19:18  Frank Warmerdam <warmerdam@pobox.com>

	* [r2990] preserve dimension as part of CoordinateArraySequence and
	  while reading WKT (#345)

2010-05-15 12:47  Sandro Santilli <strk@keybit.net>

	* [r2989] Minor tweaks

2010-05-15 12:31  Sandro Santilli <strk@keybit.net>

	* [r2988] Move OffsetCurveVertexList.h to headers dir, add a
	  .reset() method to reduce memory allocations, use the new
	  interface.

2010-05-15 12:30  Sandro Santilli <strk@keybit.net>

	* [r2987] Add clear() method to CoordinateArraySequence, inline
	  empty()

2010-05-04 21:29  Sandro Santilli <strk@keybit.net>

	* [r2986] Add 'ldconfig' step, seems to be a recurring issue with
	  builders...

2010-05-02 09:35  Sandro Santilli <strk@keybit.net>

	* [r2985] Add a note about 2d nature of extractUniquePoints

2010-04-21 16:17  Mateusz Loskot <mateusz@loskot.net>

	* [r2982] * Updated nmake.opt with NMake version from Visual Studio
	  2010 release.

2010-04-17 22:16  Sandro Santilli <strk@keybit.net>

	* [r2977] Also set version for the systems not using autoconf, and
	  update paths in HOWTO_RELEASE file

2010-04-17 22:14  Sandro Santilli <strk@keybit.net>

	* [r2976] As we're still maintaining 3.2 branch, and since new CAPI
	  interface were added, bump CAPI lib interface version up. We'll
	  be 1.7.0 there from now on.

2010-04-17 15:34  Sandro Santilli <strk@keybit.net>

	* [r2974] Have initGEOS(..) return a singleton, as used to be up to
	  3.0.0

2010-04-07 13:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2968] Added ENABLE_INLINE=YES|NO option to nmake.opt for Visual
	  C++ builds using NMake. The ENABLE_INLINE=YES does not link for
	  me - to be fixed

2010-04-07 13:22  Mateusz Loskot <mateusz@loskot.net>

	* [r2967] Updated src/dirlist.mk (Ticket 337)

2010-03-29 17:44  Mateusz Loskot <mateusz@loskot.net>

	* [r2965] Added NMake 10.x version to be recognized by nmake.opt

2010-03-29 12:17  Mateusz Loskot <mateusz@loskot.net>

	* [r2961] Qualify size_t with std namespace in headers.

2010-03-29 12:13  Mateusz Loskot <mateusz@loskot.net>

	* [r2960] Updated svn:ignore property

2010-03-29 11:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2959] Updated projects for Visual Studio 2008 and 2010

2010-03-29 11:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2958] Added pragma to disable Visual C++ warning C4251 - safe
	  to ignore (http://support.microsoft.com/kb/813810/)
	  

2010-03-29 11:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2957] No need to load the whole std namespace to use
	  std::vector only.

2010-03-26 12:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2955] platform.h.vc: disable min/max macros substitution

2010-03-26 12:06  Mateusz Loskot <mateusz@loskot.net>

	* [r2954] Added GEOS_DLL with Microsoft-specific __declspec
	  attribute missing from CascadedPolygonUnion class (ported from
	  branches/3.2)

2010-03-26 12:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2952] geom\GeoemtryList.cpp: missing implementation of
	  GeometryList::size() function (ported from branches/3.2)

2010-03-26 11:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2950] src\Makefile.vc: added missing geom\GeometryList.cpp
	  (ported from branches/3.2)

2010-03-26 11:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2948] nmake.opt: Added missing GEOS_DLL_EXPORT to CPPFLAGS
	  (ported from branches/3.2)

2010-03-19 15:13  Sandro Santilli <strk@keybit.net>

	* [r2946] Improve formatting for GEOSisValidReason_r (#329)

2010-03-18 18:39  Sandro Santilli <strk@keybit.net>

	* [r2944] Forw-port a better fix for #333 (false positive valid
	  geoms)

2010-03-16 13:13  Sandro Santilli <strk@keybit.net>

	* [r2941] Fix ST_IsValidDetail (broke by last commit)

2010-03-16 12:32  Sandro Santilli <strk@keybit.net>

	* [r2940] Now that IsValidOp doesn't cache the 'checked' status it
	  is better to trigger a single check rather than two (also fix
	  leaks)

2010-03-14 10:13  Sandro Santilli <strk@keybit.net>

	* [r2939] Install Machine.h

2010-03-13 22:07  Sandro Santilli <strk@keybit.net>

	* [r2938] Fix GEOSOrientationIndex implementation and testcase.
	  Closes ticket #335.

2010-03-12 07:54  Sandro Santilli <strk@keybit.net>

	* [r2937] Expose GEOSOrientationIndex to C-API

2010-03-10 09:34  Sandro Santilli <strk@keybit.net>

	* [r2936] Sync TestValid xml from JTS, review IsValidOp to be in
	  sync with current JTS trunk.

2010-03-07 11:39  Sandro Santilli <strk@keybit.net>

	* [r2935] Apply slightly modified patch by mwtoews (#344)

2010-03-06 01:49  Mateusz Loskot <mateusz@loskot.net>

	* [r2934] Added cmake/cmake_uninstall.cmake.in script and
	  configured make uninstall target for CMake configuration (#317)

2010-03-03 07:21  Sandro Santilli <strk@keybit.net>

	* [r2933] Improve documentation for GEOSPOlygonize_full

2010-03-02 21:04  Sandro Santilli <strk@keybit.net>

	* [r2932] Fix false positive return from IsValidOp (#333)

2010-02-28 19:01  Sandro Santilli <strk@keybit.net>

	* [r2931] Minor tweak

2010-02-28 18:55  Sandro Santilli <strk@keybit.net>

	* [r2930] Provide non-rehentrant version of empty geometries
	  constructors

2010-02-28 17:02  Sandro Santilli <strk@keybit.net>

	* [r2929] extractUniquePoints comes in non-reentrant version too

2010-02-25 07:50  Sandro Santilli <strk@keybit.net>

	* [r2928] Update with GEOSPolygonize_full item

2010-02-23 20:00  Sandro Santilli <strk@keybit.net>

	* [r2927] GEOSPolygonize_full [RT-SIGTA]

2010-02-22 22:21  Sandro Santilli <strk@keybit.net>

	* [r2926] LineStringAdder heap-allocation removal

2010-02-22 22:17  Sandro Santilli <strk@keybit.net>

	* [r2925] Drop heap allocation of invalidRingLines vector

2010-02-22 22:06  Sandro Santilli <strk@keybit.net>

	* [r2924] More heap allocations bite the dust...

2010-02-22 21:51  Sandro Santilli <strk@keybit.net>

	* [r2923] Drop HEAP allocation for dangles vector too, and document
	  all these API changes

2010-02-22 21:41  Sandro Santilli <strk@keybit.net>

	* [r2922] Avoid heap allocation of a vector for cut edges, bits of
	  additional documentation

2010-02-22 21:29  Sandro Santilli <strk@keybit.net>

	* [r2921] Try to document current behaviour (very bad behaviour
	  indeed...)

2010-02-21 17:11  Mateusz Loskot <mateusz@loskot.net>

	* [r2920] Another patch from Gavin Heavyside to enable GEOS as a
	  dependency of a project with CMake

2010-02-21 17:05  Sandro Santilli <strk@keybit.net>

	* [r2919] Allow GEOSGetGeometryN calls against single geometries

2010-02-21 16:27  Sandro Santilli <strk@keybit.net>

	* [r2918] Expose the non-reentrant version too (I know, I was
	  against, but it's too much work on the postgis side for that
	  right now)

2010-02-21 15:03  Sandro Santilli <strk@keybit.net>

	* [r2917] GEOSGeom_extractUniquePoints [RT-SIGTA]

2010-02-21 14:50  Mateusz Loskot <mateusz@loskot.net>

	* [r2916] Patch from Gavin Heavyside that enables CMake to build
	  GEOS as a dependency of user-defined project

2010-02-17 14:04  Sandro Santilli <strk@keybit.net>

	* [r2915] Throw an IllegalArgumentException when setOrdinate is
	  called with unknown ordinate index

2010-02-14 14:01  Sandro Santilli <strk@keybit.net>

	* [r2913] Add GEOSPolygonizer_getCutEdges NEWS item where it
	  belongs

2010-02-12 17:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2912] Fixed but in CMake configuration which installed geos_c.h
	  in incorrect location (#330)

2010-02-11 18:15  Sandro Santilli <strk@keybit.net>

	* [r2911] Update

2010-02-11 08:33  Sandro Santilli <strk@keybit.net>

	* [r2910] Complete set of typed-empty constructors and tests for
	  them [RT-SIGTA]

2010-02-11 08:18  Sandro Santilli <strk@keybit.net>

	* [r2909] Go for consistency with reentrant interfaces [RT-SIGTA]

2010-02-11 00:10  Sandro Santilli <strk@keybit.net>

	* [r2908] GEOSContext_setNoticeHandler,
	  GEOSContext_setErrorHandler, GEOSGeom_createEmptyPolygon_r (and
	  test)

2010-02-09 17:52  Sandro Santilli <strk@keybit.net>

	* [r2907] Fix to match new layout

2010-02-06 04:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2906] Ported list of SAVE_XMLTESTS to CMake configuration of
	  XMLTester (#317) All tests pass on Ubuntu 9.10

2010-02-05 21:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2905] Fixed CMake version comparison to disable platform.h
	  (#317)

2010-02-05 14:54  Sandro Santilli <strk@keybit.net>

	* [r2904] Document ownership of created types

2010-02-05 14:39  Sandro Santilli <strk@keybit.net>

	* [r2903] New CAPI interface: GEOSisValidDetail ( tell state,
	  reason & location apart )

2010-02-04 23:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2902] Fixed missing substitution of @libdir@ in geos-config
	  generated by CMake #(317)

2010-02-02 18:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2901] Fixed problem with use of new command with file() macro
	  for older CMake versions (#327)

2010-01-31 03:06  Mateusz Loskot <mateusz@loskot.net>

	* [r2900] Added XMLTester to CTest configuration - work in progress
	  (#317)

2010-01-31 03:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2899] Added GEOS_ENABLE_FLOATSTORE option to CMake to control
	  GCC flag -ffloat-store (#317)

2010-01-31 01:26  Mateusz Loskot <mateusz@loskot.net>

	* [r2898] Added platform.h.disabled to svn:ignore property

2010-01-31 01:22  Mateusz Loskot <mateusz@loskot.net>

	* [r2897] A minor fix to order of enable_testing() and
	  add_subdirectories(tests) - it is important to include the former
	  macro first so the tests are caught in

2010-01-30 23:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2896] Updated configuration of GEOS_ENABLE_TESTS option for
	  CMake (#317)

2010-01-30 22:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2895] Configured 'make check' target for CMake as alias to
	  'make test' to mimic GNU Autotools manner of running tests (#317)

2010-01-29 20:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2894] Extend support of Apple ISNAN case to newer? compilers

2010-01-29 17:42  Mateusz Loskot <mateusz@loskot.net>

	* [r2893] Solved problem with repeated definition of
	  getMachineByteOrder (#317). Added check if alternative platform.h
	  is already present in the include/geos directory and deactivate
	  it renaming to platform.h.disable, before generating
	  CMake-specific platform.h. Tested on Windows with Visual C++ but
	  with -DGEOS_ENABLE_INLINE=OFF otherwise DLL linking fails with
	  many redefined symbols - to be checked.

2010-01-29 01:43  Mateusz Loskot <mateusz@loskot.net>

	* [r2892] Configured 'make test' target for CMake build (#317). Now
	  only geos_unit is executed

2010-01-28 18:42  Mateusz Loskot <mateusz@loskot.net>

	* [r2891] Missing includes of platform.h and <cmath>

2010-01-27 22:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2890] Tidy up messy code in tests/unit/linearref

2010-01-27 22:09  Mateusz Loskot <mateusz@loskot.net>

	* [r2889] Fixed CMake configuration for the problem about
	  unavailable C99 features if -std=c99 is not specified for GCC
	  4.3.3 on Ubuntu 9.04. This is inconsistent behaviour with GCC
	  4.4.1
	  (https://bugs.launchpad.net/ubuntu/+source/gcc-4.3/+bug/512741).

2010-01-23 02:43  Mateusz Loskot <mateusz@loskot.net>

	* [r2888] GEOS C++ static library was missing from installation
	  targets (#317)

2010-01-23 02:36  Mateusz Loskot <mateusz@loskot.net>

	* [r2887] CMake configuration update (#317): * Configured shared
	  library target for C++ API. * Added library version information
	  and TODO comment about SOVERSION.

2010-01-23 01:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2886] Small fix to latest commit (#317)

2010-01-23 01:32  Mateusz Loskot <mateusz@loskot.net>

	* [r2885] Disabled GEOS_ENABLE_ASSERT option for Visual Studio
	  builds - not supported, no sense (#317)

2010-01-23 00:10  Mateusz Loskot <mateusz@loskot.net>

	* [r2884] Tweaked detection isfinite and isnan declared as
	  functions in C++ (#317)

2010-01-22 23:52  Mateusz Loskot <mateusz@loskot.net>

	* [r2883] Added CheckPrototypeExists.cmake module - imported from
	  KDE/kdelibs tree

2010-01-22 23:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2882] Added trunk/cmake directory for custom CMake modules

2010-01-21 01:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2881] CMake configuration update (#317): * Set default
	  CMAKE_BUILD_TYPE to Debug * Added GEOS_ENABLE_ASSERT and
	  GEOS_ENABLE_INLINE options. * Renamed option ENABLE_MSVC_MP to
	  GEOS_MSVC_ENABLE_MP.

2010-01-20 23:42  Mateusz Loskot <mateusz@loskot.net>

	* [r2880] Fix for addd extra test for STL classes in std namespace
	  to CMake configuration (#317)

2010-01-20 23:37  Mateusz Loskot <mateusz@loskot.net>

	* [r2879] Addd extra test for STL classes in std namespace to CMake
	  configuration (#317)

2010-01-20 23:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2878] Updated svn:keyword with Id for CMake files

2010-01-20 22:17  Mateusz Loskot <mateusz@loskot.net>

	* [r2877] Fixed bug with not setting proper permissions to
	  geos-config while installing with CMake build configuration
	  (#318).

2010-01-19 00:19  Mateusz Loskot <mateusz@loskot.net>

	* [r2876] #317: compiler flags can not be handled using CMake list
	  type, reverted last change that sneaked in with Visual Studio
	  related commit.

2010-01-19 00:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2875] #317: Added CXX flags specific to Visual C++ compiler.
	  Added ENABLE_MSVC_MP option to allow setting Visual C++ /MP flag
	  that enables multi-process compilation.

2010-01-18 21:15  Mateusz Loskot <mateusz@loskot.net>

	* [r2874] Load elements of std namespace to scope of geos_ts_c.cpp
	  file, so C99 functions are loaded even if hidden in std
	  (non-standard extension in GCC).

2010-01-18 18:15  Mateusz Loskot <mateusz@loskot.net>

	* [r2873] Added missing headers platform.h and <cmath> where ISNAN
	  or FINITE macros are expanded

2010-01-18 18:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2872] Updated svn:ignore patterns

2010-01-18 18:13  Mateusz Loskot <mateusz@loskot.net>

	* [r2871] Cleaned redundant include for cmath and math.h from
	  platform.h.cmake (#317)

2010-01-18 18:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2870] Updated svn:ignore patterns

2010-01-18 01:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2869] Updated Windows elements of build configuration for CMake
	  system (#317):
	  * Added missing symbol GEOS_DLL_EXPORT to request generation of
	  import library for GEOS C API DLL
	  * All targets configured for CMake build system have been
	  successfully built and tested using CMake.
	  * CMake-based install target successfully tested on Windows 7
	  ** Default prefix for 32-bit build is "c:\Program Files
	  (x86)\geos\" where bin, lib and include directories are created.

2010-01-18 00:59  Mateusz Loskot <mateusz@loskot.net>

	* [r2868] * Successfully tested CMake configuration with Visual
	  Studio 2010 (#317).
	  * Disable argument dependant lookup (Koenig) for min/max
	  functions to make sure GEOS compiles in the presence of the
	  min/max macros.
	  * Some platform headers define min() and max() macros which cause
	  some common C++ constructs to fail to compile.

2010-01-17 23:54  Mateusz Loskot <mateusz@loskot.net>

	* [r2867] Configured 'make install' for tools to install
	  geos-config program on Unix platforms (#317). Fixed missing
	  prefix nad exec_prefix variables substitution during geos-config
	  generation.

2010-01-17 23:40  Mateusz Loskot <mateusz@loskot.net>

	* [r2866] Configured 'make install' target for GEOS C shared
	  library and headers (#317). Install platform.h and version.h from
	  build directory where they are installed, not from source tree.
	  Added GEOS C API header location to include directories.

2010-01-17 23:06  Mateusz Loskot <mateusz@loskot.net>

	* [r2865] Configured 'make install' target for GEOS C++ static
	  library archive and headers (#317)

2010-01-17 03:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2864] Removed build/bjam directory with old and no longer
	  maintained build configuration based on Boost.Build

2010-01-17 03:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2863] Added simplewkttester and xmltester tests to CMake
	  configuration (#317)

2010-01-17 03:00  Mateusz Loskot <mateusz@loskot.net>

	* [r2862] Updated CMake configuration (#317): CMake generates
	  config headers in build tree. Added generation of geos-config
	  script. Refined include directories settings. Added unit tests
	  package to the configuration. Status: GEOS core + GEOS C library
	  + unit tests build and run successfully.

2010-01-17 02:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2861] Now CMake can generates geos_c.h (#317). Removed
	  include/geos/version.h.cmake as no longer needed - CMake can
	  subsitute variables of Autoconf-style @VAR@ very well.

2010-01-17 00:46  Mateusz Loskot <mateusz@loskot.net>

	* [r2860] Refined detection of isnan and isfinite features (#317)

2010-01-16 22:20  Mateusz Loskot <mateusz@loskot.net>

	* [r2859] Added checks of C/C++ headers and library features like
	  64-bit integer type (#317)

2010-01-16 21:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2858] Added generation of build-specific platform.h file from
	  platform.h.cmake (#317)

2010-01-16 21:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2857] Set version numbers and generate version.h for CMake
	  build (#317)

2010-01-16 20:41  Mateusz Loskot <mateusz@loskot.net>

	* [r2856] Added platform.h.cmake file used by build configuration
	  for CMake build system (#317)

2010-01-16 20:40  Mateusz Loskot <mateusz@loskot.net>

	* [r2855] Removed definition of INT64_CONST_IS_I64 - it is not
	  checked or used anywhere

2010-01-16 20:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2854] Unified detection of math features to define FINITE and
	  ISNAN macros

2010-01-16 18:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2853] Moved getMachineByteOrder from include/geos/platform.h to
	  include/geos/util/Machine.h. This function is universal for
	  non-Windows and Windows platforms

2010-01-16 17:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2852] Added first straps of configuration for CMake build
	  system (#317)

2010-01-16 02:40  Mateusz Loskot <mateusz@loskot.net>

	* [r2851] Removed tests/geostest/.deps directory

2010-01-16 02:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2850] Moved src/examples out of src directory (#315)

2010-01-14 00:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2849] Updated Visual Studio 2010 projects in build/msvc10 with
	  new location of include and src (#315)

2010-01-13 21:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2848] * Successfully compiled with Visual C++ 8.0 after
	  restructuring source tree.
	  ** NodedSegmentString class;
	  ** Use explicit self-describing two-step casts to indicate what's
	  really happening - C-cast is evil and hides serious interface
	  issues.
	  ** Added missing <cstddef> and qualify size_t with std namespace.

2010-01-13 21:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2847] Updated Visual Studio 2005 projects in build/msvc80 with
	  new location of include and src (#315)

2010-01-13 18:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2846] Updated Visual Studio 2008 projects in build/msvc90 with
	  new location of include and src (#315)

2010-01-13 17:54  Mateusz Loskot <mateusz@loskot.net>

	* [r2845] Updated makefile.vc, nmake.opt, src/makefile.vc files
	  with new location of include and src (#315)

2010-01-13 03:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2844] Updated remaining directories doc, macros, tools, tests,
	  swig, capi with new src and include location (#315). Fixed
	  previous updates. Successfull build on Linux.

2010-01-13 02:08  Mateusz Loskot <mateusz@loskot.net>

	* [r2843] Updated Makefile.am files in capi subtree after moved to
	  new location (#315)

2010-01-13 02:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2842] Updated Makefile.am files in src subtree after moved to
	  new location (#315)

2010-01-13 00:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2841] Updated new source structure in configure.in and root
	  Makefile.am - part 2 (#315)

2010-01-13 00:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2840] Updated new source structure in configure.in and root
	  Makefile.am (#315)

2010-01-13 00:43  Mateusz Loskot <mateusz@loskot.net>

	* [r2839] Updated Makefile.am files in headers subtree after moved
	  to new location in include (#315)

2010-01-12 23:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2838] Moved source directory to src (#315)

2010-01-12 23:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2837] Moved source/headers directory to include (#315)

2009-12-23 12:37  Mateusz Loskot <mateusz@loskot.net>

	* [r2835] Removed GNU specific printf formatter

2009-12-22 11:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2834] Fixed compiler warning about extra tokens at end of
	  #endif directive in export.h

2009-12-15 17:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2833] Fixed missing CoordinateSequenceFactory.cpp from
	  makefile.vc (Ticket #313)

2009-12-15 14:44  Mateusz Loskot <mateusz@loskot.net>

	* [r2832] * Assert precision model scale must never be negative
	  * Replaced use of operator== against float-point number with
	  operator<=
	  * Typos

2009-12-15 14:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2831] In WKTWriter, initialise formatting buffer and avoid
	  unnecessary calls to string constructor.

2009-12-14 19:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2828] Update version numbers on trunk to 3.3 series

2009-12-14 19:06  Sandro Santilli <strk@keybit.net>

	* [r2826] Updated

2009-12-14 18:58  Sandro Santilli <strk@keybit.net>

	* [r2825] Don't mention 'troubles' in documentation (some like it
	  not)

2009-12-14 15:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2824] * Fixed bug in WKTWriter that was dropping geometry tag
	  in string representation of geometry
	  * Improved message carried by TopologyException

2009-12-11 13:17  Sandro Santilli <strk@keybit.net>

	* [r2823] Updated

2009-12-11 13:10  Sandro Santilli <strk@keybit.net>

	* [r2822] Fix memory leak in
	  BasicPreparedGeometry::isAnyTargetComponentInTest (issue #308)
	  and drop Coordinate copies from it.

2009-12-09 11:10  Mateusz Loskot <mateusz@loskot.net>

	* [r2821] Fixed generation of platform.h as pre-build step of GEOS
	  lib project for Visual C++

2009-12-09 11:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2820] * Fixed generation of platform.h as pre-build step of
	  GEOS lib project for Visual C++ 2005 and 2008
	  * Added missing headers.

2009-12-08 22:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2817] Prepare for RC4 release.

2009-12-08 21:40  Mateusz Loskot <mateusz@loskot.net>

	* [r2816] Updated svn:ignore patterns

2009-12-08 21:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2815] build/msvc10: fixed list of EXTRA_DIST files

2009-12-08 17:51  Sandro Santilli <strk@keybit.net>

	* [r2814] This shouldn't be in the repository !

2009-12-08 17:50  Sandro Santilli <strk@keybit.net>

	* [r2813] Remove deprecated/unused files

2009-12-08 17:42  Sandro Santilli <strk@keybit.net>

	* [r2812] Drop useless (and leaking) heap allocation exposed by the
	  new prepared linestring intersection test

2009-12-08 17:42  Sandro Santilli <strk@keybit.net>

	* [r2811] Add missing destructor of PreparedLineString (closes
	  ticket #305)

2009-12-08 17:39  Sandro Santilli <strk@keybit.net>

	* [r2810] Add test with Prepared linestrings, for the sake of
	  testing the leak reported in ticket #305

2009-12-06 01:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2809] Updated source code files with svn:keywords property.

2009-12-06 01:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2808] Updated svn:ignore patterns

2009-12-06 00:56  Mateusz Loskot <mateusz@loskot.net>

	* [r2807] Updated svn:ignore patterns

2009-12-06 00:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2806] Updated configure.in after moved non-unit tests programs
	  out of tests/unit (Tickets #240).

2009-12-06 00:47  Mateusz Loskot <mateusz@loskot.net>

	* [r2805] Moved non-unit tests programs out of tests/unit: geostest
	  -> tests/geostest, threadtest -> tests/thread, badthreadtest ->
	  tests/thread (Ticket #240).

2009-12-05 21:59  Mateusz Loskot <mateusz@loskot.net>

	* [r2804] Added build/msvc80/geos_xmltester to configure.in

2009-12-05 21:28  Mateusz Loskot <mateusz@loskot.net>

	* [r2803] Added geos_xmltester.vcproj project to build/msvc80

2009-12-05 21:20  Mateusz Loskot <mateusz@loskot.net>

	* [r2802] Added GEOS_DLL_EXPORT to preprocessor definitions in
	  build/msvc80/geos_c_dll/geos_c_dll.vcproj

2009-12-05 20:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2801] small cleanup

2009-12-05 20:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2800] Updated solution for Visual C++ 8.0 (Visual Studio 2005)
	  (Ticket #303)

2009-12-05 20:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2799] Updated information in README about build/msvcXY
	  solutions

2009-12-04 17:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2798] Updated configure.in with msvc10

2009-12-04 17:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2797] Added solution and projects for Visual Studio 2010 (note
	  msvc90 denotes 9.0 however msvc10 is 10 not 1.0)

2009-12-04 15:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2796] Missing svn keywords

2009-12-04 15:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2795] Small fixes to TUT.

2009-12-04 15:20  Mateusz Loskot <mateusz@loskot.net>

	* [r2794] Replaced long with std::streampos

2009-12-04 15:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2793] std::back_inserter requires <iterator> in
	  geom/CoordinateSequence.cpp

2009-12-04 13:57  Mateusz Loskot <mateusz@loskot.net>

	* [r2792] Updated Visual C++ 9.0 project

2009-12-03 22:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2791] Yet another try to fix EOL in geos/export.h

2009-12-03 20:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2790] Removed mysterious extra tokens (blanks) from
	  geos/export.h

2009-12-03 20:16  Mateusz Loskot <mateusz@loskot.net>

	* [r2789] Removed mysterious extra tokens (blanks) from
	  geos/export.h

2009-12-03 20:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2788] Updated Visual C++ project geos_unit.vcproj

2009-12-03 19:59  Mateusz Loskot <mateusz@loskot.net>

	* [r2787] Part 26 of larger changeset - source/headers:
	  * Refine FINITE macro - pseudo-POSIX layer in Visual C++ does not
	  offer long double version of finite()
	  * Tidy up.

2009-12-03 19:57  Mateusz Loskot <mateusz@loskot.net>

	* [r2786] Part 25 of larger changeset - source/headers/geos/util:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2785] Part 24 of larger changeset -
	  source/headers/geos/simplify:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:52  Mateusz Loskot <mateusz@loskot.net>

	* [r2784] Part 23 of larger changeset -
	  source/headers/geos/planargraph
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2783] Part 22 of larger changeset -
	  source/headers/geos/planargraph/algorithm:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:50  Mateusz Loskot <mateusz@loskot.net>

	* [r2782] Part 21 of larger changeset -
	  source/headers/geos/operation/valid:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2781] Part 20 of larger changeset -
	  source/headers/geos/operation/overlay:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Unified EOL and style.
	  * Tidy up.

2009-12-03 19:46  Mateusz Loskot <mateusz@loskot.net>

	* [r2780] Part 19 of larger changeset -
	  source/headers/geos/operation/overlay:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.
	  * Unified EOL and style.

2009-12-03 19:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2779] Part 18of larger changeset -
	  source/headers/geos/operation/buffer:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.
	  * Unified EOL and style.

2009-12-03 19:44  Mateusz Loskot <mateusz@loskot.net>

	* [r2778] Part 17 of larger changeset -
	  source/headers/geos/noding/snapround:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.
	  * Unified EOL and style.

2009-12-03 19:41  Mateusz Loskot <mateusz@loskot.net>

	* [r2777] Part 16 of larger changeset -
	  source/headers/geos/noding/snapround:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.
	  * Unified EOL and style.

2009-12-03 19:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2776] Part 15 of larger changeset -
	  source/headers/geos/linearref:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2775] Part 14 of larger changeset - source/headers/geos/io:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:36  Mateusz Loskot <mateusz@loskot.net>

	* [r2774] Part 13 of larger changeset -
	  source/headers/geos/index/chain:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:36  Mateusz Loskot <mateusz@loskot.net>

	* [r2773] Part 12 of larger changeset -
	  source/headers/geos/geomgraph:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2772] Part 11 of larger changeset -
	  source/headers/geos/geom/util:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2771] Part 10of larger changeset -
	  source/headers/geos/geom/prep:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:27  Mateusz Loskot <mateusz@loskot.net>

	* [r2770] Part 9 of larger changeset -
	  source/headers/geos/algorithm:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2769] Part 7 of larger changeset - source/geomgraph:
	  * Fixed incorrect int to string conversion.

2009-12-03 19:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2768] Part 7 of larger changeset - source/index/intervalrtree:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:22  Mateusz Loskot <mateusz@loskot.net>

	* [r2767] Refined changeset r2766 - fix for nested classes required
	  by GCC.

2009-12-03 19:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2766] Part 6 of larger changeset - source/noding:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:11  Mateusz Loskot <mateusz@loskot.net>

	* [r2765] Part 5 of larger changeset - source/noding/snapround:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2764] Part 4 of larger changeset - source/algorithm:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Added Visual C++ pragmas.
	  * Tidy up.

2009-12-03 19:02  Mateusz Loskot <mateusz@loskot.net>

	* [r2763] Part 3 of larger changeset - source/operation:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Tidy up.

2009-12-03 19:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2762] Part 2 of larger changeset - source/simplify:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Cleanup.
	  * Unified EOL to LF.

2009-12-03 18:56  Mateusz Loskot <mateusz@loskot.net>

	* [r2761] Part 1 of larger changeset - tests/unit:
	  * Declare noncopyable types as such explicitly (Ticket #304).
	  * Cleanup.
	  * Unified EOL to LF.

2009-12-03 14:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2760] * Added Visual C++ pragmas.
	  * Fixed implicit pointer tests for 0 (save typing is a myth, be
	  explicit is bless).

2009-12-03 13:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2759] Updated C++ TUT framework.

2009-12-01 16:16  Mateusz Loskot <mateusz@loskot.net>

	* [r2758] Improved WKBReader::readHEX to read WKB encoded with
	  lower-case hex digits, useful if combined with SQL
	  encode(geometry, 'hex')

2009-12-01 15:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2757] * More fixes for incompleteness of types required by
	  std::auto_ptr
	  * Replaced utility macros with disappearing ignorance template
	  trick.

2009-12-01 13:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2756] Tweaked projects for Visual Studio 2008

2009-11-30 17:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2755] * GEOSFree_r should check context handle even if its not
	  used - nullptr may indicate logic error.

2009-11-30 13:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2754] * Fixed incomplete types Geometry and
	  TaggedLinesSimplifier in TopologyPreservingSimplifier.h -
	  required by std::auto_ptr
	  * Removed unreachable code.
	  * Removed /Wp64 option from Visual Studio 2008 projects.

2009-11-30 12:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2753] Missing log.

2009-11-30 10:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2752] * Added missing tests to Visual Studio 2008 project
	  * Replaced call to isnan() missing in Visual C++ with ISNAN macro

2009-11-29 10:09  Sandro Santilli <strk@keybit.net>

	* [r2749] updated

2009-11-26 21:42  Sandro Santilli <strk@keybit.net>

	* [r2748] Add ISNAN support in platform.h.in

2009-11-26 21:34  Sandro Santilli <strk@keybit.net>

	* [r2747] Remove unreferenced files from the repository

2009-11-26 21:28  Sandro Santilli <strk@keybit.net>

	* [r2746] Remove reference to files not needing to go in the dll

2009-11-26 21:21  Sandro Santilli <strk@keybit.net>

	* [r2745] Put destructor of the CoordinateSequenceFactory in an
	  implementation file, hopefully reducing linker confusion about
	  RTTI (see ticket #299)

2009-11-26 19:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2744] Add magic flags for OS/X Snow Leopard only. (#299)

2009-11-26 19:46  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2743] Add vc90 xmltester target to Makefile build

2009-11-26 18:29  Frank Warmerdam <warmerdam@pobox.com>

	* [r2742] clarify ownership of returned buffer from wkbwriter

2009-11-26 16:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2741] Fix missing components in tarball (#300)

2009-11-24 18:05  Sandro Santilli <strk@keybit.net>

	* [r2736] updated

2009-11-23 18:17  Sandro Santilli <strk@keybit.net>

	* [r2735] Coordiante->Coordinate

2009-11-23 18:06  Sandro Santilli <strk@keybit.net>

	* [r2734] Avoid reallocations in Union short-circuit

2009-11-20 19:58  Sandro Santilli <strk@keybit.net>

	* [r2733] Don't force heap allocation of vectors for getting nodes
	  of a NodeMap

2009-11-19 21:30  Sandro Santilli <strk@keybit.net>

	* [r2732] Don't heap-allocate std::vector in
	  MCIndexSegmentSetMutualIntersector

2009-11-19 21:06  Sandro Santilli <strk@keybit.net>

	* [r2731] Don't force heap allocation when building edge rings for
	  isValidOp

2009-11-19 20:29  Sandro Santilli <strk@keybit.net>

	* [r2730] Don't force heap allocation of std::vector in
	  PolygonizeGraph when deleting dangles (moved allocation higher,
	  in Polygonizer, so needs a second pass)

2009-11-19 20:20  Sandro Santilli <strk@keybit.net>

	* [r2729] don't heap-allocate vectors in findLabeledEdgeRings

2009-11-19 19:57  Sandro Santilli <strk@keybit.net>

	* [r2728] Move heap-allocation of vector used for 'cut-lines'
	  containment out of PolygonizeGraph (but into Polygonizer)

2009-11-19 19:31  Sandro Santilli <strk@keybit.net>

	* [r2727] Don't force heap-allocation of vectors for
	  finding/labeling edge rings

2009-11-19 19:19  Sandro Santilli <strk@keybit.net>

	* [r2726] Change PolygonizeGraph::getEdgeRings signature so not to
	  force heap allocation of std::vector, update Polygonizer
	  accordingly

2009-11-19 19:06  Sandro Santilli <strk@keybit.net>

	* [r2725] Do not heap-allocate vector of Node when finding
	  intersections

2009-11-19 18:52  Sandro Santilli <strk@keybit.net>

	* [r2724] Don not allocate the container of STRtree node childs on
	  the heap

2009-11-19 16:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2723] Apply patch for --disable-cassert compilation (#291)

2009-11-18 18:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2720] Reverse the upgrade process a bit, bump up revision
	  numbers *after* release so that the repo version is always one
	  higher than the release version. (#287)

2009-11-18 01:28  Mateusz Loskot <mateusz@loskot.net>

	* [r2717] Silent warning thrown by Visual C++ about mixed class and
	  struct keyword (#269)

2009-11-17 20:29  Sandro Santilli <strk@keybit.net>

	* [r2716] Include capi::GEOSGeomFromWKB test in geos_unit build
	  (should also distribute as side-effect)

2009-11-11 23:05  Sandro Santilli <strk@keybit.net>

	* [r2713] Change ChangeLog generation rule so it doesn't mess with
	  make dist. Reflect in HOW_TO_RELEASE

2009-11-10 23:54  Sandro Santilli <strk@keybit.net>

	* [r2712] Make ChangeLog target non-phony to keep 'distcheck'
	  happy. Reorganize HOW_TO_RELEASE steps.

2009-11-10 22:58  Sandro Santilli <strk@keybit.net>

	* [r2711] Package stuff for release

2009-10-29 21:06  Mateusz Loskot <mateusz@loskot.net>

	* [r2710] Testing linker problem with DEFAULT_QUADRANT_SEGMENT
	  constant

2009-10-29 20:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2709] Testing linker problem with DEFAULT_QUADRANT_SEGMENT
	  constant

2009-10-29 20:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2708] Fixed CRLF to LF in BufferOpTest.cpp

2009-10-29 20:47  Mateusz Loskot <mateusz@loskot.net>

	* [r2707] Missing include of BufferParameters.h header in
	  BufferOpTest.cpp unit suite

2009-10-29 16:20  Mateusz Loskot <mateusz@loskot.net>

	* [r2706] Added more test cases for buffer calculation based on A
	  (input) geometries from XMLTester's buffer.xml and
	  TestBufferExternal2.xml tests.

2009-10-29 15:11  Mateusz Loskot <mateusz@loskot.net>

	* [r2705] Added test case for buffer of multipolygon from
	  XMLTester's buffer.xml, case #25 but with custom quadrant
	  segments

2009-10-29 14:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2704] Added test case for buffer of POINT(0 0) with distance
	  1.0 and 32 quadrant segments.

2009-10-29 12:33  Mateusz Loskot <mateusz@loskot.net>

	* [r2703] * tests/unit/operation/buffer: added unit test case for
	  BufferOp,
	  * tests/unit/Makefile.am: added new test case source to Makefile,
	  * build/msvc90/geos_unit/geos_unit.vcproj: updated Visual C++
	  project.

2009-10-28 12:09  Mateusz Loskot <mateusz@loskot.net>

	* [r2702] tests/xmltester/XMLTester.cpp: declare checkBufferSuccess
	  function to take geometries by refernece to const

2009-10-25 18:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2701] Fixed typo in getCentroid function comment in Geometry.h.

2009-10-23 13:04  Sandro Santilli <strk@keybit.net>

	* [r2700] Have LinearLocation::getSegment return by auto_ptr to
	  encode ownership transfer. Fixes leak reported in #296.

2009-10-23 12:58  Sandro Santilli <strk@keybit.net>

	* [r2699] Fix port info, add standard protection notes

2009-10-23 10:21  Sandro Santilli <strk@keybit.net>

	* [r2698] Add destructor to LinearGeometryBuilder fixing memory
	  leaks there.

2009-10-23 10:13  Sandro Santilli <strk@keybit.net>

	* [r2697] Fix memory access error (#283)

2009-10-23 10:03  Sandro Santilli <strk@keybit.net>

	* [r2696] Fix port info for LinearGeometryBuilder

2009-10-23 09:53  Sandro Santilli <strk@keybit.net>

	* [r2695] Cleanup LinearGeometrybuilder defs and impl to match
	  common code style, add note about suspicious things (not written
	  but noted that the class seems to lack a destructor..)

2009-10-23 09:43  Sandro Santilli <strk@keybit.net>

	* [r2694] Document ownership of return from
	  LocationIndexOfLine::indicesOf, fix mismatch delete/delete[] in
	  core and unit test

2009-10-23 09:34  Sandro Santilli <strk@keybit.net>

	* [r2693] Add virtual dtor to virtual class

2009-10-23 09:33  Sandro Santilli <strk@keybit.net>

	* [r2692] add some parens to hush gcc warning

2009-10-23 09:00  Sandro Santilli <strk@keybit.net>

	* [r2691] Fix static building of C-api demo/tests

2009-10-23 08:34  Sandro Santilli <strk@keybit.net>

	* [r2690] Run the last available-but-no-automatically-run test:
	  test.xml

2009-10-22 18:18  Sandro Santilli <strk@keybit.net>

	* [r2689] Merge buffer_snapround.xml into buffer.xml

2009-10-22 17:13  Sandro Santilli <strk@keybit.net>

	* [r2688] A quick check reveals that the tests in buffer.xml are
	  not really duplicated elsewhere so we run that test too now as
	  part of make check

2009-10-22 17:07  Sandro Santilli <strk@keybit.net>

	* [r2687] Give buffer.xml cases a somewhat more helpful
	  description, fix 4 expected results after eye-checking. This is
	  still not automatically run case it might contain duplicated
	  tests from elsewhere (to be checked).

2009-10-22 16:30  Sandro Santilli <strk@keybit.net>

	* [r2686] Don't segfault on EOF inside <op> tag

2009-10-20 16:59  Sandro Santilli <strk@keybit.net>

	* [r2685] Commit MingW bug workaround provided by sanak in ticket
	  #293

2009-10-19 13:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2684] tests/xmltester/tests/buffer_snapround.xml: not
	  well-formed XML, fixed missing attribute.

2009-10-17 14:47  Sandro Santilli <strk@keybit.net>

	* [r2683] updated

2009-10-17 14:43  Sandro Santilli <strk@keybit.net>

	* [r2682] updated

2009-10-17 14:35  Sandro Santilli <strk@keybit.net>

	* [r2681] Half the calls to the virtual CoordinateSequence::getAt
	  when computing line distances

2009-10-17 13:40  Sandro Santilli <strk@keybit.net>

	* [r2680] Drop pointless asserts. We'd abort anyway if vector is
	  null. For the out-of-range case the GNU c++ lib helps debugging
	  with an environment variable

2009-10-17 13:04  Sandro Santilli <strk@keybit.net>

	* [r2679] Add note of private/static nature of implemented methods

2009-10-17 12:28  Sandro Santilli <strk@keybit.net>

	* [r2678] Expose a usable toVector method for CoordinateSequence
	  (ie: no memory management issues). Use it from
	  Polygon::getCoordinates.

2009-10-17 12:02  Sandro Santilli <strk@keybit.net>

	* [r2677] Don't allocate too much space for polygon points vector.
	  Fixes bug #294.

2009-10-16 15:27  Mateusz Loskot <mateusz@loskot.net>

	* [r2676] xmltester/tests: missing double quotes around XML
	  attribute value in fme.xml.

2009-10-14 20:42  Sandro Santilli <strk@keybit.net>

	* [r2675] regenerate ChangeLog

2009-10-14 15:32  Mateusz Loskot <mateusz@loskot.net>

	* [r2674] * Optional use of GEOS_DEBUG_MSVC_USE_VLD in
	  XMLTester.cpp
	  * Added xmltester/makefile.vc as port of testrunner.sh for
	  Windows to be able to run all tests in batch:
	  ** nmake /f makefile.vc XMLTESTER=C:\path\to\xmltester.exe

2009-10-14 12:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2673] Added msvc90/geos_xmltester to solution for Visual Studio
	  2008.

2009-10-14 12:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2672] Enable use of Stalkwalker only if building with Visual
	  C++ and GEOS_TEST_USE_STACKWALKER is defined.

2009-10-13 16:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2671] build/msvc90: added missing sources of linearref package.
	  Builds with Visual C++ 9.0 (using both project and makefiles).

2009-10-13 14:20  Frank Warmerdam <warmerdam@pobox.com>

	* [r2670] fix nmake dll export, and link test programs (#288)

2009-10-08 12:51  Frank Warmerdam <warmerdam@pobox.com>

	* [r2669] add new directories and source (#288)

2009-10-08 08:56  Sandro Santilli <strk@keybit.net>

	* [r2668] regenerate ChangeLog now that we have all names in

2009-10-08 08:47  Sandro Santilli <strk@keybit.net>

	* [r2667] Add other missing names/addresses

2009-10-08 08:40  Sandro Santilli <strk@keybit.net>

	* [r2666] Automatically generate the ChangeLog file, forget
	  ChangeLog.svn.

2009-10-08 08:38  Sandro Santilli <strk@keybit.net>

	* [r2665] Don't signal topology exception when it triggers snapping

2009-10-08 08:37  Sandro Santilli <strk@keybit.net>

	* [r2664] Add yury, fernando and sean

2009-10-08 08:17  Sandro Santilli <strk@keybit.net>

	* [r2663] Distribute all of TUT

2009-10-08 07:56  Sandro Santilli <strk@keybit.net>

	* [r2662] Properly set version for win target

2009-10-07 07:53  Sandro Santilli <strk@keybit.net>

	* [r2661] Expose single-sided buffering in C-API (see ticket #258)

2009-10-05 21:36  Sandro Santilli <strk@keybit.net>

	* [r2659] Drop use of static data in DistanceToPoint class (for
	  thread-safety)

2009-10-05 19:29  Sandro Santilli <strk@keybit.net>

	* [r2658] release memory earlier, and closer to allocation

2009-10-05 19:04  Sandro Santilli <strk@keybit.net>

	* [r2657] Finish plugging leaks. Make check runs with no leaks.

2009-10-05 18:42  Sandro Santilli <strk@keybit.net>

	* [r2656] another memory management doc

2009-10-05 18:40  Sandro Santilli <strk@keybit.net>

	* [r2655] Document more memory management issues

2009-10-05 17:20  Sandro Santilli <strk@keybit.net>

	* [r2654] More memory leak fixes in single-sided buffering
	  implementation

2009-10-05 16:58  Sandro Santilli <strk@keybit.net>

	* [r2653] Plug some memory leaks in single sided buffering
	  implementation

2009-10-05 16:44  Sandro Santilli <strk@keybit.net>

	* [r2652] Document ownership of return from
	  LineMerger::getMergedLineStrings

2009-10-05 16:40  Sandro Santilli <strk@keybit.net>

	* [r2651] Alright, there's no standard style yet so this file is
	  made empty, but good to have for reference

2009-10-01 10:30  Sandro Santilli <strk@keybit.net>

	* [r2650] Throw an exception rather than returning NULL if input to
	  single-sided buffer code is invalid

2009-10-01 09:10  Sandro Santilli <strk@keybit.net>

	* [r2649] Have single-sided buffer constructor return a simple
	  LINESTRING when appropriate rather than forcing a MULTI; import 2
	  tests from the SAFE testsuite

2009-10-01 09:01  Sandro Santilli <strk@keybit.net>

	* [r2648] Better parse style parameter

2009-10-01 08:46  Sandro Santilli <strk@keybit.net>

	* [r2647] Add utility script to import tests from SAFE software

2009-10-01 08:42  Sandro Santilli <strk@keybit.net>

	* [r2646] Don't segfault on xml tests missing precision model
	  specification

2009-10-01 07:24  Sandro Santilli <strk@keybit.net>

	* [r2645] Re-enable the now succeeding test for sharp edges line
	  single sided buffering

2009-10-01 07:23  Sandro Santilli <strk@keybit.net>

	* [r2644] Use FLAT/BUTT endcaps when doing single sided buffering

2009-10-01 07:06  Sandro Santilli <strk@keybit.net>

	* [r2643] Fix trimming of left/right curves (ie: don't include the
	  endcap)

2009-10-01 06:33  Sandro Santilli <strk@keybit.net>

	* [r2642] Use snapped intersection between full buffer boundary and
	  single-sided offset curves

2009-09-30 22:18  Sandro Santilli <strk@keybit.net>

	* [r2641] Check hausdorff distance in both directions, or an
	  expected output line longer than the obtained one would be found
	  as correct

2009-09-30 20:27  Sandro Santilli <strk@keybit.net>

	* [r2640] Some debugging for single sided buffers

2009-09-30 19:18  Sandro Santilli <strk@keybit.net>

	* [r2639] Another simple test for single-sided buffer (horizontal
	  line, both directions)

2009-09-30 19:07  Sandro Santilli <strk@keybit.net>

	* [r2638] Another simple test for a vertical line, opposite
	  direction from previous

2009-09-30 19:05  Sandro Santilli <strk@keybit.net>

	* [r2637] Add test for single sided buffer on simple, vertical,
	  line (this one succeeds both left and right)

2009-09-30 18:57  Sandro Santilli <strk@keybit.net>

	* [r2636] VIM setting for GEOS source code style (3-spaces tabs)

2009-09-30 14:14  Sandro Santilli <strk@keybit.net>

	* [r2635] Don't use non-standard escape sequences with 'echo'

2009-09-28 10:35  Sandro Santilli <strk@keybit.net>

	* [r2634] Replace no-commercial-use licenced MarkupSTL with tinyXML

2009-09-28 10:34  Sandro Santilli <strk@keybit.net>

	* [r2633] Temporarly disable failing single sided buffer test

2009-09-28 10:10  Sandro Santilli <strk@keybit.net>

	* [r2632] Oops, it seems I just don't want a test to fail ;)

2009-09-28 10:09  Sandro Santilli <strk@keybit.net>

	* [r2631] Don't give a false success if one of the
	  expected/obtained geometry is empty

2009-09-28 09:03  Sandro Santilli <strk@keybit.net>

	* [r2630] Add offsets to PrecisionModel text output

2009-09-28 07:02  Sandro Santilli <strk@keybit.net>

	* [r2629] Add an hausdorff distance based result matcher for
	  single-sided buffer tests. Enable the single sided buffer test
	  provided by swong in ticket #215 with minor tweak (expect
	  multilinestring).

2009-09-27 20:43  Sandro Santilli <strk@keybit.net>

	* [r2628] Re-introduce the singlesided buffer patch. Tests still
	  need to be worked on.

2009-09-21 19:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2626] Polygon with empty ring causes a crash in WKBReader (from
	  Tamas Szekeres) (#290)

2009-09-11 18:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2624] Patch for #285, C api for project and interpolate, from
	  David Turner (novalis)

2009-08-21 09:54  Mateusz Loskot <mateusz@loskot.net>

	* [r2623] Updated svn:ignore property

2009-08-21 09:50  Mateusz Loskot <mateusz@loskot.net>

	* [r2622] Cleaned compilation warnings in unit tests.

2009-08-21 09:43  Mateusz Loskot <mateusz@loskot.net>

	* [r2621] Updated C++ TUT Framework to latest revision (147) of its
	  SVN trunk

2009-08-15 13:26  Sandro Santilli <strk@keybit.net>

	* [r2620] Const correctness of LenghtIndexedLine port, by novalis
	  (issue #284)

2009-08-12 19:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2619] Port of JTS linear referencing (from David Turner) (#283)

2009-08-02 23:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2618] Removed incomplete GEOS_DEBUG message causing compilation
	  error because Edge type is incomplete.

2009-08-02 23:15  Mateusz Loskot <mateusz@loskot.net>

	* [r2617] Fixed broken escape sequence in debug msg.

2009-07-17 22:23  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2616] Remove static string in WKB reader (#232)

2009-07-15 18:56  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2613] Add PreparedGeometry and STRtree support to SWIG (#279)
	  Schuyler Erle

2009-07-15 18:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2612] Add STRtree support to the C API (#278) Schuyler Erle

2009-07-15 18:53  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2611] Add geos::index::strtree::AbstractSTRtree::iterate (#277)
	  Schuyler Erle

2009-07-06 17:35  Sandro Santilli <strk@keybit.net>

	* [r2610] Add automated XML test for issue #275. Succeeds here.

2009-07-05 15:58  Sandro Santilli <strk@keybit.net>

	* [r2609] Apply fix-msvc90-only2.patch by Sanak from issue #273

2009-07-04 16:19  Sandro Santilli <strk@keybit.net>

	* [r2608] Apply fix-mingw.patch by Sanak (issue #273)

2009-06-29 16:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2607] Include nmake.opt in 'dist' target (#274)

2009-06-26 21:59  Sandro Santilli <strk@keybit.net>

	* [r2605] Fix typo reported in ticket #272

2009-06-24 21:43  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2604] Expose Hausdorf distance to CAPI (#264) from Vincent
	  Picavet

2009-06-24 21:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2603] Fix stoopid syntax error.

2009-06-24 21:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2602] Remove old logging noise.

2009-06-24 21:19  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2601] Fix for #270, bad definition of isnan() in OS/X <cmath>.
	  This needs to be tested on other operating systems to make sure
	  it doesn't break them instead.

2009-06-23 22:20  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2599] Fix clean target for VC build (#267)

2009-06-23 18:22  Howard Butler <hobu.inc@gmail.com>

	* [r2598] fix up syntax of the makefile related to the patch for
	  #257

2009-06-22 19:14  Sandro Santilli <strk@keybit.net>

	* [r2597] Add tests for limited mitre join (now working)

2009-06-22 19:02  Sandro Santilli <strk@keybit.net>

	* [r2596] Fix bug in BufferParameters::setMitreLimit

2009-06-20 21:29  Sandro Santilli <strk@keybit.net>

	* [r2595] Bump versions (core 3.2.0, capi 1.6.0, port 1.10.0)

2009-06-20 08:53  Sandro Santilli <strk@keybit.net>

	* [r2594] Add tests for GEOSBufferWithStyle

2009-06-19 22:32  Sandro Santilli <strk@keybit.net>

	* [r2593] Extend the C-API interface to expose a
	  GEOSBufferWithStyle (and corresponding thread-safe version) and
	  related enums.

2009-06-16 15:49  Sandro Santilli <strk@keybit.net>

	* [r2592] Sync RobustDeterminant to JTS-1.10 (r1.15 was just
	  commented-out code)

2009-06-16 15:46  Sandro Santilli <strk@keybit.net>

	* [r2591] Sync RobustDeterminant to revision 1.14

2009-06-16 15:43  Sandro Santilli <strk@keybit.net>

	* [r2590] Port info for RobustDeterminant

2009-06-16 15:33  Sandro Santilli <strk@keybit.net>

	* [r2589] Revert single-sided patch. Martin Davis is workin on it
	  from the JTS side

2009-06-16 00:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2581] add reminders on bump versions in various places

2009-06-15 14:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2580] operation.h in Makefile.am twice. (#261)

2009-06-15 14:03  Sandro Santilli <strk@keybit.net>

	* [r2579] Port info in the geos::io namespace

2009-06-15 13:19  Sandro Santilli <strk@keybit.net>

	* [r2578] Put CLocalizer in the correct function. Fixes #260 for
	  the writing part.

2009-06-15 10:13  Sandro Santilli <strk@keybit.net>

	* [r2577] Stop explicitly using the CLocalizer now that it is done
	  within WKTReader and WKTWriter (see bug #260). Some deep testing
	  about this would be good. Make check worked for me with
	  comma-using locale.

2009-06-15 10:06  Sandro Santilli <strk@keybit.net>

	* [r2576] Use C locale while reading/writing WKT. Fixes bug #260.

2009-06-15 06:57  Sandro Santilli <strk@keybit.net>

	* [r2575] Add XML version of the testcase provided for bug #176

2009-06-08 22:10  Sandro Santilli <strk@keybit.net>

	* [r2572] JTS-1.10 port sync. The whole 'operation' namespace is
	  complete on this.

2009-06-08 21:53  Sandro Santilli <strk@keybit.net>

	* [r2571] Port info for operation::union

2009-06-08 17:15  Sandro Santilli <strk@keybit.net>

	* [r2570] Sync to JTS-1.10 (port info in SegmentIntersectionTester
	  was wrong, btw)

2009-06-08 17:12  Sandro Santilli <strk@keybit.net>

	* [r2569] Sync RectangleContains to JTS-1.10

2009-06-08 17:02  Sandro Santilli <strk@keybit.net>

	* [r2568] Port info for operation::predicate (we're at JTS-1.7
	  here)

2009-06-08 16:58  Sandro Santilli <strk@keybit.net>

	* [r2567] Port info for polygonize operation

2009-06-08 16:46  Sandro Santilli <strk@keybit.net>

	* [r2566] Port info and sync for operation::overlay::validate

2009-06-08 16:26  Sandro Santilli <strk@keybit.net>

	* [r2565] sync LineBuilder to JTS-1.10, completing overlay port

2009-06-08 16:09  Sandro Santilli <strk@keybit.net>

	* [r2564] Complete port info in overlay package

2009-06-08 15:43  Sandro Santilli <strk@keybit.net>

	* [r2563] Add missing setMarked static methods in GraphComponent
	  and make use of them in LineMerger making it able to be called
	  incrementally (JTS-1.10)

2009-06-08 15:28  Sandro Santilli <strk@keybit.net>

	* [r2562] Port info in operation::linemerge (a single class is
	  still at JTS-1.7, needs changes in GeometryGraphComponent.h to go
	  up)

2009-06-08 10:37  Sandro Santilli <strk@keybit.net>

	* [r2561] GeometryLocation sync to JTS-1.10 (docs)

2009-06-08 10:29  Sandro Santilli <strk@keybit.net>

	* [r2560] DistanceOp sync to JTS-1.10 (renames, docs...)

2009-06-08 10:07  Sandro Santilli <strk@keybit.net>

	* [r2559] Update port info for buffer package (it's really
	  JTS-1.10)

2009-06-08 09:40  Sandro Santilli <strk@keybit.net>

	* [r2558] Warn at configure time if 64bit integer type isn't found.
	  See bug #202.

2009-06-08 09:30  Sandro Santilli <strk@keybit.net>

	* [r2557] Install all C++ headers to reduce maintainance costs. C++
	  API is documented as being unstable after all so let's give users
	  the power to hurt themselves :)

2009-06-06 22:22  Sandro Santilli <strk@keybit.net>

	* [r2556] Windows C++ exports by Ragi Y. Burhum. See
	  http://lists.osgeo.org/pipermail/geos-devel/2009-June/004190.html

2009-06-06 22:17  Sandro Santilli <strk@keybit.net>

	* [r2555] fix headers inclusion warnings

2009-06-06 21:14  Sandro Santilli <strk@keybit.net>

	* [r2554] Use real NaNs rather than fake them. Applies patch in
	  ticket #259. Adds autoconf checks for finite() and isfinite() and
	  makes use of them for unix systems (platform.h)

2009-06-06 00:55  Sandro Santilli <strk@keybit.net>

	* [r2553] Complete port info and headers exposion for
	  operation::distance package

2009-06-05 18:18  Sandro Santilli <strk@keybit.net>

	* [r2552] JTS-1.10 OverlayOp

2009-06-05 18:12  Sandro Santilli <strk@keybit.net>

	* [r2551] Add missing static function

2009-06-05 18:02  Sandro Santilli <strk@keybit.net>

	* [r2550] JTS-1.10 sync

2009-06-05 17:50  Sandro Santilli <strk@keybit.net>

	* [r2549] Boundary Node Rule support in relateOp. JTS-1.10.

2009-06-05 13:44  Sandro Santilli <strk@keybit.net>

	* [r2548] geomgraph package fully sync'ed to JTS-1.10 now

2009-06-05 13:41  Sandro Santilli <strk@keybit.net>

	* [r2547] added BoundaryNodeRule capability to EdgeEnds

2009-06-05 12:42  Sandro Santilli <strk@keybit.net>

	* [r2546] Add support for custom BoundaryNodeRule bringing
	  GeometryGraph to JTS-1.10

2009-06-05 12:07  Sandro Santilli <strk@keybit.net>

	* [r2545] Complete port info in geomgraph package

2009-06-05 11:03  Sandro Santilli <strk@keybit.net>

	* [r2544] Port info in the geomgraph package (unfinished); fix
	  compiler warning in GeometryGraph and make code more readable;

2009-06-05 10:23  Sandro Santilli <strk@keybit.net>

	* [r2543] Add port info and introduce header exposion info. Relate
	  op results partially in JTS-1.7 still.

2009-06-05 09:36  Sandro Santilli <strk@keybit.net>

	* [r2542] typo in doxygen index page

2009-06-05 09:35  Sandro Santilli <strk@keybit.net>

	* [r2541] Fix doxygen link

2009-06-05 09:28  Sandro Santilli <strk@keybit.net>

	* [r2540] Fix deletion of void pointer in IntervalRTreeLeafNode,
	  document ownership, fix callers tracking allocations to avoid
	  leaks. Fixes bug #227.

2009-06-05 09:15  Sandro Santilli <strk@keybit.net>

	* [r2539] Allow generating ChangeLog from external build tree

2009-06-04 15:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2538] * Applied patch for ticket #257.
	  * Noticed that unit tests fail:
	  1>geos::util::UniqueCoordinateArrayFilter: .
	  1>---> group: geos::operation::valid::IsValidOp, test: test<1>
	  1> problem: assertion failed

2009-06-04 14:59  Mateusz Loskot <mateusz@loskot.net>

	* [r2537] Fixed bug of inaccessible constructor of incomplete type
	  NodedSegmentString - header missing.

2009-06-04 13:59  Sandro Santilli <strk@keybit.net>

	* [r2536] Add support for testing single sided buffers

2009-06-01 03:34  Howard Butler <hobu.inc@gmail.com>

	* [r2534] #256 finishGEOS called multiple times will segfault

2009-05-28 14:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2533] Fixed aclocal warnings for mixing cache-id's in
	  configure.in.

2009-05-27 16:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2516] remove error

2009-05-27 16:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2515] Add single-sided item

2009-05-21 10:08  Sandro Santilli <strk@keybit.net>

	* [r2514] Add Mat's and Paul's entries, make ChangeLog.svn rule
	  phony

2009-05-21 09:56  Sandro Santilli <strk@keybit.net>

	* [r2513] Add a rule to generate a ChangeLog using svn2cl. The
	  authors.svn file will be used to map usernames and full names:
	  please expand your own nick. The generated ChangeLog is added to
	  repository to show you how it looks. If everybody agree we could
	  rename this to ChangeLog and stop requiring manual edits (+1 from
	  me:)

2009-05-13 11:29  Frank Warmerdam <warmerdam@pobox.com>

	* [r2508] refer to GEOSFree() instead of free()

2009-05-13 11:26  Frank Warmerdam <warmerdam@pobox.com>

	* [r2507] forward GEOSFree to GEOSFree_r, use std:: prefix on
	  free() (#249)

2009-05-13 04:14  Frank Warmerdam <warmerdam@pobox.com>

	* [r2506] Added GEOSFree() and GEOSFree_r() (#249)

2009-05-12 17:47  Sandro Santilli <strk@keybit.net>

	* [r2505] Add note about single-sided buffer

2009-05-12 16:49  Sandro Santilli <strk@keybit.net>

	* [r2504] Never fail bug #244 again (regression testcase added)

2009-05-12 16:48  Sandro Santilli <strk@keybit.net>

	* [r2503] Have DepthSegment hold a real LineSegment, not a
	  reference. SubgraphDepthLocater was passing the same LineSegment
	  reference to multiple DepthSegments, messing everything up. This
	  fixes bug #244.

2009-05-12 15:38  Sandro Santilli <strk@keybit.net>

	* [r2502] Port info

2009-05-08 16:30  Sandro Santilli <strk@keybit.net>

	* [r2501] Update port info

2009-05-08 12:47  Sandro Santilli <strk@keybit.net>

	* [r2500] When included in a C++ environment, include <cstddef> and
	  use std::size_t. Patch by Mateusz Loskot, ticket #252.

2009-05-08 12:46  Sandro Santilli <strk@keybit.net>

	* [r2499] Oops, forgot to update the static closedPoints
	  signature..

2009-05-08 12:29  Sandro Santilli <strk@keybit.net>

	* [r2498] Note the withinDistance addition to DistanceOp

2009-05-08 12:27  Sandro Santilli <strk@keybit.net>

	* [r2497] Add the complete set of tests for closedPoints

2009-05-08 12:11  Sandro Santilli <strk@keybit.net>

	* [r2496] Document semantic of a null return from closestPoints

2009-05-08 12:09  Sandro Santilli <strk@keybit.net>

	* [r2495] Don't wipe out closest locations after computing them
	  (doh). Fixes bug #236. Takes the chance to make the
	  GeometryLocation retrival function private as we don't install
	  GeometryLocation.h header anyway (for future cleanups), and to
	  rename a function to follow current JTS naming (more renames to
	  come for proper sync)

2009-05-08 10:10  Sandro Santilli <strk@keybit.net>

	* [r2494] Add isWithinDistance() to DistanceOp, reaching rev 1.17
	  of JTS

2009-05-08 09:39  Sandro Santilli <strk@keybit.net>

	* [r2493] Port info for DistanceOp

2009-05-08 08:44  Sandro Santilli <strk@keybit.net>

	* [r2492] Always include stddef.h. Closes bug #213

2009-05-07 16:15  Sandro Santilli <strk@keybit.net>

	* [r2491] Add "thread-safe" version of GEOSGeom_setSRID. Closes bug
	  #242.

2009-05-07 16:00  Sandro Santilli <strk@keybit.net>

	* [r2490] minor debug output improvement

2009-05-07 15:57  Sandro Santilli <strk@keybit.net>

	* [r2489] Skip empty components when building GeometryGraph. Fixes
	  bug #234. Add non-automated test for it, and README file in the
	  directory containing it...

2009-05-07 15:36  Sandro Santilli <strk@keybit.net>

	* [r2488] Add XML testcase for bug 188

2009-05-07 15:36  Sandro Santilli <strk@keybit.net>

	* [r2487] remove code duplication on buffer result validation

2009-05-07 08:52  Sandro Santilli <strk@keybit.net>

	* [r2486] Port info, doxygen cleanups

2009-05-07 08:45  Sandro Santilli <strk@keybit.net>

	* [r2485] Add test for creating a CoordinateSequence with at least
	  2 dimension

2009-05-06 20:47  Sandro Santilli <strk@keybit.net>

	* [r2484] Fix bug #135, give an hint about GEOSGeom_getDimensions
	  being related to GEOSCoordSeq_getDimensions, fix signed vs.
	  unsigned compiler warning.

2009-05-06 20:22  Sandro Santilli <strk@keybit.net>

	* [r2483] Fix compilation warnings thrown by GCC 4.3.x. Patch by
	  Mateus, closes bug #92.

2009-05-06 20:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2482] Updated svn:ignore property.

2009-05-06 17:54  Sandro Santilli <strk@keybit.net>

	* [r2481] findCollapsesFromExistingVertices: don't choke on sets of
	  < 2 points. Fixes bug #219.

2009-05-06 17:52  Sandro Santilli <strk@keybit.net>

	* [r2480] minor indentation thing

2009-05-06 17:42  Sandro Santilli <strk@keybit.net>

	* [r2479] Cleanup MonotoneChainOverlapAction, reduce heap
	  allocations. Cascade changes.

2009-05-06 17:14  Sandro Santilli <strk@keybit.net>

	* [r2478] Port info (to be worked on for heap allocations
	  reduction)

2009-05-06 17:10  Sandro Santilli <strk@keybit.net>

	* [r2477] MonotoneChainSelectAction port review, heap allocation
	  reduced, const-corrected.

2009-05-06 16:44  Sandro Santilli <strk@keybit.net>

	* [r2476] MonotoneChain const-correctness and interface cleanups,
	  cascaded changes. Possibly discovered a leak in MCPointInRing
	  algorithm, needs some unit testing.

2009-05-06 16:36  Sandro Santilli <strk@keybit.net>

	* [r2475] Const-correctness for bintree Interval

2009-05-06 15:47  Sandro Santilli <strk@keybit.net>

	* [r2474] Port MonotoneChain up to JTS-1.10, plus minor dox
	  improvement (memory-oriented)

2009-05-06 15:31  Sandro Santilli <strk@keybit.net>

	* [r2473] Port MonotoneChainBuilder up to JTS-1.10. Tweak some
	  signatures to use stricter signedness.

2009-05-06 14:55  Sandro Santilli <strk@keybit.net>

	* [r2472] Port to 1.9, fixing an out of boundary access in
	  findEdgeEnd

2009-05-06 14:42  Sandro Santilli <strk@keybit.net>

	* [r2471] Add port info. We're 4 revision old (catching up next)

2009-05-05 14:28  Sandro Santilli <strk@keybit.net>

	* [r2470] Sync Envelope to JTS-1.10

2009-05-05 10:30  Sandro Santilli <strk@keybit.net>

	* [r2469] Add compile-time support to skip use of BinaryOp thus
	  engaging SnapIfNeededOverlayOp used by Geometry methods. Shows
	  that BinaryOp (GEOS-specific original work) gives better
	  numerical stability.

2009-05-05 10:14  Sandro Santilli <strk@keybit.net>

	* [r2468] Found old GeometrySnapper/LineStringSnapper classes in an
	  unexpected directory. Move them where they belong, sync with
	  JTS-1.10.

2009-05-05 00:04  Sandro Santilli <strk@keybit.net>

	* [r2467] Fix memory leak on exception

2009-05-04 23:43  Sandro Santilli <strk@keybit.net>

	* [r2466] Fix memory bug

2009-05-04 23:23  Sandro Santilli <strk@keybit.net>

	* [r2465] Geometry up to 1.112 with a minor bugfix and performance
	  improvement in Geometry::covers

2009-05-04 23:04  Sandro Santilli <strk@keybit.net>

	* [r2464] Bring Geometry port up a revision by having it use
	  SnapIfNeededOp for overlay operations. Note that currently this
	  doesn't affect the C-API nor the XMLTester codes, both using the
	  BinaryOp original class (not JTS-ported) doing about the same
	  thing as the SnapIfNeededOp class.

2009-05-04 22:03  Sandro Santilli <strk@keybit.net>

	* [r2463] Port SnapIfNeededOverlayOp

2009-05-04 21:28  Sandro Santilli <strk@keybit.net>

	* [r2462] Move overlay.validate package files where they belong

2009-05-04 21:02  Sandro Santilli <strk@keybit.net>

	* [r2461] Port overlay.snap.SnapOverlayOp, update GeometrySnapper
	  to be more useful

2009-05-04 19:54  Sandro Santilli <strk@keybit.net>

	* [r2460] Port overlay.snap.GeometrySnapper

2009-05-04 19:51  Sandro Santilli <strk@keybit.net>

	* [r2459] Extend to accept a vector of const Coordinate pointers
	  for snap pointers, fix typo making it clone snap points rather
	  than source points on snapping...

2009-05-02 11:01  Sandro Santilli <strk@keybit.net>

	* [r2458] Port overlay.snap.LineStringSnapper from JTS-1.10

2009-05-02 10:59  Sandro Santilli <strk@keybit.net>

	* [r2457] Add an insert-like virtual method to CoordinateSequence.
	  This comes from CoordinateList of JTS, historically bound to
	  CoordinateSequence in GEOS. Add test for that interface.

2009-05-02 09:44  Sandro Santilli <strk@keybit.net>

	* [r2456] Copy last portable JTS general test, add a file with info
	  about what's missing

2009-05-02 09:42  Sandro Santilli <strk@keybit.net>

	* [r2455] Drop test also found in TestFunctionPLPrec.xml

2009-05-02 09:40  Sandro Santilli <strk@keybit.net>

	* [r2454] Add support for testing within, covers and coveredby.
	  Properly use 'arg1' and 'arg2' for these tests.

2009-05-02 09:25  Sandro Santilli <strk@keybit.net>

	* [r2453] Copy TestWithinDistance.xml test, drop duplicates from
	  testLeaksBig.xml

2009-05-02 09:20  Sandro Santilli <strk@keybit.net>

	* [r2452] More tests from JTS (TestFunction*)

2009-05-02 09:17  Sandro Santilli <strk@keybit.net>

	* [r2451] Boundary test

2009-05-02 09:16  Sandro Santilli <strk@keybit.net>

	* [r2450] ConvexHull tests

2009-05-02 09:11  Sandro Santilli <strk@keybit.net>

	* [r2449] Add support for testing 'contains' in XMLTester, add all
	  Relate tests from JTS

2009-05-02 09:01  Sandro Santilli <strk@keybit.net>

	* [r2448] More organization of xml tests: 'general' subdir
	  following JTS

2009-05-02 08:44  Sandro Santilli <strk@keybit.net>

	* [r2447] Put stml testcases under their own dir (like in JTS)

2009-05-02 08:37  Sandro Santilli <strk@keybit.net>

	* [r2446] Add a 'split.xml' testcase to confirm 'difference' may be
	  used to split linestrings; add TestRobustRelate.xml from JTS,
	  organize robust-related tests as in JTS repository.

2009-04-30 12:42  Sandro Santilli <strk@keybit.net>

	* [r2444] drop duplicated (and old) port info

2009-04-30 12:33  Sandro Santilli <strk@keybit.net>

	* [r2443] Update port info

2009-04-30 12:17  Sandro Santilli <strk@keybit.net>

	* [r2442] Point full up to JTS-1.0 (rev 1.37) : adds reverse()

2009-04-30 12:07  Sandro Santilli <strk@keybit.net>

	* [r2441] LineString to rev 1.46 : don't override isSimple, always
	  return MultiPoint as bondary

2009-04-30 11:47  Sandro Santilli <strk@keybit.net>

	* [r2440] Polygon to rev 1.50 (getBoundary always return
	  MultiLineString)

2009-04-30 11:42  Sandro Santilli <strk@keybit.net>

	* [r2439] MultiPoint up to rev 1.30 (drop isSimple override)

2009-04-30 11:36  Sandro Santilli <strk@keybit.net>

	* [r2438] MultiLineString port info and sync to 1.40 (don't
	  override isSimple)

2009-04-30 11:29  Sandro Santilli <strk@keybit.net>

	* [r2437] MultiPolygon up to rev 1.34 (getBoundary always returns a
	  MultiLineString now)

2009-04-30 11:19  Sandro Santilli <strk@keybit.net>

	* [r2436] Oops, *now* we're at 1.14 (drop isSimple, rely on the one
	  in base class)

2009-04-30 11:15  Sandro Santilli <strk@keybit.net>

	* [r2435] Port info. It's at 1.41 now, JTS is at 1.42

2009-04-30 11:03  Sandro Santilli <strk@keybit.net>

	* [r2434] Geometry class up to JTS rev 1.104 (need reach 1.127...)

2009-04-30 10:59  Sandro Santilli <strk@keybit.net>

	* [r2433] Add some info about things changed (might have missed
	  something)

2009-04-30 10:51  Sandro Santilli <strk@keybit.net>

	* [r2432] Sync to rev 1.22 (JTS-1.10)

2009-04-30 10:47  Sandro Santilli <strk@keybit.net>

	* [r2431] EndpointInfo.h header is gone (it's always been private
	  in JTS)

2009-04-30 10:46  Sandro Santilli <strk@keybit.net>

	* [r2430] Port revision 1.9 of IsSimplOp : allow inspecting
	  non-simple location coordinate.

2009-04-30 10:43  Sandro Santilli <strk@keybit.net>

	* [r2429] Sync to revision 1.5 (JTS-1.10) : add accessors

2009-04-30 09:54  Sandro Santilli <strk@keybit.net>

	* [r2428] port to rev 1.8 (use of BoundaryNodeRule)

2009-04-30 09:49  Sandro Santilli <strk@keybit.net>

	* [r2427] Import TestSimple.xml from JTS, drop duplicated tests
	  from testLeaksBig.xml

2009-04-30 09:26  Sandro Santilli <strk@keybit.net>

	* [r2426] Port algorithm::BoundaryNodeRule from JTS-1.10 (needed
	  for IsSimpleOp sync)

2009-04-30 08:33  Sandro Santilli <strk@keybit.net>

	* [r2425] Port info, and sync from 1.14 to 1.17 (more to do, need
	  more classes)

2009-04-29 23:52  Mateusz Loskot <mateusz@loskot.net>

	* [r2424] test/unit/capi: re-tab all .cpp files to use spaces.

2009-04-29 23:46  Mateusz Loskot <mateusz@loskot.net>

	* [r2423] Removed unused <memory> header from C API tests.

2009-04-29 23:44  Mateusz Loskot <mateusz@loskot.net>

	* [r2422] Added new unit tests for C API: GEOSWithinTest and
	  GEOSContainsTest. This is check and response for problems
	  reporting in Ticket #250. Running the new tests does not
	  reproduce the problem, so it likely has been fixed or the bug is
	  somewhere else (i.e. Django layers).

2009-04-29 09:44  Sandro Santilli <strk@keybit.net>

	* [r2421] Sync GeometricShapeFactory to JTS-1.10 (createArcPolygon
	  added)

2009-04-29 08:56  Sandro Santilli <strk@keybit.net>

	* [r2420] Bring all geom::prep package in sync with JTS-1.10

2009-04-29 08:22  Sandro Santilli <strk@keybit.net>

	* [r2419] Sync BasicPreparedGeometry to JTS-1.10 (short-circuit in
	  containsProperly)

2009-04-29 08:15  Sandro Santilli <strk@keybit.net>

	* [r2418] Add port information for geom::prep package. Next stop:
	  sync to JTS-1.10.

2009-04-27 19:47  Sandro Santilli <strk@keybit.net>

	* [r2417] Plug last one. All heap blocks were freed -- no leaks are
	  possible.

2009-04-27 19:42  Sandro Santilli <strk@keybit.net>

	* [r2416] Fix leak in testcase

2009-04-27 19:38  Sandro Santilli <strk@keybit.net>

	* [r2415] Refactor signatures to make ownership transfers more
	  explicit. Fixed another leak in Node::insertNode.

2009-04-27 19:22  Sandro Santilli <strk@keybit.net>

	* [r2414] Fix memory leak in NodeBase::remove, exposed by unit
	  testing

2009-04-27 15:52  Sandro Santilli <strk@keybit.net>

	* [r2413] Port info for quadtree::root

2009-04-27 15:47  Sandro Santilli <strk@keybit.net>

	* [r2412] Port info for quadtree::Node

2009-04-27 15:39  Sandro Santilli <strk@keybit.net>

	* [r2411] Port info and check, doxygen.

2009-04-27 15:30  Sandro Santilli <strk@keybit.net>

	* [r2410] Sync to JTS-1.10, reduce heap allocations and pointers
	  usage. Includes a bugfix in collectStats.

2009-04-27 15:00  Sandro Santilli <strk@keybit.net>

	* [r2409] DoubleBits didn't change in JTS, update port info
	  accordingly

2009-04-27 14:58  Sandro Santilli <strk@keybit.net>

	* [r2408] Quadtree's NodeBase: check port sync, add port info, drop
	  unneeded pointers and virtuals, document objects ownership.

2009-04-25 00:23  Sandro Santilli <strk@keybit.net>

	* [r2407] Const-correctness, reduced heap allocations and port info
	  for quadtree::Key class, a few more cleanups in user classes, to
	  be continued.

2009-04-24 23:44  Sandro Santilli <strk@keybit.net>

	* [r2406] Fix memory leak in Quadtree::remove

2009-04-23 15:26  Sandro Santilli <strk@keybit.net>

	* [r2405] Apply Single-sided buffer patch, issue #215. UNTESTED.

2009-04-21 16:11  Sandro Santilli <strk@keybit.net>

	* [r2404] Port ValidSelfTouchingRingFormingHoleTest

2009-04-21 15:30  Sandro Santilli <strk@keybit.net>

	* [r2403] Port ValidClosedRingTest

2009-04-21 15:13  Sandro Santilli <strk@keybit.net>

	* [r2402] ::reverse returns a Geometry now (to be available up in
	  base class)

2009-04-21 15:12  Sandro Santilli <strk@keybit.net>

	* [r2401] Sync LinearRing to JTS-1.10 (fixing a bug in isClosed)

2009-04-21 14:03  Sandro Santilli <strk@keybit.net>

	* [r2400] Port IsValidOp unit test

2009-04-21 11:14  Sandro Santilli <strk@keybit.net>

	* [r2399] Configure for CXX, not C. Should fix unknown tag and link
	  issues on telascience.

2009-04-21 09:06  Sandro Santilli <strk@keybit.net>

	* [r2398] Add an AC_LIBTOOL_LANG_C_CONFIG call right before the
	  AC_LIBTOOL_COMPILER_OPTION calls. Seems to fix compiler selection
	  on telascience (whereas AC_LANG and AC_LANG_PUSH didn't work)

2009-04-20 20:32  Sandro Santilli <strk@keybit.net>

	* [r2397] Use JTS heuristic for distance-0 buffer checking

2009-04-20 11:04  Mateusz Loskot <mateusz@loskot.net>

	* [r2396] Updated svn:ignore patterns.

2009-04-20 10:37  Sandro Santilli <strk@keybit.net>

	* [r2395] Port IteratedBufferStessTest

2009-04-20 09:37  Sandro Santilli <strk@keybit.net>

	* [r2394] Add named constants, sync to JTS-1.10

2009-04-20 09:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2393] Updated svn:ignore patterns.

2009-04-18 07:55  Sandro Santilli <strk@keybit.net>

	* [r2392] Use BufferResultMatcher for buffer operations. No
	  failures.

2009-04-18 07:49  Sandro Santilli <strk@keybit.net>

	* [r2391] Imported cleaned-up version of fme.xml -- this one fails
	  (the one we have is actually expecting a wrong result)

2009-04-18 07:46  Sandro Santilli <strk@keybit.net>

	* [r2390] Don't densify coordinates if buffer distance is 0

2009-04-17 16:50  Sandro Santilli <strk@keybit.net>

	* [r2389] comment out debugging lines

2009-04-17 16:49  Sandro Santilli <strk@keybit.net>

	* [r2388] Port DiscreteHausdorffDistance unit test

2009-04-17 16:47  Sandro Santilli <strk@keybit.net>

	* [r2387] Offline some more

2009-04-17 16:46  Sandro Santilli <strk@keybit.net>

	* [r2386] Fix typo

2009-04-17 16:26  Sandro Santilli <strk@keybit.net>

	* [r2385] Add missing implementation bits

2009-04-17 15:47  Sandro Santilli <strk@keybit.net>

	* [r2384] Port BufferResultMatcher. Gives 31 new failures !!

2009-04-17 15:37  Sandro Santilli <strk@keybit.net>

	* [r2383] proper inline check_valid
	  source/headers/geos/geom/BinaryOp.h

2009-04-17 15:34  Sandro Santilli <strk@keybit.net>

	* [r2382] Header guard

2009-04-17 13:59  Sandro Santilli <strk@keybit.net>

	* [r2381] renamed intersection constants

2009-04-17 09:56  Sandro Santilli <strk@keybit.net>

	* [r2380] Add debugging output of variables used by
	  AC_LIBTOOL_COMPILER_OPTION. Surprisingly, the buildbots try to
	  use a fortran compiler there

2009-04-17 07:50  Sandro Santilli <strk@keybit.net>

	* [r2379] Differentiate variable used in AC_LIBTOOL_COMPILE_OPTION
	  for proper use of configuration cache

2009-04-16 18:05  Sandro Santilli <strk@keybit.net>

	* [r2378] Use -ffloat-store flag when available. See
	  http://lists.osgeo.org/pipermail/geos-devel/2009-April/004089.html

2009-04-16 12:56  Sandro Santilli <strk@keybit.net>

	* [r2377] Make enum values explicit, as JTS tests rely on those..

2009-04-16 12:54  Sandro Santilli <strk@keybit.net>

	* [r2376] Port RobustLineIntersectorTest from JTS

2009-04-16 12:08  Sandro Santilli <strk@keybit.net>

	* [r2375] better isolation of test-specific functions

2009-04-16 10:48  Sandro Santilli <strk@keybit.net>

	* [r2374] Port RobustLineIntersectionTest (mostly failing, but
	  reported by Martin Davis to be expected)

2009-04-15 15:58  Sandro Santilli <strk@keybit.net>

	* [r2373] New class rename, following JTS

2009-04-15 12:56  Sandro Santilli <strk@keybit.net>

	* [r2372] typo in disabled section

2009-04-15 11:17  Sandro Santilli <strk@keybit.net>

	* [r2371] Few more docs about memory management in quadtree
	  indexing; fix a potential leak in quadtree::Key

2009-04-15 10:43  Sandro Santilli <strk@keybit.net>

	* [r2370] Document ownership of quadtree::NodeBase subnodes

2009-04-15 10:18  Sandro Santilli <strk@keybit.net>

	* [r2369] Fix memory leak in unit test

2009-04-15 10:02  Sandro Santilli <strk@keybit.net>

	* [r2368] Fix leak in SimpleGeometryPrecisionReducer, improve
	  memory management docs where topic.

2009-04-15 09:29  Sandro Santilli <strk@keybit.net>

	* [r2367] Document ownership of DistanceOp::closestPoints return,
	  fix leak in unit test.

2009-04-15 09:25  Sandro Santilli <strk@keybit.net>

	* [r2366] Fix leak in PolygonBuilder (overlay operation). The leak
	  was exposed by the stmlf-cases-20061020.xml testcase. This commit
	  also adds some doc-only throw specs related to the bug.

2009-04-15 07:52  Sandro Santilli <strk@keybit.net>

	* [r2365] Fix memory leaks in IsValid operation

2009-04-15 00:27  Sandro Santilli <strk@keybit.net>

	* [r2364] Explain why unrolled computation is turned off, and keep
	  it off

2009-04-15 00:14  Sandro Santilli <strk@keybit.net>

	* [r2363] Fix typo in computing angleOrientation

2009-04-14 19:11  Sandro Santilli <strk@keybit.net>

	* [r2362] Temporarly revert the unrolled computation in
	  HCoordinate::intersection. Added mitred join buffer test from JTS
	  (failed with the unrolled comp, to be further inspected).

2009-04-14 16:43  Sandro Santilli <strk@keybit.net>

	* [r2361] Port the algorithm::distance package from JTS 1.9

2009-04-14 15:25  Sandro Santilli <strk@keybit.net>

	* [r2360] Add CoordinateSequenceFilter support, fix default
	  GeometryComponentFilter moving the logic to the correct place (a
	  Geometry private class).

2009-04-14 13:35  Sandro Santilli <strk@keybit.net>

	* [r2359] Sync (Robust)LineIntersector to JTS-1.9

2009-04-14 13:23  Sandro Santilli <strk@keybit.net>

	* [r2358] Sync CGAlgorithms with JTS-1.9

2009-04-14 12:55  Sandro Santilli <strk@keybit.net>

	* [r2357] Fix memory leak in RayCrossingCounter; update signatures
	  to avoid pointers when unneeded; add a locatePointInRing taking a
	  vector of coordinate pointers, for use by CGAlgorithms

2009-04-14 12:42  Sandro Santilli <strk@keybit.net>

	* [r2356] Update port info, checked against JTS-1.9

2009-04-14 11:03  Sandro Santilli <strk@keybit.net>

	* [r2355] Move XML tests under their own directory

2009-04-14 10:50  Sandro Santilli <strk@keybit.net>

	* [r2354] Fix memory leak in BufferBuilder (due to just-ported
	  short-circuit)

2009-04-14 10:27  Sandro Santilli <strk@keybit.net>

	* [r2353] Add support for bufferMitredJoin tests

2009-04-14 09:53  Sandro Santilli <strk@keybit.net>

	* [r2352] Fix XML for Buffer testing to match jts layout (arg2 for
	  distance, arg3 for quadrant segments); copy buffer-related tests
	  from jts: they succeed w/out editing.

2009-04-14 09:22  Sandro Santilli <strk@keybit.net>

	* [r2351] Update port info of SubgraphDepthLocater

2009-04-14 09:19  Sandro Santilli <strk@keybit.net>

	* [r2350] Update port info for RightmostEdgeFinder (checked)

2009-04-14 09:14  Sandro Santilli <strk@keybit.net>

	* [r2349] Sync BufferSubgraph to JTS-1.9

2009-04-14 08:52  Sandro Santilli <strk@keybit.net>

	* [r2348] Port OffsetCurveBuilder from JTS-1.9. Twenty time faster
	  completion of fme.xml testcase !

2009-04-10 20:22  Sandro Santilli <strk@keybit.net>

	* [r2347] Port BufferInputLineSimplifier from JTS 1.9

2009-04-10 15:15  Mateusz Loskot <mateusz@loskot.net>

	* [r2346] Do not generate Makefile for tests/unit/tut. Fixed bug
	  reported as #247.

2009-04-10 12:08  Sandro Santilli <strk@keybit.net>

	* [r2345] Sync LineSegment with JTS-1.9

2009-04-09 21:46  Mateusz Loskot <mateusz@loskot.net>

	* [r2344] Updated tests/unit package with latest relase of C++ TUT
	  Framework from 2008-11-30.

2009-04-09 19:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2343] Moved tests/tut to tests/unit/tut. Preparing for update
	  to latest version of C++ TUT Framework.

2009-04-09 16:22  Sandro Santilli <strk@keybit.net>

	* [r2342] Port algorithm.Angle from JTS-1.9

2009-04-09 11:45  Sandro Santilli <strk@keybit.net>

	* [r2341] Sync BufferBuilder and BufferOp classes to JTS-1.9. Adapt
	  OffsetCurveBuilder to use of BufferParameter (needs more work for
	  JTS-sync).

2009-04-09 10:21  Sandro Santilli <strk@keybit.net>

	* [r2340] typo

2009-04-09 09:45  Sandro Santilli <strk@keybit.net>

	* [r2339] Port BufferParameters from JTS-1.9

2009-04-09 08:54  Sandro Santilli <strk@keybit.net>

	* [r2338] Sync port of OffsetCurveVertexList to JTS-1.9, improve
	  memory management documentation (would need some
	  refactoring/love)

2009-04-08 16:52  Sandro Santilli <strk@keybit.net>

	* [r2337] Improve duplicate edge detection performance (JTS-1.9
	  sync) - fme.xml runs 3 times as fast now.

2009-04-08 16:17  Sandro Santilli <strk@keybit.net>

	* [r2332] const correctness

2009-04-08 15:38  Sandro Santilli <strk@keybit.net>

	* [r2329] Fix documentation for GEOSPrepare, GEOSPrepare_r

2009-04-08 14:54  Sandro Santilli <strk@keybit.net>

	* [r2328] OrientedCoordinateArray ported from JTS

2009-04-08 14:41  Sandro Santilli <strk@keybit.net>

	* [r2327] Add increasingDirection static method, from JTS's
	  CoordinateArray (GEOS puts all of them in CoordinateSequence for
	  historical reasons)

2009-04-08 13:16  Sandro Santilli <strk@keybit.net>

	* [r2326] Complete porting of SimpleSnapRounder (refactoring for
	  adding snapped nodes)

2009-04-08 13:02  Sandro Santilli <strk@keybit.net>

	* [r2325] Improve documentation about memory usage for
	  SegmentStringUtil class

2009-04-08 12:58  Sandro Santilli <strk@keybit.net>

	* [r2324] Stub initial unit tests for C-API's GEOSPreparedGeometry
	  operations. Helped fixing issue 147 of postgis

2009-04-08 12:55  Sandro Santilli <strk@keybit.net>

	* [r2323] Don't access deleted memory. Fixes issue 147.

2009-04-08 10:53  Sandro Santilli <strk@keybit.net>

	* [r2322] Fix typo

2009-04-08 10:06  Sandro Santilli <strk@keybit.net>

	* [r2321] Add a couple more tests to SegmentNode unit test

2009-04-08 09:42  Sandro Santilli <strk@keybit.net>

	* [r2320] Port SegmentNode to JTS-1.9

2009-04-07 19:00  Sandro Santilli <strk@keybit.net>

	* [r2319] Refactor SegmentString to be an abstract class, to be in
	  sync with JTS-1.9.

2009-04-07 12:36  Sandro Santilli <strk@keybit.net>

	* [r2318] update copyright notice

2009-04-07 11:11  Sandro Santilli <strk@keybit.net>

	* [r2317] Sync HotPixel to JTS-1.9 (rev 1.3); fix a few bugs and
	  use standard algorithms for min/max

2009-04-07 10:48  Sandro Santilli <strk@keybit.net>

	* [r2316] Fix signed vs. unsigned compiler warning

2009-04-07 10:18  Sandro Santilli <strk@keybit.net>

	* [r2315] Port info, indenting

2009-04-07 09:56  Sandro Santilli <strk@keybit.net>

	* [r2314] Port IndexedNestedRingTester and have IsValidOp use it,
	  syncing the operation to JTS-1.9

2009-04-07 09:55  Sandro Santilli <strk@keybit.net>

	* [r2313] Update port info, minor tweaks to doxygen comments

2009-04-07 08:14  Sandro Santilli <strk@keybit.net>

	* [r2312] Sync HCoordinate class to JTS-1.9 (rev 1.18)

2009-04-03 15:27  Mateusz Loskot <mateusz@loskot.net>

	* [r2311] Added _NMAKE_VER 9.00.21022.08 to nmake.opt. Fixed bug
	  with using BUILD_DEBUG instead of BUILD_BATCH in nmake.opt.

2009-03-27 02:39  Mateusz Loskot <mateusz@loskot.net>

	* [r2310] Updated build/msvc80.

2009-03-27 02:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2309] Forgotten nmake.opt in last commit.

2009-03-26 21:52  Mateusz Loskot <mateusz@loskot.net>

	* [r2308] Refactored NMAKE makefiles. Added nmake.opt file - GDAL
	  style. Added some auto-magic to determine version of Visual C++
	  compiler and set version specific compilation flags. No need to
	  specify Visual C++ version in cmd line, but just run: nmake -f
	  makefile.vc in root dir of the tree.

2009-03-26 21:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2307] CascadedPolygonUnion.cpp: added missing std headers.

2009-03-26 01:53  Mateusz Loskot <mateusz@loskot.net>

	* [r2306] Dummy commit - testing buildbot resurection.

2009-03-24 16:49  Mateusz Loskot <mateusz@loskot.net>

	* [r2304] Fixed bug introduced in recent refactoring work (r2281).
	  This is the reason of PostGIS regression test failing (Issue 143)

2009-03-24 15:58  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2303] Allow version test to work in glibtoolize

2009-03-24 00:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2302] capi/geos_ts_c.cpp: refactoring, assert() to test against
	  nullptr where it is forbidden.

2009-03-24 00:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2301] REVERTED r2299: Fixed GEOSSetSRID_r missing, GEOSSetSRID
	  duplicated (Ticket #242). A little of refactoring.

2009-03-24 00:19  Mateusz Loskot <mateusz@loskot.net>

	* [r2300] Fixed GEOSSetSRID_r missing, GEOSSetSRID duplicated
	  (Ticket #242). A little of refactoring.

2009-03-23 23:50  Mateusz Loskot <mateusz@loskot.net>

	* [r2299] capi/geos_ts_c.cpp: refactoring, use single return
	  expression per function, added assert() to test against nullptr
	  where it is forbidden.

2009-03-23 23:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2298] capi/geos_ts_c.cpp: refactoring, use single return
	  expression per function, added assert() to test against nullptr
	  where it is forbidden, addd some comments.

2009-03-23 22:19  Mateusz Loskot <mateusz@loskot.net>

	* [r2297] capi/geos_ts_c.cpp: refactoring, use single return
	  expression per function, added assert() to test against nullptr
	  where it is forbidden, addd some comments.

2009-03-23 21:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2296] capi/geos_ts_c.cpp: refactoring, replace manual strdup
	  with gstrdup, use single return expression per function, added
	  some comments.

2009-03-23 20:31  Mateusz Loskot <mateusz@loskot.net>

	* [r2295] dummy commit

2009-03-23 20:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2294] autogen.sh: Fixed typo in tab character.

2009-03-23 17:08  Mateusz Loskot <mateusz@loskot.net>

	* [r2293] autogen.sh: be more verbose about versions, check for
	  autoconf, check if ./configure is really generated.

2009-03-23 16:28  Mateusz Loskot <mateusz@loskot.net>

	* [r2292] configure.in: mloskot made a stupid mistake, mloskot has
	  fixed it.

2009-03-23 14:38  Mateusz Loskot <mateusz@loskot.net>

	* [r2291] configure.in: wrap macro arguments with proper M4 quote
	  characters.

2009-03-23 14:08  Mateusz Loskot <mateusz@loskot.net>

	* [r2290] autogen.sh: Call libtool *before* aclocal and automake
	  (see Automake manual,8.3.9.1).

2009-03-23 14:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2289] autogen.sh: verbose check if autotools versions.

2009-03-22 20:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2288] Show what versions of things we're running

2009-03-21 02:17  Mateusz Loskot <mateusz@loskot.net>

	* [r2287] capi/geos_ts_c.cpp: refactoring - removed redundant
	  return expressions, replaced bloated use of malloc + memcpy with
	  single call to gstrdup, use of C++ cast operators, removed
	  unnecessary allocation of std::string objects.

2009-03-21 01:37  Mateusz Loskot <mateusz@loskot.net>

	* [r2286] capi/geos_ts_c.cpp: added gstrdup and gstrdup_s helper
	  functions to get rid of bloated code in future. Started
	  eliminating redundant return expressions.

2009-03-21 01:10  Mateusz Loskot <mateusz@loskot.net>

	* [r2285] macros: Updated svn:ignore property.

2009-03-21 01:08  Mateusz Loskot <mateusz@loskot.net>

	* [r2284] capi/geos_ts_c.cpp: Use of spaces instead of tabs
	  applied.

2009-03-21 01:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2283] source/operation/polygonize/edgering.cpp: cleaned
	  compiler warnings about mixed integral types.

2009-03-21 01:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2282] Fixed deprecated conversion from string constant to char*
	  in GEOSisValidReason_r. Small refactoring.

2009-03-21 00:47  Mateusz Loskot <mateusz@loskot.net>

	* [r2281] capi/geos_ts_c.cpp: refactoring, use c++ cast operators.

2009-03-20 23:37  Mateusz Loskot <mateusz@loskot.net>

	* [r2280] Updated svn:ignore property.

2009-03-20 23:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2279] Updated build/msvc80 project.

2009-03-19 16:45  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2278] Fix spellingn mistake.

2009-03-19 16:19  Mateusz Loskot <mateusz@loskot.net>

	* [r2277] * tests/unit/capi: added GEOSGeomFromWKBTest with test
	  cases (see comment) reported as a bug (See
	  http://postgis.refractions.net/pipermail/postgis-devel/2009-March/005199.html).
	  TODO: Reproduce and ask the reporter to submit a ticket if
	  necessary.
	  * test/unit/utility.h: Added helper class wkb_hex_decoder.
	  * Updated build/msvc90 projects.

2009-03-11 12:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2276] BUG in DistanceOp:
	  * Test case and explanation of existing bug in
	  DistanceOp::closestPoints() recently reported by Aya (Ticket
	  #236).
	  * Refactored closestPoints() method to clearly present where is
	  the bug. Again, chain calls are evil! Bless clear code!
	  * tests/unit/operation/distance/DistanceOpTest.cpp: see test case
	  test<17>, read FIXME comments. Uncomment closestPoints() to run
	  and reproduce the bug.
	  * A dirty fix: if loc0 or loc1 are nullptr, return nullptr
	  CoordinatesSequence from closestPoints().

2009-03-11 12:18  Mateusz Loskot <mateusz@loskot.net>

	* [r2275] Number of assertions in CoordinateArraySequence class.

2009-03-10 17:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2274] svn:ignore

2009-03-10 17:28  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2273] svn:ignore

2009-03-10 17:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2272] Update NEWS for 3.1.0

2009-03-10 16:23  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2271] Update ChangeLog for 3.1.0 release

2009-02-07 23:29  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2269] Include GeometrySnapper.h in distribution package.

2009-02-02 22:58  Sean Gillies <sgillies@frii.com>

	* [r2268] Note lack of Python support since 3.0

2009-02-02 22:53  Sean Gillies <sgillies@frii.com>

	* [r2267] Notes on state of scripting language bindings

2009-01-30 20:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2266] Add new msvc targets to build

2009-01-29 19:22  Mateusz Loskot <mateusz@loskot.net>

	* [r2265] Added build/msvc90 with solution and project files for
	  Microsoft Visual C++ 2009 (9.0). Successfully built and tested
	  GEOS with Visual C++ 9.0.

2009-01-29 19:02  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2264] update autogen.bat ref

2009-01-29 18:56  Mateusz Loskot <mateusz@loskot.net>

	* [r2263] Fixed broken svn:keyword Id

2009-01-29 18:51  Mateusz Loskot <mateusz@loskot.net>

	* [r2262] Renamed bootstrap.bat to autogen.bat for easier guass of
	  the script purpose. Wiki updated.

2009-01-28 01:06  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2261] Add to win32 instructions

2009-01-27 18:10  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2260] Add GeometryCombiner.h to include dist

2009-01-27 00:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2259] Revert some junk from an old commit, per issue #220

2009-01-26 20:44  Frank Warmerdam <warmerdam@pobox.com>

	* [r2258] added two new files related to cascaded polygon union
	  (#226)

2009-01-24 05:03  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2257] Update

2009-01-24 05:02  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2256] Update changelog

2009-01-24 01:33  Mateusz Loskot <mateusz@loskot.net>

	* [r2255] Fixed mixed signed/unsigned integral types in
	  geos_ts_c.cpp, so no compilers should flood with warnings now.

2009-01-24 01:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2254] Updated projects for Visual Studio 2005 adding new
	  .h/.cpp files.

2009-01-23 23:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2253] Updated svn:keywords property on C/C++ files.

2009-01-21 22:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2252] Remove geometryCollection protection from
	  Union/Relate/Intersection/Difference.

2009-01-20 01:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2251] Add GEOSUnionCascaded(*GEOSGeometry) to CAPI in
	  preparation for PostGIS hook-up.

2009-01-19 23:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2250] Formatting changes to function decls.

2009-01-19 20:41  Howard Butler <hobu.inc@gmail.com>

	* [r2249] fixes to allow building in msvc 2003

2009-01-19 20:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2248] Make warning flags conditional behind a compiler test...
	  fix to bug #192 ?

2009-01-19 16:44  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2247] Added patch from hkaiser to allow cascadedunion to be run
	  directly on a multipolygon.

2009-01-19 00:12  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2246] Fix error left behind from testing.

2009-01-18 23:28  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2245] Add some more info on missing tools.

2009-01-18 23:07  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2244] Add msvc files to distribution target, and update release
	  notes to include updating
	  version in .vc headers.

2009-01-18 22:35  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2243] Add a couple extra program checks.

2009-01-18 21:30  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2241] Add version test for aclocal and automake to allow
	  OpenSolaris to work.

2009-01-18 20:34  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2240] Apply cascaded union patch, for issue #225

2009-01-15 01:00  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2239] Remove XMLTester from list of installed programs.

2009-01-14 20:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2238] Remove strdup use from code for compilation in mingw

2009-01-13 20:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2237] Add [macros] include to configure.in directly. Seems to
	  make more recent aclocals happy

2009-01-13 20:43  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2236] Change AC_SUBST to one-per-line instead of
	  one-line-for-all. Seems to make more recent autoconf's happier.

2009-01-13 19:23  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2235] Change return values for GEOSWKBWriter_getIncludeSRID_r
	  to match function signature.

2009-01-13 17:04  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2234] More files missing from commit.

2009-01-13 15:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2233] Add missing file to SVN.

2009-01-13 01:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2232] Apply patch for issue #210 (thread safe c-api) submitted
	  by Chuck Thibert.

2009-01-05 23:42  Stephen Wong <swongu@gmail.com>

	* [r2231] Fixed memory leak in BufferBuilder (#218); added
	  read-only coordinates function in OffsetCurveVertexList;
	  explicity pass ownership in LineMerger.

2008-11-26 19:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2229] Octant.h error (#185) from Denise Macleod.

2008-11-26 19:27  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2228] Allow proper writing out of z ordinates. From Justin
	  Bronn (#216)

2008-11-26 19:25  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2227] Allow readpoint to look at input dimension and fill
	  higher ordinates. (#217)

2008-11-26 19:06  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2226] Expose GEOSIsValidReason to CAPI

2008-11-18 03:09  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2221] Cygwin build fix from MCA

2008-11-11 17:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2220] Memory leak on invalid polygons in intersection(). (#170)
	  from Denise MacLeod.

2008-11-05 20:52  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2218] Another minor memory leak removed.

2008-10-28 15:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2217] Cygwin/Mingw patch from Mark Cave-Ayland

2008-10-23 17:33  Frank Warmerdam <warmerdam@pobox.com>

	* [r2210] set isChecked flag after checking to fix memory leak
	  (#169)

2008-10-16 00:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2203] change info to point to osgeo.org

2008-10-14 15:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2200] Consistent const declarations in c-api ($#209)

2008-10-13 22:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2199] Add CLocalizer.h to build so it gets packaged in make
	  dist

2008-10-10 17:46  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2198] One last memory leak fix.

2008-10-09 16:39  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2197] Memory leak fix for for prepared intersects. (#207)

2008-10-04 18:14  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2196] Memory leak fix for prepared geometry, from Hartmut
	  Kaiser. (#207)

2008-09-29 19:24  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2195] Put function sig on one line

2008-09-23 23:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2194] Moved some ctor/dctor bodies from headers to translation
	  units. Improved source code readability. TODO: We need to run a
	  beast like AStyle on all GEOS code because many places are very
	  hard to read.

2008-09-23 22:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2193] MCIndexSegmentSetMutualIntersector::addToIndex: Completed
	  BWJ's comment on memory leaks with important observations about
	  objects relation & lifetime. The note is a diagnosis of roots of
	  the problem. Improved source code readability.

2008-09-22 21:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2192] Use conditional operators instead of cast bool to int.

2008-09-22 20:16  Mateusz Loskot <mateusz@loskot.net>

	* [r2191] Removed unnecessary std::endl from debug messages in
	  TopologyPreservingSimplifier.cpp.

2008-09-21 21:32  Mateusz Loskot <mateusz@loskot.net>

	* [r2190] Patched NMAKE makefiles: replaced lib.exe with link.exe
	  /lib command to enabled compilation using Microsoft Visual C++
	  Toolkit 2003

2008-09-16 21:09  Mateusz Loskot <mateusz@loskot.net>

	* [r2189] Patch fixing build problems on Solaris (Ticket #205).

2008-09-16 21:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2188] Fixed EOL to LF.

2008-09-16 20:58  Mateusz Loskot <mateusz@loskot.net>

	* [r2187] Fixed crash of Prepared Geometry construction with
	  nullptr to Geometry object (Ticket #197).

2008-09-16 20:55  Mateusz Loskot <mateusz@loskot.net>

	* [r2186] Added PreparedGeometryFactoryTest to geos_unit.vcproj.

2008-09-16 20:15  Mateusz Loskot <mateusz@loskot.net>

	* [r2185] Added CLocalizer to geos_lib.vcproj project for Visual
	  C++ 2005/2008.

2008-09-16 20:13  Mateusz Loskot <mateusz@loskot.net>

	* [r2184] Include missing <cassert> in isPointInRingTest.cpp

2008-09-16 20:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2183] Fixed undeclared std::locale in CLocalizer when building
	  using Visual C++ (Ticket #201)

2008-08-31 20:28  Mateusz Loskot <mateusz@loskot.net>

	* [r2182] Replaced incorrect <cmath> with <cstdlib> in
	  geos_unit.cpp.

2008-08-31 20:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2181] Added missing include <cmath> in geos_unit.cpp.

2008-08-31 19:54  Mateusz Loskot <mateusz@loskot.net>

	* [r2180] Removed use of strdup function to fix compilation with
	  GCC 4.3.1 (Ticket #204).

2008-08-29 18:17  Mateusz Loskot <mateusz@loskot.net>

	* [r2179] Removed redundant return expressions from geos_c.cpp.
	  Testing changes notifications for buildbot.

2008-08-29 00:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2176] Fixed execution paths and removed redundant return expr
	  in some C API calls.

2008-08-29 00:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2175] Added missing virtual destructor to WKBWriter class.

2008-08-28 22:20  Sean Gillies <sgillies@frii.com>

	* [r2174] Added CLocalizer class that switches to C locale and
	  restores to the outer context's locale when deleted (#201)

2008-08-28 21:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2173] tests/unit: added GEOSGeomToWKTTest.

2008-08-28 19:16  Sean Gillies <sgillies@frii.com>

	* [r2172] Switch to C locale while reading and writing WKT and
	  restore to the original context's locale afterward (#201)

2008-08-22 17:25  Frank Warmerdam <warmerdam@pobox.com>

	* [r2171] include cmath for std::pow() and std:log() on MSVC7.1
	  (#199)

2008-08-22 16:10  Mateusz Loskot <mateusz@loskot.net>

	* [r2170] Added build/bjam/README with status note.

2008-08-19 17:02  Mateusz Loskot <mateusz@loskot.net>

	* [r2169] LineStringTest: fixed memory leak.

2008-08-19 17:00  Mateusz Loskot <mateusz@loskot.net>

	* [r2168] geos/geom/util: Prefer strict static_cast than C-style
	  cast. Commented ownership transfer of coordinates object.

2008-08-19 00:18  Mateusz Loskot <mateusz@loskot.net>

	* [r2167] tests/unit/algorithm/ConvexHullTest.cpp: Fixed memory
	  leaks.

2008-08-19 00:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2166] tests/unit/algorithm/CGAlgorithms: Fixed memory leaks.

2008-08-18 23:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2165] tests/unit/algorithm/CGAlgorithms: Fixed number of memory
	  leaks.

2008-08-18 23:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2164] tests/unit/capi: Fixed number of memory leaks.

2008-08-18 16:32  Mateusz Loskot <mateusz@loskot.net>

	* [r2163] tests/bigtest: Pointed out number of memory leaks but not
	  fixing them, waiting for comments.

2008-08-18 16:30  Mateusz Loskot <mateusz@loskot.net>

	* [r2162] tests/unit: added tests cases to
	  PreparedGeometryFactoryTest, refactored casting utils and
	  geometry comparators, small cleanup.

2008-08-18 16:29  Mateusz Loskot <mateusz@loskot.net>

	* [r2161] Fixed svn:keywords.

2008-08-18 16:27  Mateusz Loskot <mateusz@loskot.net>

	* [r2160] Fixed UNREFERENCED_PARAMETER macro.

2008-08-18 16:27  Mateusz Loskot <mateusz@loskot.net>

	* [r2159] Fixed svn:keywords.

2008-08-18 16:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2158] geom/prep: Refactored kamikaze casts to more readable
	  form. Fixed svn:keywords.

2008-08-12 00:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2157] Fixed Id keywords.

2008-08-12 00:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2156] Fixed EOL to LF in trunk/tests.

2008-08-12 00:09  Mateusz Loskot <mateusz@loskot.net>

	* [r2155] Updated svn:keywords property.

2008-08-12 00:03  Mateusz Loskot <mateusz@loskot.net>

	* [r2154] Updated svn:keywords property.

2008-08-11 23:54  Mateusz Loskot <mateusz@loskot.net>

	* [r2153] Refactored tabs vs spaces in PreparedGeometryFactoryTest.

2008-08-11 23:52  Mateusz Loskot <mateusz@loskot.net>

	* [r2152] PreparedGeometry must be a complete type where it is
	  destroyed by the factory (Ticket #198).

2008-08-11 23:42  Mateusz Loskot <mateusz@loskot.net>

	* [r2151] Completed PreparedGeometryFactory class with missing
	  named destructor for PreparedGeometry (Ticket #198)

2008-08-11 23:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2150] Removed .PreparedGeometryFactoryTest.cpp.swp that must
	  sneaked accidentally.

2008-08-11 22:48  Mateusz Loskot <mateusz@loskot.net>

	* [r2149] Added PreparedGeometryFactoryTest with first test cases
	  included. FIXME: The test causes memory leak because we don't
	  know how to destroy PreparedGeometry objects returned by the
	  factory, discussing on the geos-devel list now.

2008-08-07 16:59  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2148] Added original author to main copyright block.

2008-08-07 16:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2147] Change to standard header, with (c) credit to author.

2008-08-01 23:23  Mateusz Loskot <mateusz@loskot.net>

	* [r2146] Updated ChangeLog with latest submissions. Hmm, should we
	  stil maintain the ChangeLog file?

2008-07-31 17:08  Mateusz Loskot <mateusz@loskot.net>

	* [r2145] Fixed tabs, hopefully. Updated svn:keywords property.

2008-07-31 17:01  Mateusz Loskot <mateusz@loskot.net>

	* [r2144] Patch completing C API interface with wrapper on
	  Polygonizer::getCutEdges (Ticket #195). Unit test included in
	  tests/unit/capi/GEOSPolygonizer_getCutEdgeTest.cpp. Thanks to
	  Jurgen E. Fischer for this patch.

2008-07-26 23:06  Mateusz Loskot <mateusz@loskot.net>

	* [r2143] Number of fixes enabling GEOS compilation with GCC 4.3
	  (Ticket #167).

2008-07-26 21:00  Mateusz Loskot <mateusz@loskot.net>

	* [r2142] Guarded version macros with #ifndef conditions to avoid
	  redefinition errors (Ticket #167).

2008-07-26 20:47  Mateusz Loskot <mateusz@loskot.net>

	* [r2141] Guarded version macros with #ifndef conditions to avoid
	  redefinition errors (Ticket #167).

2008-07-26 20:24  Mateusz Loskot <mateusz@loskot.net>

	* [r2140] Fixed problems with finding libpython on Mac Darwin
	  (Ticket #191).

2008-07-26 19:57  Mateusz Loskot <mateusz@loskot.net>

	* [r2139] Updated svn:keywords property.

2008-07-26 19:56  Mateusz Loskot <mateusz@loskot.net>

	* [r2138] Fixed autogen.sh for OpenSolaris (Ticket #192).

2008-07-25 21:00  Mateusz Loskot <mateusz@loskot.net>

	* [r2137] Updated svn:keywords property

2008-07-25 20:56  Mateusz Loskot <mateusz@loskot.net>

	* [r2136] Updated svn:keywords property

2008-07-19 19:11  Frank Warmerdam <warmerdam@pobox.com>

	* [r2135] added manifest handling for DLLs (#193)

2008-07-19 19:07  Frank Warmerdam <warmerdam@pobox.com>

	* [r2134] added rules to create platform.h, version.h and geos_c.h
	  from templates on win32

2008-07-15 22:04  Mateusz Loskot <mateusz@loskot.net>

	* [r2131] Fixed compilation on with Sun Studio compiler on Solaris
	  x86 and Sparc (Ticket #189). Thanks to Magne Mahre for the patch.

2008-07-15 13:35  Mateusz Loskot <mateusz@loskot.net>

	* [r2130] For building with Visual C++, added new flag DEBUG=1 (see
	  GEOS building instructions on GEOS Wiki). Added missing flags for
	  Visual C++ compiler, in release and debug configuration.

2008-05-20 21:34  Mateusz Loskot <mateusz@loskot.net>

	* [r2129] Added missing subdirs to source/dirlist.mk

2008-05-20 21:31  Mateusz Loskot <mateusz@loskot.net>

	* [r2128] Updated svn:ignore patterns.

2008-05-20 21:25  Mateusz Loskot <mateusz@loskot.net>

	* [r2127] * source\headers\geos\util.h: Add UNREFERENCED_PARAMETER
	  macro.
	  * source\geom\PrecisionModel.cpp,
	  source\geom\GeometryComponentFilter.cpp,
	  source\geom\util\GeometryTransformer.cpp,
	  source\precision\GeometrySnapper.cpp,
	  source\precision\CommonBitsRemover.cpp,
	  source\simplify\DouglasPeuckerSimplifier.cpp,
	  source\operation\overlay\OverlayOp.cpp,
	  source\operation\overlay\FuzzyPointLocator.cpp,
	  source\index\quadtree\NodeBase.cpp,
	  source\headers\geos\geom\BinaryOp.h,
	  source\headers\geos\operation\overlay\PointBuilder.h,
	  source\headers\geos\noding\MCIndexNoder.h,
	  source\headers\geos\noding\ScaledNoder.h,
	  source\headers\geos\noding\Octant.h,
	  source\noding\ScaledNoder.cpp,
	  source\noding\snapround\MCIndexPointSnapper.cpp,
	  source\noding\SegmentString.cpp,
	  tests\unit\geom\DimensionTest.cpp: Use UNREFERENCED_PARAMETER
	  macro to get rid of C4100 warning when building with Visual C++.
	  * build\msvc80\geos_lib\geos_lib.vcproj: Remove non-existing
	  source files.

2008-05-20 20:45  Mateusz Loskot <mateusz@loskot.net>

	* [r2126] source/makefile.vc: Removed non-existing file entry:
	  PreparedPolygonLineIntersects.obj.

2008-05-20 20:33  Mateusz Loskot <mateusz@loskot.net>

	* [r2125] * bootstrap.bat: Added script generating headers for use
	  with Visual C++ compiler. DO NOT include this script in GEOS
	  source distribution. * source/makefile.vc: Do not make copies of
	  3 dynamic headers but let users to use bootstrap.bat instead.

2008-02-07 22:59  Frank Warmerdam <warmerdam@pobox.com>

	* [r2123] make sure makefile.vc gets distributed

2008-02-06 22:17  Frank Warmerdam <warmerdam@pobox.com>

	* [r2122] try to fix up the files include in distribution, and
	  remove unused files from Makefile.vc (#175)

2008-01-30 22:34  Ben Jubb <benjubb@refractions.net>

	* [r2120] Added documentation, for benefit of doxygen.

2008-01-30 22:30  Ben Jubb <benjubb@refractions.net>

	* [r2119] deleted out-commented line.

2008-01-30 22:29  Ben Jubb <benjubb@refractions.net>

	* [r2118] removed ref to PreparedPolygonLineIntersection

2008-01-30 22:18  Ben Jubb <benjubb@refractions.net>

	* [r2117] Removed refs to PreparedPolygonLineIntersection.

2008-01-30 22:17  Ben Jubb <benjubb@refractions.net>

	* [r2116] Deleted. not used, not needed.
	  
	  

2008-01-30 19:09  Ben Jubb <benjubb@refractions.net>

	* [r2115] Added for benefit of doxygen.

2008-01-29 17:55  Ben Jubb <benjubb@refractions.net>

	* [r2114] Some small changes to improve the memory management.
	  These changes plug a few leaks, but not all.

2008-01-29 17:49  Ben Jubb <benjubb@refractions.net>

	* [r2113] Fix a bug in the shortcut test for containment in a
	  rectangle. This test wasn't correctly testing for case of a point
	  on the boundary.
	  
	  Was also a bug in JTS (now fixed).

2008-01-29 17:37  Ben Jubb <benjubb@refractions.net>

	* [r2112] Patch to fix bug in ticket #171

2008-01-22 19:34  Ben Jubb <benjubb@refractions.net>

	* [r2111] Updated for VC to give correct version
	  (3.1.0-CAPI-1.5.0).

2008-01-18 00:37  Ben Jubb <benjubb@refractions.net>

	* [r2110] Added to CAPI interface, cleared CAPI_INTERFACE_REV,
	  bumped AGE & CURRENT

2008-01-18 00:35  Ben Jubb <benjubb@refractions.net>

	* [r2109] Fixed a bug in the handling of line strings with repeated
	  points.
	  
	  -This line, and those below, will be ignored--
	  
	  M MonotoneChainBuilder.cpp

2008-01-17 19:15  Ben Jubb <benjubb@refractions.net>

	* [r2108] Fixed a misspelling, GEOSPreparedContainsProperty =>
	  GEOSPreparedContainsProperly

2008-01-16 18:36  Frank Warmerdam <warmerdam@pobox.com>

	* [r2107] updated to include post 3.0 classes

2008-01-09 23:49  Ben Jubb <benjubb@refractions.net>

	* [r2106] Added support for prepared geometry

2008-01-09 23:48  Ben Jubb <benjubb@refractions.net>

	* [r2105] removed extraneous 'using namespace'

2008-01-03 21:11  Ben Jubb <benjubb@refractions.net>

	* [r2104] commented out some delete's in
	  MCIndexSegmentSetMutualIntersector::addToIndex, to fix a bug in
	  prepared contains() predicate.

2008-01-02 23:23  Sean Gillies <sgillies@frii.com>

	* [r2102] Conditionally add swig/python,ruby to SUBDIRS

2007-12-22 00:04  Mateusz Loskot <mateusz@loskot.net>

	* [r2101] Updated configuration of experimental builder based on
	  Boost.Build. GEOS compiles with bjam successfully as static
	  library.

2007-12-21 23:50  Mateusz Loskot <mateusz@loskot.net>

	* [r2100] Updated Visual C++ makefiles with new submissions from
	  Ben. Now, new GEOS features compiles with NMAKE too.

2007-12-21 23:31  Mateusz Loskot <mateusz@loskot.net>

	* [r2099] Removed SimplePointInAreaLocator.h from
	  algorithm/Makefile.am (header migrated to algorithm/locate).

2007-12-21 23:26  Mateusz Loskot <mateusz@loskot.net>

	* [r2098] Added comment about deprecated translation units in
	  source/algorithm.

2007-12-21 23:26  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2097] remove trailing backslash

2007-12-21 23:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2096] Updated svn:ignore property.

2007-12-21 23:18  Mateusz Loskot <mateusz@loskot.net>

	* [r2095] Fixed extra qualifications in
	  /geom/prep/PreparedPolygonContainsProperly.

2007-12-21 23:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2094] Fixed extra qualifications in PreparedGeometryFactory
	  class.

2007-12-21 22:57  Mateusz Loskot <mateusz@loskot.net>

	* [r2093] Fixed GeometryTypeId misused in
	  geos/geom/util/ComponentCoordinateExtracter.h.

2007-12-21 22:49  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2092] remove .cpp files that weren't there before

2007-12-21 22:49  Mateusz Loskot <mateusz@loskot.net>

	* [r2091] Reverted changes appled in r2089 to three files from
	  source/geom.

2007-12-21 22:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2090] type subdir typo

2007-12-21 22:43  Mateusz Loskot <mateusz@loskot.net>

	* [r2089] Updated svn:ignore property.

2007-12-21 22:41  Mateusz Loskot <mateusz@loskot.net>

	* [r2088] Added missing <iostream> header to
	  CustomPointCoordinateSequence.cpp.

2007-12-21 22:40  Mateusz Loskot <mateusz@loskot.net>

	* [r2087] Removed unused SimplePointInAreaLocator.cpp. This unit
	  migrated to algorithm/locate module.

2007-12-21 22:21  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2086] Updated configure.in with new locations.

2007-12-21 22:14  Mateusz Loskot <mateusz@loskot.net>

	* [r2085] Updated configure.in with new locations.

2007-12-21 22:12  Mateusz Loskot <mateusz@loskot.net>

	* [r2084] Updated configure.in with new locations.

2007-12-21 22:09  Mateusz Loskot <mateusz@loskot.net>

	* [r2083] Updated configure.in with new locations.

2007-12-21 22:07  Mateusz Loskot <mateusz@loskot.net>

	* [r2082] Updated configure.in with new locations.

2007-12-21 22:02  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2081] Add headers/geos/algorithm/locate to automake

2007-12-21 22:01  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2080] Add files to automake

2007-12-21 21:57  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2079] Added headers/index/intervalrtree to automake

2007-12-21 21:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2078] Added headers/geom/prep headers/geom/util to automake

2007-12-21 21:47  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2077] Added index/intervalrtree to automake

2007-12-21 21:43  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2076] added geom/util/ComponentCoordinateExtracter.h

2007-12-21 21:40  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2075] Add geom/prep to automake

2007-12-21 21:36  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2074] Add algorithm/location to automake

2007-12-21 21:31  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2073] Added new files

2007-12-21 20:50  Ben Jubb <benjubb@refractions.net>

	* [r2072]

2007-12-21 20:48  Ben Jubb <benjubb@refractions.net>

	* [r2071]

2007-12-21 20:47  Ben Jubb <benjubb@refractions.net>

	* [r2070] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:47  Ben Jubb <benjubb@refractions.net>

	* [r2069] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:44  Ben Jubb <benjubb@refractions.net>

	* [r2068] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:44  Ben Jubb <benjubb@refractions.net>

	* [r2067] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:42  Ben Jubb <benjubb@refractions.net>

	* [r2066] modified because SimplePointInAreaLocator.h moved

2007-12-21 20:41  Ben Jubb <benjubb@refractions.net>

	* [r2065] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:41  Ben Jubb <benjubb@refractions.net>

	* [r2064] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:40  Ben Jubb <benjubb@refractions.net>

	* [r2063] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:39  Ben Jubb <benjubb@refractions.net>

	* [r2062] modified because SimplePointInAreaLocator.h moved

2007-12-21 20:38  Ben Jubb <benjubb@refractions.net>

	* [r2061] Moved into geos::algorithm::locate

2007-12-21 20:37  Ben Jubb <benjubb@refractions.net>

	* [r2060] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:35  Ben Jubb <benjubb@refractions.net>

	* [r2059] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:34  Ben Jubb <benjubb@refractions.net>

	* [r2058] Added from JTS 1.9 to support prepared geometry

2007-12-21 20:33  Ben Jubb <benjubb@refractions.net>

	* [r2057] changed destructor to be virtual

2007-12-21 20:31  Ben Jubb <benjubb@refractions.net>

	* [r2056] Added a covers() predicate, from JTS 1.9, to support
	  prepared geometry

2007-12-21 20:30  Ben Jubb <benjubb@refractions.net>

	* [r2055] changed IsRectangle to be public

2007-12-21 20:03  Ben Jubb <benjubb@refractions.net>

	* [r2054] Added a covers() predicate, from JTS 1.9, to support
	  prepared geometry

2007-12-21 20:00  Ben Jubb <benjubb@refractions.net>

	* [r2053] Moved from geos::algorithm as in JTS 1.9

2007-12-21 19:55  Ben Jubb <benjubb@refractions.net>

	* [r2052] New namaspace geos::algorithm::locate, as in JTS 1.9..

2007-12-21 19:52  Ben Jubb <benjubb@refractions.net>

	* [r2051] Added a public constructor, and a method to bring in line
	  with JTS 1.9. Changed namespace to geos::algorithm::locate

2007-12-21 18:44  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2050] version numbering for next release (3.1.0)

2007-12-21 18:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2046] 3.0.0 release

2007-12-19 20:18  Mateusz Loskot <mateusz@loskot.net>

	* [r2045] Improved warning message about using DEPRECATED headers

2007-12-17 23:09  Mateusz Loskot <mateusz@loskot.net>

	* [r2044] Fixed std::tolower usage in XMLTester.cpp (Ticket #163).

2007-12-17 23:05  Mateusz Loskot <mateusz@loskot.net>

	* [r2043] Replaced finite function with std::numeric_limits (Ticket
	  #162).

2007-12-17 21:52  Mateusz Loskot <mateusz@loskot.net>

	* [r2042] source\Makefile.vc: Fixed MSVC_VER condition for
	  Microsoft Visual C++ 2008 (9.0).

2007-12-13 16:11  Mateusz Loskot <mateusz@loskot.net>

	* [r2041] Added Id keyword at the top of ChangeLog file.

2007-12-13 16:09  Mateusz Loskot <mateusz@loskot.net>

	* [r2040] * build\msvc80\geos_unit\geos_unit.vcproj: fixed
	  post-build event
	  * source\geom\GeometryCollection.cpp: removed unreachable code,
	  shorten exception message.
	  * source\geom\Geometry.cpp: purified condition based on
	  dynamic_cast
	  * tests\unit\geom\GeometryFactoryTest.cpp: use std::size_t
	  instead of
	  int where unsigned integral type required.

2007-12-09 00:02  Mateusz Loskot <mateusz@loskot.net>

	* [r2038] Added test suite for class
	  geos::precision::SimpleGeometryPrecisionReducer.

2007-12-08 22:59  Mateusz Loskot <mateusz@loskot.net>

	* [r2037] Updated svn:keyword property.

2007-11-26 16:26  Mateusz Loskot <mateusz@loskot.net>

	* [r2036] Added geos.vsprops - property sheet for Visual C++
	  projects.

2007-11-26 15:19  Mateusz Loskot <mateusz@loskot.net>

	* [r2035] Added common Property Sheet for Visual C++ projects where
	  Python and Ruby macros/locations are defined. Fixed include of
	  Python.h, see Ticket #164 for details.

2007-11-26 06:21  Mateusz Loskot <mateusz@loskot.net>

	* [r2034] Updated svn:ignore patterns.

2007-11-26 06:16  Mateusz Loskot <mateusz@loskot.net>

	* [r2033] Enabled target copying version.h.vc and geos_c.h.vc to
	  headers used by Visual C++. Added test if version.h.vc is used
	  with Visual C++.

2007-11-23 02:33  Mateusz Loskot <mateusz@loskot.net>

	* [r2032] A bit of purification with explicit casting int to bool
	  type.

2007-11-02 22:41  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2031] urls updated to point to osgeo locations

2007-11-02 22:17  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r2030] add the web site content to svn for collaborative
	  management

2007-09-21 17:42  Charlie Savage <cfis@savagexi.com>

	* [r2029] Update the CAPI and GEOS version numbers based on
	  Reader/Writer additions to the CAPI and EWKB support for the C++
	  api.

2007-09-21 17:40  Charlie Savage <cfis@savagexi.com>

	* [r2028] Updated the SWIG bindings and tests to use the new
	  Reader/Writer classes exposed in the CAPI.

2007-09-21 17:40  Charlie Savage <cfis@savagexi.com>

	* [r2027] Update the CAPI to expose WKTReader/WBTWriter and
	  WKBReader/WBKWriter in the CAPI. This is an improvement over the
	  existing API since it avoids the use of the static variable used
	  to control byte order and # of dimenions, and gives clients more
	  control over the creation/destruction of readers and writers.
	  Finally, exposed the ability to output the EWKB format (set SRID
	  to true in the WKBWriter).

2007-09-21 17:35  Charlie Savage <cfis@savagexi.com>

	* [r2026] Switched back to using < because the fuzzy comparison now
	  in use trips assertion errors in VC++. See comments in code for
	  more information. Note this change may cause problems. Strk left
	  a note in the code saying that the '<' comparison sometimes gives
	  unstable results. But that seems better than an assertion
	  failure.

2007-09-21 17:32  Charlie Savage <cfis@savagexi.com>

	* [r2025] Updated the WKBWriter so it can output EWKB format
	  similar to PostGIS. Also added a few getter/setter methods that
	  allow clients to specify the reader's number of dimensions, byte
	  order and whether srid values should be output. These
	  getters/setters make it easier to wrap the reader in the CAPI.

2007-09-14 15:34  Charlie Savage <cfis@savagexi.com>

	* [r2024]

2007-09-14 15:34  Charlie Savage <cfis@savagexi.com>

	* [r2023] Told SVN to ignore MSCV++ Python swig build directories.

2007-09-14 15:25  Charlie Savage <cfis@savagexi.com>

	* [r2022] Set unknown SRID values to 0 instead of -1 to be more
	  consistent with the rest of GEOS (srid values are initialized to
	  0 by default).

2007-09-11 02:02  Charlie Savage <cfis@savagexi.com>

	* [r2021] Don't include config.h for MSVC++ builds.

2007-09-07 17:32  Charlie Savage <cfis@savagexi.com>

	* [r2020] The test for SWIG was incorrect. Fixed by patch from Mark
	  Cave-Ayland.

2007-09-06 23:24  Charlie Savage <cfis@savagexi.com>

	* [r2019] Applied patch from Mark Cave-Ayland's to make older
	  versions of MingW that don't have struct timezone defined compile
	  again. Also fixed issues with more recent versions of MingW that
	  don't correctly compile with the -ansi compiler switch.

2007-09-06 23:22  Charlie Savage <cfis@savagexi.com>

	* [r2018] Applied patches from Mark Cave-Ayland's that
	  reorganize/improve the SWIG support in the generated configure
	  file.\

2007-08-31 20:44  Charlie Savage <cfis@savagexi.com>

	* [r2017] For MSVC++ builds the CAPI version was set in geos_c.cpp
	  instead of geos_c.h and it was set incorrectly. This patch fixes
	  the MSVC++ version number and centralizes the various versoin
	  #defines in the geos_c.h.

2007-08-31 20:18  Charlie Savage <cfis@savagexi.com>

	* [r2016] Update swig makefiles to make the wrappers dependent on
	  the SWIG interface files even if SWIG is disabled. Doing this
	  means that Make will correctly recognize that a user has modified
	  an I file, but that the .cxx wrapper cannot be regenerated since
	  SWIG is not available.

2007-08-30 20:06  Charlie Savage <cfis@savagexi.com>

	* [r2015] MingW now includes the gettimeofday function - so
	  reworked includes to only use custom version when building with
	  VC++.

2007-08-30 17:00  Charlie Savage <cfis@savagexi.com>

	* [r2014] Added RUBY_BIN_DIR to autoconf macros - simplified auto
	  make input file for ruby bindings.

2007-08-30 06:19  Charlie Savage <cfis@savagexi.com>

	* [r2013] The last attempt to fix this file failed - instead keep
	  the code that queries the swig libraries but use sed to merge
	  multiple lines together. If this is not done, then the swig
	  output causes ./configure to blow up on msys.

2007-08-30 05:31  Charlie Savage <cfis@savagexi.com>

	* [r2012] Fixes sed issue with swig on msys. For more info see:
	  
	  http://lists.refractions.net/pipermail/geos-devel/2007-August/002956.html

2007-08-30 03:18  Charlie Savage <cfis@savagexi.com>

	* [r2011] Changed from dos to unix line feeds.

2007-08-29 01:41  Charlie Savage <cfis@savagexi.com>

	* [r2010] New VC++ project for the python SWIG bindings.

2007-08-29 01:29  Charlie Savage <cfis@savagexi.com>

	* [r2009] Ruby SWIG bindings - mapped eql? to == so that you can do
	  point == point2 in ruby. Removed a hard-coded path from VC++
	  project. Updated out-of-date copyright notices for no
	  particularly good reason.

2007-08-28 21:29  Charlie Savage <cfis@savagexi.com>

	* [r2008] Added release as an ignored directory for VC++, similar
	  to the debug directory.

2007-08-28 21:28  Charlie Savage <cfis@savagexi.com>

	* [r2007] Added new ruby VC++ project to solution file.

2007-08-28 21:27  Charlie Savage <cfis@savagexi.com>

	* [r2006] Fixed c api include for VC++ - it should be #include
	  <geos/version.h> instead of #include <version.h>.

2007-08-28 21:27  Charlie Savage <cfis@savagexi.com>

	* [r2005] Added new ruby VC++ project to solution file.

2007-08-28 21:26  Charlie Savage <cfis@savagexi.com>

	* [r2004] Follow lead of geos_lib project - copy geos/geos_c.h.in
	  to geos/geos_c.h when building with VC++.

2007-08-28 21:25  Charlie Savage <cfis@savagexi.com>

	* [r2003] Added new vc++ project for building ruby bindings. Its
	  not perfect since it hard-codes the path to Ruby, but its enough
	  to get one started.

2007-08-28 21:22  Charlie Savage <cfis@savagexi.com>

	* [r2002] Updated SWIG wrappers based on changed interface file.
	  Also generated with SWIG 1.3.31

2007-08-28 20:42  Charlie Savage <cfis@savagexi.com>

	* [r2001] SWIG bindings - updated Ruby tests based on name changes.

2007-08-28 20:41  Charlie Savage <cfis@savagexi.com>

	* [r2000] Updated Ruby swig bindings to more closely match Ruby
	  style names. So eql? instead of equals, dimensions instead of
	  get_dimensions, etc.

2007-08-28 20:40  Charlie Savage <cfis@savagexi.com>

	* [r1999] Exposed Geometry::Clone method in SWIG bindings. Added
	  check for NULL string in geomFromWKT wrapper.

2007-08-23 20:35  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r1998] Memory leak patches from Robert Coup

2007-08-22 23:45  Mateusz Loskot <mateusz@loskot.net>

	* [r1997] Cleaned compilation warnings from VC++.

2007-06-11 07:43  Mateusz Loskot <mateusz@loskot.net>

	* [r1996] Replaced post-increment operators with pre-increment
	  operators where standard iterators are incremented in loops.
	  NOTE: Prefer pre-incr. over post-inc. when working with standard
	  iterators.

2007-06-11 07:39  Mateusz Loskot <mateusz@loskot.net>

	* [r1995] Added unit test for geos::operation::IsSimpleOp class.

2007-06-10 13:03  Mateusz Loskot <mateusz@loskot.net>

	* [r1994] Updated tests/unit/Makefile.am with new files.

2007-06-10 11:53  Mateusz Loskot <mateusz@loskot.net>

	* [r1993] Added unit test for
	  geos::algorithm::CGAlgorithms::computeOrientation() function.

2007-06-10 11:29  Mateusz Loskot <mateusz@loskot.net>

	* [r1992] Updated svn:ignore property for the whole tree adding
	  VC++ and Windows specific patterns.

2007-06-10 11:18  Mateusz Loskot <mateusz@loskot.net>

	* [r1991] Added unit test for CGAlgorithms::isCCW() function.

2007-06-10 11:08  Mateusz Loskot <mateusz@loskot.net>

	* [r1990] Added unit test for geos::algorithm::ConvexHull.

2007-06-10 11:03  Mateusz Loskot <mateusz@loskot.net>

	* [r1989] Added custom operators for static and dynamic casts of
	  pointers wrapped with std::auto_ptr<T> type.

2007-06-08 17:13  Mateusz Loskot <mateusz@loskot.net>

	* [r1988] Identified test case failing because of
	  geos::index::strtree::yComparator() instability.

2007-06-08 17:10  Mateusz Loskot <mateusz@loskot.net>

	* [r1987] Analysis of instability of the yComparator, there are
	  some new important questions to answer.

2007-06-08 15:27  Mateusz Loskot <mateusz@loskot.net>

	* [r1986] Cleaned signed/unsigned types mixtures, got rid from
	  annoying compiler warnings.

2007-06-08 14:50  Mateusz Loskot <mateusz@loskot.net>

	* [r1985] Applied Konstantin Baumann's suggestion about including
	  version.h in C API header for Visual C++.

2007-06-08 14:50  Mateusz Loskot <mateusz@loskot.net>

	* [r1984] Applied Konstantin Baumann's suggestion about including
	  version.h in C API header for Visual C++.

2007-06-01 13:53  Mateusz Loskot <mateusz@loskot.net>

	* [r1983] Added Boost.Build configuration for GEOS (experimental).
	  The idea is to enable users to build GEOS with bjam tool from
	  Boost.Build package.

2007-06-01 13:43  Mateusz Loskot <mateusz@loskot.net>

	* [r1982] Set missing svn:keywords property.

2007-06-01 13:06  Mateusz Loskot <mateusz@loskot.net>

	* [r1981] Applied patch with pre-build events generating platform.h
	  and version.h headers. Thanks to Konstantin Baumann for this
	  patch.

2007-05-06 02:42  Mateusz Loskot <mateusz@loskot.net>

	* [r1980] Updated svn:ignore property for build\msvc80.

2007-05-06 02:40  Mateusz Loskot <mateusz@loskot.net>

	* [r1979] Added source/headers/geos/version.h.vc file for Visual
	  C++ compiler.

2007-04-22 04:44  Mateusz Loskot <mateusz@loskot.net>

	* [r1978] Added assertion validating ordinateIndex in setOrdinate()
	  function. Extended GEOSCoordSeqTest with swapped and non-swapped
	  calls of coordiantes assignment functions.

2007-04-15 18:02  Mateusz Loskot <mateusz@loskot.net>

	* [r1977] Added detection of glibtoolize under Mac OS X.

2007-03-05 09:58  Sandro Santilli <strk@keybit.net>

	* [r1976] Add new testcases by Carl Anderson

2007-02-26 10:46  Sandro Santilli <strk@keybit.net>

	* [r1975] Patch by Tom Elwertowski:
	  * source/inlines.cpp: fix for MingW32 builds.

2007-02-21 10:14  Sandro Santilli <strk@keybit.net>

	* [r1974] Patch by Carl Anderson:
	  
	  * source/operation/buffer/SubgraphDepthLocater.cpp
	  (findStabbedSegments):
	  Implement short-circuit to avoid inner defective
	  logic.
	  
	  Fixes badguy3.xml

2007-02-21 10:12  Sandro Santilli <strk@keybit.net>

	* [r1973] * tests/xmltester/: Makefile.am, badguy3.xml:
	  Added simplified version of nasty buffer bug test.

2007-02-08 23:33  Sandro Santilli <strk@keybit.net>

	* [r1972] Patch by Mark Cave-Ayland:
	  
	  * configure.in: Allow configure to continue with use_python
	  set to false if a python binary is not found, as per
	  http://sources.redhat.com/automake/automake.html#Python.

2007-02-07 00:34  Sandro Santilli <strk@keybit.net>

	* [r1971] General refactoring aimed at making the code cleaner
	  to read and maintain; use iterators rather then random
	  accessing containers to allow easy future switch to std::list
	  from std::vector; use a tolerance-based strict weak ordering
	  operator for sorting child boundables in STRtree, this
	  fixes the heisenbug when building with inlines disabled.

2007-02-06 02:05  Sandro Santilli <strk@keybit.net>

	* [r1970] * tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp:
	  Expect result of POLYGON simplification to always be
	  a polygon, even if collapsed to the empty geom.

2007-02-06 01:57  Sandro Santilli <strk@keybit.net>

	* [r1969] * operation::buffer::BufferBuilder,
	  operation::buffer::BufferOp:
	  Fixed buffer operation to always return polygonal
	  geometry

2007-02-03 02:18  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r1967] 3.0.0rc4 tagging

2007-02-01 11:11  Sandro Santilli <strk@keybit.net>

	* [r1966] * operation::buffer::BufferOp: set MAX_PRECISION_DIGITS
	  so to match JTS.

2007-01-26 01:19  Sandro Santilli <strk@keybit.net>

	* [r1965] * tests/xmltester/: Makefile.am,
	  stmlf-cases-20070119.xml:
	  New overlay test.

2007-01-26 00:57  Sandro Santilli <strk@keybit.net>

	* [r1964] * tests/xmltester/XMLTester.cpp: improved buffer
	  result validator.
	  * source/operation/buffer/BufferBuilder.cpp (computeNodedEdges):
	  remove repeated points from noded SegmentStrings, skip collapsed
	  edges.

2007-01-17 11:59  Sandro Santilli <strk@keybit.net>

	* [r1963] New testcase for bug fixed by previous commit.

2007-01-17 01:05  Sandro Santilli <strk@keybit.net>

	* [r1962] * source/index/strtree/STRtree.cpp (yComparator):
	  Use static_cast<> and make code more readable.
	  A side effect seems to be fixing a segfault :!

2007-01-17 00:45  Sandro Santilli <strk@keybit.net>

	* [r1961] * source/headers/geos/index/strtree/STRtree.h (centreY):
	  const-corrected.

2007-01-16 14:12  Sandro Santilli <strk@keybit.net>

	* [r1960] * tests/xmltester/XMLTester.cpp: don't include catch-all
	  headers.

2007-01-09 17:34  Sandro Santilli <strk@keybit.net>

	* [r1959] * source/operation/buffer/: Makefile.am,
	  OffsetCurveVertexList.h:
	  New helper class for OffsetCurveBuilder
	  * operation::buffer::OffsetCurveBuilder:
	  Move vertexlist management to external class.
	  * tests/xmltester/: Makefile.am, TestBufferExternal.xml:
	  added test for above changes (imported from JTS and
	  modified to work with GEOS).
	  * tests/xmltester/XMLTester.cpp: change buffer
	  validator again: check area of topological
	  difference between expected and obtained result
	  to be smaller then 1/1000 of expected geometry
	  area.

2007-01-09 15:08  Sandro Santilli <strk@keybit.net>

	* [r1958] * source/geom/CoordinateArraySequence.cpp,
	  source/headers/geos/geom/CoordinateSequence.h,
	  source/headers/geos/geom/CoordinateArraySequence.h:
	  add(Coordinate, bool) made a virtual method and overrridden
	  for CoordinateArraySequence, for better performance
	  (single virtual call vs. multiple); added front() and
	  back() methods.

2007-01-09 10:27  Sandro Santilli <strk@keybit.net>

	* [r1957] * tests/xmltester/XMLTester.cpp: add areatest to buffer
	  test handler.

2007-01-05 01:01  Sandro Santilli <strk@keybit.net>

	* [r1956] * configure.in: prepared for version to 3.0.0rc4,
	  fixed swig python errors as suggested by hint
	  (AM_PATH_PYTHON).

2007-01-04 22:43  Sandro Santilli <strk@keybit.net>

	* [r1955] * configure.in, swig/geos.i.in, swig/geos.i:
	  geos.i generated at configure time from geos.i.in
	  (so we don't have to manually update versions there).

2007-01-04 22:38  Sandro Santilli <strk@keybit.net>

	* [r1954] Patch by dev-zero at gentoo dot org:
	  
	  * swig/geos.i: use unsigned int when CAPI signatures
	  expect unsigned int (not size_t).

2007-01-03 20:11  Sandro Santilli <strk@keybit.net>

	* [r1953] * tests/xmltester/: fme.xml, Makefile.am: added buffer
	  testcase.

2007-01-03 20:06  Sandro Santilli <strk@keybit.net>

	* [r1952] * tests/xmltester/XMLTester.cpp: use a tolerance of 10E-6
	  for buffer validation (~10cm at worst when using latlong
	  projections); create sql tables with oid to work around a
	  bug in qgis 0.7.4.

2007-01-03 19:18  Sandro Santilli <strk@keybit.net>

	* [r1951] Applied patch by Mark Cave-Ayland
	  <mark.cave-ayland@ilande.co.uk>:
	  
	  * source/inlines.cpp, source/algorithm/HCoordinate.cpp:
	  Fixes for MingW builds. See geos-devel/2007-January/002766.html.

2007-01-03 14:56  Sandro Santilli <strk@keybit.net>

	* [r1950] * source/operation/buffer/BufferOp.cpp
	  (bufferReducedPrecision):
	  Fixed computation of reduced PrecisionModel scale.

2006-12-18 20:04  Sandro Santilli <strk@keybit.net>

	* [r1949] * tests/xmltester/robustness.xml: added
	  testcase reported to fail with 2.2.3 on
	  postgis-users/2006-November/014013.html.

2006-12-18 18:44  Sandro Santilli <strk@keybit.net>

	* [r1948] Geometry snapping synced with JTS.

2006-12-18 14:27  Sandro Santilli <strk@keybit.net>

	* [r1947] * HOWTO_RELEASE: add ChangeLog's release mark step.

2006-12-18 14:19  Sandro Santilli <strk@keybit.net>

	* [r1946] * source/precision/GeometrySnapper.cpp
	  (computeSnapTolerance):
	  properly compute snap tolerance for fixed precision geometries.
	  * tests/xmltester/: Makefile.am, TestRobustOverlayFixed.xml:
	  new test for fixed precision snapping.

2006-12-15 10:50  Sandro Santilli <strk@keybit.net>

	* [r1945] release 3.0.0rc3 marked

2006-12-14 19:12  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r1943] bumped version numbers for 3.0.0rc3

2006-12-13 11:05  Mateusz Loskot <mateusz@loskot.net>

	* [r1942] Updated makefile and project files for Visual C++.

2006-12-13 10:55  Sandro Santilli <strk@keybit.net>

	* [r1941] Updated port information.

2006-12-13 10:51  Sandro Santilli <strk@keybit.net>

	* [r1940] * precision::GeometrySnapper,
	  precision::LineStringSnapper:
	  Updated port information.

2006-12-11 17:42  Sandro Santilli <strk@keybit.net>

	* [r1939] * source/headers/geos/noding/SegmentIntersector.h: added
	  virtual
	  isDone() function, always returning false by default.
	  * source/noding/MCIndexNoder.cpp (intersectChains):
	  short-circuit from JTS-1.8, based on the new
	  SegmentIntersector::isDone() method.
	  * source/noding/Makefile.am,
	  source/noding/FastNodingValidator.cpp,
	  source/noding/SingleInteriorIntersectionFinder.cpp,
	  source/headers/geos/noding/Makefile.am,
	  source/headers/geos/noding/FastNodingValidator.h,
	  source/headers/geos/noding/SingleInteriorIntersectionFinder.h:
	  New ports from JTS-1.8-cvs.
	  * source/headers/geos/geomgraph/EdgeNodingValidator.h:
	  use a FastNodingValidator rather then a simple NodingValidator.

2006-12-07 10:45  Sandro Santilli <strk@keybit.net>

	* [r1938] * source/headers/geos/algorithm/:
	  CentralEndpointIntersector.h,
	  Makefile.am: new port from JTS-1.8.
	  * algorithm::LineIntersector: robustness improvements
	  from JTS-1.8.

2006-12-05 11:22  Mateusz Loskot <mateusz@loskot.net>

	* [r1937] Fixed indentantion in tests/unit/capi.

2006-12-05 11:10  Mateusz Loskot <mateusz@loskot.net>

	* [r1936] Fixed typos in changelog.

2006-12-05 11:05  Mateusz Loskot <mateusz@loskot.net>

	* [r1935] Set svn:keyword property on CAPI tests.

2006-12-05 11:02  Mateusz Loskot <mateusz@loskot.net>

	* [r1934] Purifying CAPI unit tests.

2006-12-05 10:59  Mateusz Loskot <mateusz@loskot.net>

	* [r1933] Added CAPI tests to VC++ project.

2006-12-05 10:42  Sandro Santilli <strk@keybit.net>

	* [r1932] * source/operation/overlay/OverlayOp.cpp: Use
	  EdgeNodingValidator
	  instead of OverlayResultValidator (faster and more effective).
	  Note that compile-time defines can select use of either or both
	  ones.
	  * source/headers/geos/geom/BinaryOp.h: be quiet if not in DEBUG
	  mode.

2006-12-05 09:59  Sandro Santilli <strk@keybit.net>

	* [r1931] * noding::NodingValidator.h: throw TopologyException
	  rather then a generic GEOSException.

2006-12-04 12:41  Sandro Santilli <strk@keybit.net>

	* [r1930] * source/headers/geos/geomgraph/EdgeNodingValidator.h:
	  fix members initialization order.

2006-12-04 11:38  Sandro Santilli <strk@keybit.net>

	* [r1929] * geomgraph::EdgeNodingValidator: minor cleanup
	  to use references args instead of pointers for
	  method that doesn't handle NULLs anyway.

2006-12-04 10:31  Sandro Santilli <strk@keybit.net>

	* [r1928] * tests/unit/capi/: GEOSCoordSeq.cpp =>
	  GEOSCoordSeqTest.cpp
	  * tests/unit/capi/GEOSSimplifyTest.cpp: new test
	  for GEOSSimplify (just a test for bug #134).
	  * source/simplify/DouglasPeuckerLineSimplifier.cpp (simplify):
	  don't try to simplify empty coordinate lists. Fixes bug #134.

2006-12-04 10:14  Sandro Santilli <strk@keybit.net>

	* [r1927] Other tests using setOrdinate instead of set{X,Y,Z}

2006-12-04 10:12  Sandro Santilli <strk@keybit.net>

	* [r1926] * source/geom/CoordinateArraySequence.cpp (setOrdinate):
	  fix bug #133.

2006-12-04 10:00  Sandro Santilli <strk@keybit.net>

	* [r1925] * tests/unit/capi/GEOSCoordSeq.cpp: add test for bug #133
	  (failing).

2006-12-04 09:57  Sandro Santilli <strk@keybit.net>

	* [r1924] * tests/unit/geom/CoordinateArraySequenceTest.cpp: added
	  tests for setOrdinate()

2006-11-30 14:49  Sandro Santilli <strk@keybit.net>

	* [r1923] * tests/unit/: Makefile.am, capi/GEOSCoordSeq.cpp:
	  new experimental test for C-API GEOSCoordSeq.
	  * capi/geos_c.cpp (GEOSCoordSeq_create): removed
	  suspicious static cast.

2006-11-28 19:13  Mateusz Loskot <mateusz@loskot.net>

	* [r1922] Added Visual C++ 2005 project files.

2006-11-23 20:17  Sandro Santilli <strk@keybit.net>

	* [r1921] * source/geom/Point.cpp (equalsExact): don't segfault on
	  empty points. Fixes bug #132.

2006-11-23 12:25  Sandro Santilli <strk@keybit.net>

	* [r1920] Added short descripion of testcases provenience

2006-11-22 20:29  Sandro Santilli <strk@keybit.net>

	* [r1919] * tests/xmltester/: stmlf-cases-20061020.xml,
	  Makefile.am: add more robustness testcases.

2006-11-22 12:26  Sandro Santilli <strk@keybit.net>

	* [r1918] Patch by dron@ak4719.spb.edu:
	  
	  * autogen.sh: call 'autoheader' after 'aclocal'.
	  Fixes bug #131

2006-11-18 15:30  Mateusz Loskot <mateusz@loskot.net>

	* [r1917] Fixed path to geos_c.h in source/makefile.vc.

2006-11-15 18:26  Sandro Santilli <strk@keybit.net>

	* [r1916] * configure.in: don't generate geos_c.h.vc
	  * source/Makefile.vc: don't generate geos_c.h and version.h
	  * source/headers/geos/version.h.vc, capi/geos_c.h.vc.in:
	  removed, will NOT be needed by Makefile.vc
	  * source/headers/geos/Makefile.am: distribute version.h
	  * capi/Makefile.am: distribute geos_c.h

2006-11-15 14:42  Sandro Santilli <strk@keybit.net>

	* [r1915] * capi/geos_c.h.in: hopefully fixed GEOS_DLL use.

2006-11-15 11:28  Sandro Santilli <strk@keybit.net>

	* [r1914] * capi/geos_c.cpp (GEOSGeom_getDimensions): Fix a
	  segfault on empty geometry input (fix bug #126).

2006-11-11 05:32  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r1913] Retreived original .vc file and put in MACRO
	  substitutions. Somehow GNU version replaced .vc version during
	  file shuffles to get macros in.

2006-11-10 18:24  Sandro Santilli <strk@keybit.net>

	* [r1912] fixed timewarp

2006-11-10 17:56  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r1911] noted .vc change

2006-11-10 17:55  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r1910] Made sure geos_c.h.vc is part of 'make dist' since VC
	  users won't have .configure

2006-11-10 17:38  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r1909] Added substitution strings to .in files for .vc
	  generation.

2006-11-10 17:35  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r1908] Changes for capi .vc generation

2006-11-10 14:50  Howard Butler <hobu.inc@gmail.com>

	* [r1907] update

2006-11-09 09:10  Sandro Santilli <strk@keybit.net>

	* [r1906] * test/xmltester/XMLTester.cpp: improved 'testarea' test.

2006-11-08 11:54  Sandro Santilli <strk@keybit.net>

	* [r1905] added 'release-separator' tag

2006-11-08 11:51  Sandro Santilli <strk@keybit.net>

	* [r1904] * tests/xmltester/robustness.xml: made test safe to
	  run by using the new 'areatest' operation; added
	  new testcases just raised on the mailing list.
	  * tests/xmltester/Makefile.am: robustness.xml is now safe
	  to run, so run it on make check.

2006-11-08 10:40  Sandro Santilli <strk@keybit.net>

	* [r1903] * source/headers/geos/geom/BinaryOp.h: enable
	  COMMONBITS-removal heuristic so it is attempted
	  before geometry snapping.

2006-11-05 20:34  Sandro Santilli <strk@keybit.net>

	* [r1900] * capi/Makefile.am: distribute files needed for testing,
	  proper cleanup (make distcheck works now)

2006-11-05 00:24  Charlie Savage <cfis@savagexi.com>

	* [r1899] Updated ruby swig wrapper for changes in header files.

2006-11-05 00:24  Charlie Savage <cfis@savagexi.com>

	* [r1898] Updated python swig wrapper for changes in header files.

2006-11-05 00:23  Charlie Savage <cfis@savagexi.com>

	* [r1897] Fixes for changes in header files.

2006-11-03 12:35  Sandro Santilli <strk@keybit.net>

	* [r1896] redirect 'diff' output to stderr

2006-11-03 10:54  Sandro Santilli <strk@keybit.net>

	* [r1895] hopefully fixed proper quoting

2006-11-03 10:30  Sandro Santilli <strk@keybit.net>

	* [r1894] Report non-zero return from ./geostest run

2006-11-02 10:08  Sandro Santilli <strk@keybit.net>

	* [r1893] * source/headers/geos/geom/BinaryOp.h: disable debugging
	  output by default.

2006-11-02 10:02  Sandro Santilli <strk@keybit.net>

	* [r1892] * capi/geostest.c: updated to use the new GEOSGeometry
	  typedef, so to build w/out warnings and fully respecting current
	  const specification.

2006-11-02 09:48  Sandro Santilli <strk@keybit.net>

	* [r1891] * capi/geos_c.cpp, capi/geos_c.h.in: const-corrected and
	  documented GEOSPolygonize function.

2006-11-02 09:38  Sandro Santilli <strk@keybit.net>

	* [r1890] * capi/test.expected: updated expected version
	  * capi/testrunner.sh: be happy with geostest running w/out
	  segfaulting, still run diff for reference.

2006-11-02 09:33  Sandro Santilli <strk@keybit.net>

	* [r1889] * configure.in: updated versions to 3.0.0rc2 / CAPI-1.3.0

2006-11-02 08:32  Sandro Santilli <strk@keybit.net>

	* [r1888] Patch by Markus Schaber <schabi@logix-tt.com>:
	  
	  * capi/geos_c.h.in: add GEOSGeometry and GEOSCoordSequence
	  typedef, to unhide the pointer type and allow fine-grained
	  const specification, use the new typedefs in function signatures
	  (fix some const-specifications accordingly)
	  * capi/geos_c.cpp: define GEOSGeometry and GEOSCoordSequence
	  for cross-checking of types in header.

2006-10-30 15:14  Sandro Santilli <strk@keybit.net>

	* [r1887] Patch by Markus Schaber <schabi@logix-tt.com>
	  
	  * capi/geos_c.cpp: more focused 'using' directives.
	  * capi/geos_c.h.in: let the enum visible by geos_c.cpp
	  now that there are no more name clashes.

2006-10-30 13:20  Sandro Santilli <strk@keybit.net>

	* [r1886] removed useless GEOSGeomTypes define

2006-10-30 13:00  Sandro Santilli <strk@keybit.net>

	* [r1885] reduce default verbosity

2006-10-30 12:49  Sandro Santilli <strk@keybit.net>

	* [r1884] * capi/geos_c.cpp:
	  Remove a typedef which is also included via Header;
	  Use dynamic_cast instead of C cast in 2 cases to allow the RTTI
	  type check;
	  Replace "geoms" temp vector in polygonizer function with a loop,
	  this saves us at least one of the two vector copies;
	  Drop 2 unneded const_cast occurences;
	  Allow calling getNumGeometries against non-collections;
	  2 comment / whitespace cleanups.
	  * capi/geos_c.h.in:
	  Added a comment explaining ou #ifndef magic;
	  Unified the two #ifndef into a single one.

2006-10-30 10:29  Sandro Santilli <strk@keybit.net>

	* [r1883] * capi/: test.expected, testrunner.sh, Makefile.am: Added
	  a run of ./geostest as part of 'make check'

2006-10-30 10:15  Sandro Santilli <strk@keybit.net>

	* [r1882] Patch submitted by Markus Schaber <schabi@logix-tt.com> (
	  reviewed and fixed )
	  
	  * capi/: geos_c.cpp, geos_c.h.in:
	  Changed the C-API implementation to actually include the header
	  that's included by the clients, this allows the compiler to check
	  declarations and implementation for consistency, fixed geos_c.cpp
	  accordingly (const-correctness, mainly).

2006-10-30 09:49  Sandro Santilli <strk@keybit.net>

	* [r1881] * capi/geostest.c: added some checks of return from CAPI
	  functions returning GEOSGeom (not all, just a few)

2006-10-27 11:54  Sandro Santilli <strk@keybit.net>

	* [r1880] Patch by Markus Schaber <schabi@logix-tt.com>
	  
	  * algorithm::InteriorPointLine (ctor): take Geometry by
	  const-pointer.
	  * geom::Geometry (getInteriorPoint): made a const-method
	  * operation::polygonize::Polygonizer: implement filter_ro rather
	  then filter_rw, as it doesn't change the Geometry, propagated
	  change to internal interfaces (add methods)

2006-10-26 09:22  Sandro Santilli <strk@keybit.net>

	* [r1879] * capi/geos_c.h.in: reverted all changes of 'int' types
	  to 'size_t' types (the lib never changed, and still expects
	  ints)

2006-10-24 16:54  Sandro Santilli <strk@keybit.net>

	* [r1878] * source/headers/geos/geom/BinaryOp.h: try original geoms
	  first by default.

2006-10-24 16:53  Sandro Santilli <strk@keybit.net>

	* [r1877] * operation::overlay::OverlayResultValidator.cpp
	  (isValid): run the test even if inputs and output are not areal.

2006-10-24 16:49  Sandro Santilli <strk@keybit.net>

	* [r1876] * operation::overlay::FuzzyPointLocator: eliminate
	  non-polygonal components from consideration when testing the
	  location of points.

2006-10-24 10:16  Sandro Santilli <strk@keybit.net>

	* [r1875] * precision::GeometrySnapper: snapPrecisionFactor
	  augmented from 10e-12 to 10e-10.

2006-10-24 09:49  Sandro Santilli <strk@keybit.net>

	* [r1874] * precision::LineStringSnapper (findSegmentToSnap):
	  return the *closest* segment, don't snap if the closest
	  segment *intersects* the snap points, consider a distance
	  of exactly snapTolerance as non-tolerated (got in sync with JTS)

2006-10-23 10:23  Sandro Santilli <strk@keybit.net>

	* [r1873] * source/headers/geos/geom/BinaryOp.h (SnapOp): document
	  and add optional CBR step (snap after applying common bits
	  removal - this is the default); (check_valid): add validity
	  checker function.

2006-10-20 11:18  Sandro Santilli <strk@keybit.net>

	* [r1872] * noding::SegmentString: added notifyCoordinatesChange
	  method.
	  * noding::ScaledNoder: notify possible coordinates change to
	  SegmentString after removing repeated points.

2006-10-19 18:26  Sandro Santilli <strk@keybit.net>

	* [r1871] * configure.in: use 'expr' for arithmetics (more
	  portable)

2006-10-18 19:21  Mateusz Loskot <mateusz@loskot.net>

	* [r1870] Refactored Visual C++ makefiles.

2006-10-18 17:53  Mateusz Loskot <mateusz@loskot.net>

	* [r1869] Updated source\makefile.vc and source\dirlist.mk files.

2006-10-18 17:53  Mateusz Loskot <mateusz@loskot.net>

	* [r1868] Added top-level makefile.vc.

2006-10-18 14:28  Sandro Santilli <strk@keybit.net>

	* [r1867] fixed svn:ignore property

2006-10-18 12:08  Sandro Santilli <strk@keybit.net>

	* [r1866] disable non-JTS overlay result validators (to more
	  closely track JTS at this stage)

2006-10-17 14:26  Sandro Santilli <strk@keybit.net>

	* [r1865] * source/headers/geos/geom/BinaryOp.h (SnapOp): fixed
	  horrible
	  bug applying overlay of first geom to itself :(

2006-10-17 10:15  Sandro Santilli <strk@keybit.net>

	* [r1864] really fixed 'extra tokens at end of #endif directive'
	  warning

2006-10-17 10:10  Sandro Santilli <strk@keybit.net>

	* [r1863] fixed 'extra tokens at end of #endif directive' warning

2006-10-17 08:44  Sandro Santilli <strk@keybit.net>

	* [r1862] * capi/Makefile.am: don't directly link geostest against
	  both libgeos.so and libstdc++ (should be derived by
	  libgeos_c.so).

2006-10-12 15:33  Sandro Santilli <strk@keybit.net>

	* [r1861] * tests/bigtest/GeometryTestFactory.cpp,
	  tests/bigtest/bigtest.h, tests/bigtest/TestSweepLineSpeed.cpp:
	  fixed header inclusion, to reduce compiler noise.

2006-10-09 16:39  Sandro Santilli <strk@keybit.net>

	* [r1860] * source/headers/geos/geom/BinaryOp.h: always snap geoms
	  to each-other before applying an overlay (temp hack).

2006-10-09 16:35  Sandro Santilli <strk@keybit.net>

	* [r1859] * source/operation/overlay/OverlayOp.cpp: enable all
	  overlay result validators, make it disablable at compile time.

2006-10-05 10:58  Mateusz Loskot <mateusz@loskot.net>

	* [r1858] Added inclusion guards to geos_c.h files.

2006-10-05 09:46  Sandro Santilli <strk@keybit.net>

	* [r1857] increment areatest verbosity (needs -v -v)

2006-10-02 18:53  Howard Butler <hobu.inc@gmail.com>

	* [r1856] GEOSEnvelope wasn't in the PROTOTYPES section in
	  geos_c.cpp

2006-09-27 07:48  Sandro Santilli <strk@keybit.net>

	* [r1855] updated tag item

2006-09-27 07:43  Sandro Santilli <strk@keybit.net>

	* [r1854] added info about svn tags

2006-09-19 06:54  Sandro Santilli <strk@keybit.net>

	* [r1853] Added <algorithm> include

2006-09-08 23:13  Paul Ramsey <pramsey@cleverelephant.ca>

	* [r1851] Added information about funders of the 3.0.0 series: Safe
	  Software, Autodesk,
	  Bavarian State Ministry of Agriculture and Forestry and the State
	  Survey of Bavaria.

2006-09-08 09:38  Sandro Santilli <strk@keybit.net>

	* [r1850] updated

2006-09-08 09:31  Sandro Santilli <strk@keybit.net>

	* [r1849] more debugging output

2006-09-08 09:21  Sandro Santilli <strk@keybit.net>

	* [r1848] More testcases

2006-09-07 18:07  Sandro Santilli <strk@keybit.net>

	* [r1847] New unit test for OverlayResultValidator class

2006-09-07 18:07  Sandro Santilli <strk@keybit.net>

	* [r1846] more debugging output

2006-09-07 17:52  Sandro Santilli <strk@keybit.net>

	* [r1845] Added addVertices private method (unused, as in JTS, but
	  possibly useful in the future)

2006-09-07 17:41  Sandro Santilli <strk@keybit.net>

	* [r1844] Added debugging code

2006-09-07 17:35  Sandro Santilli <strk@keybit.net>

	* [r1843] more testcases (added test for max distance of offset
	  points)

2006-09-07 15:28  Sandro Santilli <strk@keybit.net>

	* [r1842] removed svn:executable prop from all .cpp files

2006-09-07 15:22  Sandro Santilli <strk@keybit.net>

	* [r1841] removed svn:executable property

2006-09-07 15:21  Sandro Santilli <strk@keybit.net>

	* [r1840] testing execute bit state

2006-09-07 12:17  Mateusz Loskot <mateusz@loskot.net>

	* [r1839] Set svn:keyword for $ expansion.

2006-09-07 11:34  Sandro Santilli <strk@keybit.net>

	* [r1838] Cleaned up OverlayResultValidator call (still disabled
	  due to bugs)

2006-09-07 11:27  Sandro Santilli <strk@keybit.net>

	* [r1837] blindly return positive result if any input or output is
	  not an area

2006-09-07 11:08  Sandro Santilli <strk@keybit.net>

	* [r1836] new test for FuzzyPointLocator

2006-09-07 10:30  Sandro Santilli <strk@keybit.net>

	* [r1835] Explicit values to LocationValue enum items. Removed CVS
	  Log

2006-09-07 09:33  Sandro Santilli <strk@keybit.net>

	* [r1834] Removed catch-all headers inclusion and use of obsoleted
	  Unload class

2006-09-07 09:24  Sandro Santilli <strk@keybit.net>

	* [r1833] updated

2006-09-07 09:23  Sandro Santilli <strk@keybit.net>

	* [r1832] comment cleanup

2006-09-07 09:01  Sandro Santilli <strk@keybit.net>

	* [r1831] Comments about ownership (and lifetime) of returned
	  objects

2006-09-07 08:59  Sandro Santilli <strk@keybit.net>

	* [r1830] New DistanceOp unit test

2006-09-07 08:57  Sandro Santilli <strk@keybit.net>

	* [r1829] (computeMinDistancePoints): fixed invalid reference.

2006-09-07 08:23  Sandro Santilli <strk@keybit.net>

	* [r1828] don't giveup on automake failures (testing)

2006-09-06 18:44  Sandro Santilli <strk@keybit.net>

	* [r1827] Ops, overlay result validation erroenously committed

2006-09-06 18:41  Sandro Santilli <strk@keybit.net>

	* [r1826] new test for OffsetPointGenerator class

2006-09-06 18:37  Sandro Santilli <strk@keybit.net>

	* [r1825] Fixed uninitialized memory bug

2006-09-06 17:59  Sandro Santilli <strk@keybit.net>

	* [r1824] new test for FuzzyPointLocator class

2006-09-06 17:48  Sandro Santilli <strk@keybit.net>

	* [r1823] updated after GeometrySnapper interface change.

2006-09-06 17:26  Mateusz Loskot <mateusz@loskot.net>

	* [r1822] Set $ expansion for new files in 'overlay' module.

2006-09-06 17:22  Sandro Santilli <strk@keybit.net>

	* [r1821] Rest of Overlay validation classes.

2006-09-06 16:54  Mateusz Loskot <mateusz@loskot.net>

	* [r1820] Set svn:keyword property for Id keyword expansion.

2006-09-06 15:50  Sandro Santilli <strk@keybit.net>

	* [r1819] Fixed comments and includes

2006-09-06 15:33  Sandro Santilli <strk@keybit.net>

	* [r1818] new helper class for Overlay op validation.

2006-09-06 15:21  Sandro Santilli <strk@keybit.net>

	* [r1817] (getBoundary) memory allocations documented

2006-09-05 16:18  Sandro Santilli <strk@keybit.net>

	* [r1816] updated (last commit log was bogus, refer to ChangeLog
	  entry)

2006-09-05 16:07  Sandro Santilli <strk@keybit.net>

	* [r1815] (OverlayOp::checkObviouslyWrongResult): exceptions
	  messages rewording

2006-08-31 23:13  Sandro Santilli <strk@keybit.net>

	* [r1814] (insertContained): fixed bug reported in
	  geos-devel/2006-August/002541.html

2006-08-31 23:07  Sandro Santilli <strk@keybit.net>

	* [r1813] Reverted last two commits. Darwin host on buildbot seems
	  to have its own problems...

2006-08-31 22:28  Sandro Santilli <strk@keybit.net>

	* [r1812] Ops, it was AM_CONFIG_HEADER the old version - still
	  testing

2006-08-31 22:21  Sandro Santilli <strk@keybit.net>

	* [r1811] AC_CONFIG_HEADERS => AM_CONFIG_HEADER (to support older
	  automake versions)

2006-08-04 20:30  Howard Butler <hobu.inc@gmail.com>

	* [r1810] version should be 3.0.0 instead of 3.3.0

2006-08-04 20:29  Howard Butler <hobu.inc@gmail.com>

	* [r1809] bump patch to rc1

2006-08-04 20:23  Howard Butler <hobu.inc@gmail.com>

	* [r1808] give makefile.vc some love

2006-08-04 16:40  Charlie Savage <cfis@savagexi.com>

	* [r1807] Updated SWIG bindings to expose the equalsExact and
	  normalize methods.

2006-08-03 23:43  Charlie Savage <cfis@savagexi.com>

	* [r1806] Two changes needed to include the correct definitions for
	  compiling geos using MingW/msys on Windows.

2006-08-03 22:46  Sandro Santilli <strk@keybit.net>

	* [r1805] try to keep text within 80 cols

2006-08-03 22:24  Charlie Savage <cfis@savagexi.com>

	* [r1804] Changed configure.in to use *nix line feeds.

2006-08-03 22:17  Charlie Savage <cfis@savagexi.com>

	* [r1803] Mistakenly used Geometry* in C api headers instead of
	  GEOSGeom.

2006-08-03 22:13  Charlie Savage <cfis@savagexi.com>

	* [r1802] Removed native line endings for configure.in since CR/LF
	  does not work on Windows under msys.

2006-08-03 22:02  Charlie Savage <cfis@savagexi.com>

	* [r1801] Added equalsExact and normalize to the c api as discussed
	  on the mailing list
	  (http://geos.refractions.net/pipermail/geos-devel/2006-July/002452.html).

2006-08-03 21:34  Charlie Savage <cfis@savagexi.com>

	* [r1800] Updated build scripts so that ruby/geos_wrap.cxx,
	  python/geos_wrap.cxx and python/geos.py are removed by make
	  maintainer-clean but not make clean.

2006-08-03 16:28  Mateusz Loskot <mateusz@loskot.net>

	* [r1799] Fixed Bug #90

2006-08-03 16:18  Charlie Savage <cfis@savagexi.com>

	* [r1798] Added SWIG generated wrapper files for Ruby and Python

2006-07-27 06:18  Mateusz Loskot <mateusz@loskot.net>

	* [r1797] Added svn:ignore property to ignore 'geos-3.0.0rc1' dir
	  (testing commit access to SVN).

2006-07-26 19:06  Sandro Santilli <strk@keybit.net>

	* [r1795] Removed .cvsignore files from repository

2006-07-26 17:51  Sandro Santilli <strk@keybit.net>

	* [r1794] * capi/Makefile.am: forced link of geostest against
	  stdc++ lib
	  * tests/xmltester/XMLTester.cpp: added <cmath> include (for fabs
	  use)

2006-07-26 15:28  Sandro Santilli <strk@keybit.net>

	* [r1776] Added geometry snapping heuristic

2006-07-25 20:45  Sandro Santilli <strk@keybit.net>

	* [r1775] Made autogen.sh errors more visible

2006-07-21 19:37  Charlie Savage <cfis@savagexi.com>

	* [r1773] Added note about inclusion of version.in.vc. See
	  http://geos.refractions.net/pipermail/geos-devel/2006-July/002463.html
	  for more info.

2006-07-21 17:59  Sandro Santilli <strk@keybit.net>

	* [r1772] Added test for GeometrySnapper

2006-07-21 17:59  Sandro Santilli <strk@keybit.net>

	* [r1771] Fixed preprocessor directive use

2006-07-21 17:09  Sandro Santilli <strk@keybit.net>

	* [r1770] Added new precision::LineStringSnapper class + test
	  and precision::GeometrySnapper (w/out test)

2006-07-21 17:05  Sandro Santilli <strk@keybit.net>

	* [r1769] added operator<< for CoordinateList class

2006-07-21 17:00  Sandro Santilli <strk@keybit.net>

	* [r1768] Added another distance() test

2006-07-21 16:45  Mateusz Loskot <mateusz@loskot.net>

	* [r1767] Wrapped FIXME message with #warning directive to shout
	  about potential headers removal in future.

2006-07-21 14:53  Sandro Santilli <strk@keybit.net>

	* [r1766] CoordinateList class re-introduced, for list-based ops
	  (not strictly mapped to JTS version, not yet at least)

2006-07-21 14:49  Sandro Santilli <strk@keybit.net>

	* [r1765] Fixed typo in comment

2006-07-21 08:33  Sandro Santilli <strk@keybit.net>

	* [r1764] Removed blank space after backslash (automake complained)

2006-07-19 02:43  Charlie Savage <cfis@savagexi.com>

	* [r1763] Added veresion.h.vc as EXTRA_DIST to ensure it is
	  packaged when doing make dist.

2006-07-15 19:36  Charlie Savage <cfis@savagexi.com>

	* [r1762] Removed python test/cases directory (tests are now just
	  in tests directory).

2006-07-13 08:02  Charlie Savage <cfis@savagexi.com>

	* [r1761] Updated ChangeLog to note additional SWIG tests and
	  integration with the GEOS build system.

2006-07-13 07:49  Charlie Savage <cfis@savagexi.com>

	* [r1760] Updated version number to 3.0.0rc1-CAPI-1.1.1 to match
	  the autoconf generated files.

2006-07-13 07:38  Charlie Savage <cfis@savagexi.com>

	* [r1759] Fixed spelling mistake in test task.

2006-07-13 07:36  Charlie Savage <cfis@savagexi.com>

	* [r1758] Removed dependency on README.txt since it has been
	  removed.

2006-07-13 07:35  Charlie Savage <cfis@savagexi.com>

	* [r1757] New tests for the buffer operation.

2006-07-13 07:29  Charlie Savage <cfis@savagexi.com>

	* [r1756] Added SWIG Python and Ruby bindings back into the main
	  GEOS build system.

2006-07-13 07:27  Charlie Savage <cfis@savagexi.com>

	* [r1755] Updated extra_dist for test directories.

2006-07-13 07:20  Charlie Savage <cfis@savagexi.com>

	* [r1754] Remove the dependency on the cases subdirectory which is
	  no longer needed.

2006-07-13 07:19  Charlie Savage <cfis@savagexi.com>

	* [r1753] Updated test suite to use the correct tests.

2006-07-13 07:16  Charlie Savage <cfis@savagexi.com>

	* [r1752] Removed old tests cases which are no longer valid (worked
	  using the C++ api).

2006-07-13 07:14  Charlie Savage <cfis@savagexi.com>

	* [r1751] New Python test case to ensure creating coordinate
	  sequences and geometries works correctly.

2006-07-13 07:14  Charlie Savage <cfis@savagexi.com>

	* [r1750] Removed README.txt files which are no longer applicable
	  now that the SWIG bindings have been intergrated into the GEOS
	  build system.

2006-07-13 07:13  Charlie Savage <cfis@savagexi.com>

	* [r1749] Renamed test class.

2006-07-13 07:09  Charlie Savage <cfis@savagexi.com>

	* [r1748] Removed old, unused code.

2006-07-13 07:09  Charlie Savage <cfis@savagexi.com>

	* [r1747] Added tyepmap to support creating polygons with holes.

2006-07-13 07:08  Charlie Savage <cfis@savagexi.com>

	* [r1746] Added default value for quadsegs parmeter in buffer
	  operation.

2006-07-13 04:47  Charlie Savage <cfis@savagexi.com>

	* [r1745] Manually moved from parent directory.

2006-07-13 04:46  Charlie Savage <cfis@savagexi.com>

	* [r1744] Updated EXTRA_DIST to include python.i and geos.pth

2006-07-13 04:46  Charlie Savage <cfis@savagexi.com>

	* [r1743] Moved file to tests subdirectory.

2006-07-13 04:45  Charlie Savage <cfis@savagexi.com>

	* [r1742] Installation is now done by autoconf macros instead of
	  setup.py

2006-07-13 04:39  Charlie Savage <cfis@savagexi.com>

	* [r1741] Cleaned up ruby.i, added licenxe to python.i, commented
	  back in python.i into geos.i.

2006-07-13 04:09  Charlie Savage <cfis@savagexi.com>

	* [r1740] Added code to read xml test cases.

2006-07-13 04:08  Charlie Savage <cfis@savagexi.com>

	* [r1739] Added exception handling for results that return
	  geometries. Added normalize and equalsExact, but for the moment
	  they are commented out.

2006-07-13 03:59  Charlie Savage <cfis@savagexi.com>

	* [r1738] Changes to compile on VC++ - fully qualified polygon
	  name. Should also work on MingW, will test next.

2006-07-12 23:17  Charlie Savage <cfis@savagexi.com>

	* [r1737] Disabled test_combinations.rb for the moment since it
	  fails.

2006-07-12 23:16  Charlie Savage <cfis@savagexi.com>

	* [r1736] Fixed serious bug in geom_to_hex and geom_to_wkb type
	  maps. Was using temporary variable instead of passed in variable.

2006-07-12 22:55  Charlie Savage <cfis@savagexi.com>

	* [r1735] Switched GeosBytesOrder to int in api signatures.

2006-07-12 22:11  Charlie Savage <cfis@savagexi.com>

	* [r1734] A number of changes to fix warning generated by gcc and
	  to make sure the bindings compile for Python.

2006-07-12 22:11  Charlie Savage <cfis@savagexi.com>

	* [r1733] Updated Python SWIG makefile to build with the c api.

2006-07-12 22:10  Charlie Savage <cfis@savagexi.com>

	* [r1732] Minor change to fix gcc warning.

2006-07-12 22:10  Charlie Savage <cfis@savagexi.com>

	* [r1731] Updated Ruby SWIG makefile to build with the c api.

2006-07-12 21:03  Charlie Savage <cfis@savagexi.com>

	* [r1730] Fixed an error in the way GEOSByteOrder was declared. It
	  is now an enum in geos_c.h

2006-07-12 19:10  Charlie Savage <cfis@savagexi.com>

	* [r1729] Added %rename directive so that GeomUnion is exposed as
	  union is SWIG languages.

2006-07-12 19:08  Charlie Savage <cfis@savagexi.com>

	* [r1728] Updated tests for combinatins (union, intersection, etc.)
	  and operaptions (buffer, centroid, etc.).

2006-07-12 19:07  Charlie Savage <cfis@savagexi.com>

	* [r1727] These tests are no longer needed.

2006-07-12 17:51  Charlie Savage <cfis@savagexi.com>

	* [r1726] Ported old tests for relations, such as intersects,
	  touches, etc., to new swig bindings.

2006-07-12 08:30  Charlie Savage <cfis@savagexi.com>

	* [r1725] Added type map needed to create polygons with holes.
	  Unfortunately, this is Ruby specific. It needs to be ported to
	  Python next.

2006-07-12 08:29  Charlie Savage <cfis@savagexi.com>

	* [r1724] Removed wrapper classes and replace them with SWIG "fake"
	  classes. This makes the interface cleaner, and makes memory
	  management much easier. Also added area, dimension, length,
	  getExteriorRing, getInteriorRingN methods.

2006-07-12 08:27  Charlie Savage <cfis@savagexi.com>

	* [r1723] Added test to read from wkb geometry - currently fails,
	  needs more investigation.

2006-07-12 08:27  Charlie Savage <cfis@savagexi.com>

	* [r1722] Added tests for invalid geometries.

2006-07-12 08:27  Charlie Savage <cfis@savagexi.com>

	* [r1721] Updated ruby test suite.

2006-07-12 08:24  Charlie Savage <cfis@savagexi.com>

	* [r1720] New tests for area, length, distance.

2006-07-12 05:21  Charlie Savage <cfis@savagexi.com>

	* [r1719] Converted line feeds to Unix style.

2006-07-12 05:21  Charlie Savage <cfis@savagexi.com>

	* [r1718] New tests for creating geometries and calling various
	  functions such as numGeometries, isValid, etc.

2006-07-12 05:20  Charlie Savage <cfis@savagexi.com>

	* [r1717] Tests for srid handling.

2006-07-12 05:20  Charlie Savage <cfis@savagexi.com>

	* [r1716] Merged tests from test_wkb_reader.rb

2006-07-12 05:18  Charlie Savage <cfis@savagexi.com>

	* [r1715] Merging into test_io.rb

2006-07-12 04:46  Charlie Savage <cfis@savagexi.com>

	* [r1714] Tests to verify returned version numbers from C api.

2006-07-11 18:48  Charlie Savage <cfis@savagexi.com>

	* [r1713] Fixes for coordinate sequences. Fixed bug in range
	  checking, chaned clone to be a method instead of copy
	  constructor, marked clone as creating a new object.

2006-07-11 18:44  Charlie Savage <cfis@savagexi.com>

	* [r1712] Tests for SWIG coordinate sequence class.

2006-07-11 09:07  Charlie Savage <cfis@savagexi.com>

	* [r1711] Added reference to new enum called GEOSByteOrders. The
	  enum has two values, GEOS_WKB_NDR and GEOS_WKB_XDR which signify
	  big endian and little endian byte orders.

2006-07-11 09:05  Charlie Savage <cfis@savagexi.com>

	* [r1710] Added 5 methods to the C API as documented in the
	  changelong. The new methods are read/write WKB Hex values,
	  read/write WKB byte order and read wkb output dimensions.

2006-07-11 08:55  Charlie Savage <cfis@savagexi.com>

	* [r1709] Test cases for reading and writing geometries to WKT, WKB
	  and hex encoded WKB formats via the SWIG bindings.

2006-07-11 08:54  Charlie Savage <cfis@savagexi.com>

	* [r1708] Updated visual studio header file to match geos_c.h.in

2006-07-11 08:53  Charlie Savage <cfis@savagexi.com>

	* [r1707] Added 5 methods to the C API as documented in the
	  changelong. The new methods are read/write WKB Hex values,
	  read/write WKB byte order and read wkb output dimensions.

2006-07-11 08:52  Charlie Savage <cfis@savagexi.com>

	* [r1706] Noted additions to the C API and porting of SWIG to use
	  the C api.

2006-07-11 08:44  Charlie Savage <cfis@savagexi.com>

	* [r1705] Ported SWIG bindings to use c-api.

2006-07-10 22:29  Sandro Santilli <strk@keybit.net>

	* [r1704] Added .cvsignore file

2006-07-10 21:51  Sandro Santilli <strk@keybit.net>

	* [r1703] don't use dynamic strings as format arg the formatted
	  message callbacks.

2006-07-10 10:16  Sandro Santilli <strk@keybit.net>

	* [r1702] changed vector<bool> to vector<short int> (see bug#101)

2006-07-09 03:37  Mateusz Loskot <mateusz@loskot.net>

	* [r1701] Added 'testrunner' pattern to tests/xmltester/.cvsignore.

2006-07-09 03:21  Mateusz Loskot <mateusz@loskot.net>

	* [r1700] Added 'testrunner' to .cvsignore patterns.

2006-07-09 03:21  Mateusz Loskot <mateusz@loskot.net>

	* [r1699] Updated ChangeLog with details about new unit tests.

2006-07-09 03:16  Mateusz Loskot <mateusz@loskot.net>

	* [r1698] Added new tests to tests/unit/Makefile.am.

2006-07-09 03:15  Mateusz Loskot <mateusz@loskot.net>

	* [r1697] Added new tests cases to tests/unit/noding. Removed
	  zero-to-pointer casts.

2006-07-09 00:24  Sandro Santilli <strk@keybit.net>

	* [r1696] Added testrunner to CLEANFILES. make distcheck now
	  succeeds.

2006-07-08 00:33  Sandro Santilli <strk@keybit.net>

	* [r1693] * configure.in: incremented CAPI minor version, to avoid
	  falling behind any future version from the 2.2. branch.
	  * source/geom/Geometry.cpp, source/geom/GeometryFactory.cpp,
	  source/geomgraph/EdgeRing.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryFactory.h,
	  source/headers/geos/geom/GeometryFactory.inl,
	  source/headers/geos/geomgraph/EdgeRing.h:
	  updated doxygen comments (sync with JTS head).
	  * source/headers/geos/platform.h.in: include <inttypes.h>
	  rather then <stdint.h>

2006-07-07 20:02  Mateusz Loskot <mateusz@loskot.net>

	* [r1691] Updated ChangeLog with version comparison fix in
	  GEOS_UNIT.

2006-07-07 20:00  Mateusz Loskot <mateusz@loskot.net>

	* [r1690] Fixed versions comparison in the GEOS_UNIT macro.

2006-07-07 19:33  Sandro Santilli <strk@keybit.net>

	* [r1689] * acsite.m4: include <inttypes.h> rather then <stdint.h>
	  (the latter is not available on Solaris 9)
	  * configure.in: make sure CFLAGS is set before compiling
	  using the 64bit integer detection macro.

2006-07-06 16:39  Mateusz Loskot <mateusz@loskot.net>

	* [r1688] Fixed version query regexp with escaped dots. Removed
	  -lpq from GEOS_LIBS flags.

2006-07-05 23:27  Mateusz Loskot <mateusz@loskot.net>

	* [r1687] Removed redundant -L and -I from GEOS_LIBS and
	  GEOS_CFLAGS.

2006-07-05 23:10  Mateusz Loskot <mateusz@loskot.net>

	* [r1686] Fixed GEOS_INIT to support full paths to geos-config
	  passed to --with-geos. Fixed version decoding.

2006-07-05 22:54  Sandro Santilli <strk@keybit.net>

	* [r1685] distribute utility.h

